import { type BrowserSharedCookie } from '../../../../../../models/browserSharedCookie';
import { type BrowserSite } from '../../../../../../models/browserSite';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createPublishPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoPublishPostRequestBody;
export declare function deserializeIntoPublishPostRequestBody(publishPostRequestBody?: PublishPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface PublishPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The revision property
     */
    revision?: string;
    /**
     * The sharedCookies property
     */
    sharedCookies?: BrowserSharedCookie[];
    /**
     * The sites property
     */
    sites?: BrowserSite[];
}
export declare function serializePublishPostRequestBody(writer: SerializationWriter, publishPostRequestBody?: PublishPostRequestBody | undefined): void;
