"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeArchivePostRequestBody = exports.deserializeIntoArchivePostRequestBody = exports.createArchivePostRequestBodyFromDiscriminatorValue = void 0;
function createArchivePostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoArchivePostRequestBody;
}
exports.createArchivePostRequestBodyFromDiscriminatorValue = createArchivePostRequestBodyFromDiscriminatorValue;
function deserializeIntoArchivePostRequestBody(archivePostRequestBody = {}) {
    return {
        "messageIds": n => { archivePostRequestBody.messageIds = n.getCollectionOfPrimitiveValues(); },
    };
}
exports.deserializeIntoArchivePostRequestBody = deserializeIntoArchivePostRequestBody;
function serializeArchivePostRequestBody(writer, archivePostRequestBody = {}) {
    writer.writeCollectionOfPrimitiveValues("messageIds", archivePostRequestBody.messageIds);
    writer.writeAdditionalData(archivePostRequestBody.additionalData);
}
exports.serializeArchivePostRequestBody = serializeArchivePostRequestBody;
// tslint:enable
// eslint-enable
