import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createMarkReadPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoMarkReadPostRequestBody;
export declare function deserializeIntoMarkReadPostRequestBody(markReadPostRequestBody?: MarkReadPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface MarkReadPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The messageIds property
     */
    messageIds?: string[];
}
export declare function serializeMarkReadPostRequestBody(writer: SerializationWriter, markReadPostRequestBody?: MarkReadPostRequestBody | undefined): void;
