import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createMarkReadPostResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoMarkReadPostResponse;
export declare function deserializeIntoMarkReadPostResponse(markReadPostResponse?: MarkReadPostResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface MarkReadPostResponse extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The value property
     */
    value?: boolean;
}
export declare function serializeMarkReadPostResponse(writer: SerializationWriter, markReadPostResponse?: MarkReadPostResponse | undefined): void;
