"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeMarkReadPostResponse = exports.deserializeIntoMarkReadPostResponse = exports.createMarkReadPostResponseFromDiscriminatorValue = void 0;
function createMarkReadPostResponseFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoMarkReadPostResponse;
}
exports.createMarkReadPostResponseFromDiscriminatorValue = createMarkReadPostResponseFromDiscriminatorValue;
function deserializeIntoMarkReadPostResponse(markReadPostResponse = {}) {
    return {
        "value": n => { markReadPostResponse.value = n.getBooleanValue(); },
    };
}
exports.deserializeIntoMarkReadPostResponse = deserializeIntoMarkReadPostResponse;
function serializeMarkReadPostResponse(writer, markReadPostResponse = {}) {
    writer.writeBooleanValue("value", markReadPostResponse.value);
    writer.writeAdditionalData(markReadPostResponse.additionalData);
}
exports.serializeMarkReadPostResponse = serializeMarkReadPostResponse;
// tslint:enable
// eslint-enable
