import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createMarkUnreadPostResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoMarkUnreadPostResponse;
export declare function deserializeIntoMarkUnreadPostResponse(markUnreadPostResponse?: MarkUnreadPostResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface MarkUnreadPostResponse extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The value property
     */
    value?: boolean;
}
export declare function serializeMarkUnreadPostResponse(writer: SerializationWriter, markUnreadPostResponse?: MarkUnreadPostResponse | undefined): void;
