import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createUnarchivePostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoUnarchivePostRequestBody;
export declare function deserializeIntoUnarchivePostRequestBody(unarchivePostRequestBody?: UnarchivePostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeUnarchivePostRequestBody(writer: SerializationWriter, unarchivePostRequestBody?: UnarchivePostRequestBody | undefined): void;
export interface UnarchivePostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The messageIds property
     */
    messageIds?: string[];
}
