import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createUnarchivePostResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoUnarchivePostResponse;
export declare function deserializeIntoUnarchivePostResponse(unarchivePostResponse?: UnarchivePostResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeUnarchivePostResponse(writer: SerializationWriter, unarchivePostResponse?: UnarchivePostResponse | undefined): void;
export interface UnarchivePostResponse extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The value property
     */
    value?: boolean;
}
