import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createUnfavoritePostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoUnfavoritePostRequestBody;
export declare function deserializeIntoUnfavoritePostRequestBody(unfavoritePostRequestBody?: UnfavoritePostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeUnfavoritePostRequestBody(writer: SerializationWriter, unfavoritePostRequestBody?: UnfavoritePostRequestBody | undefined): void;
export interface UnfavoritePostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The messageIds property
     */
    messageIds?: string[];
}
