"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeUnfavoritePostRequestBody = exports.deserializeIntoUnfavoritePostRequestBody = exports.createUnfavoritePostRequestBodyFromDiscriminatorValue = void 0;
function createUnfavoritePostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoUnfavoritePostRequestBody;
}
exports.createUnfavoritePostRequestBodyFromDiscriminatorValue = createUnfavoritePostRequestBodyFromDiscriminatorValue;
function deserializeIntoUnfavoritePostRequestBody(unfavoritePostRequestBody = {}) {
    return {
        "messageIds": n => { unfavoritePostRequestBody.messageIds = n.getCollectionOfPrimitiveValues(); },
    };
}
exports.deserializeIntoUnfavoritePostRequestBody = deserializeIntoUnfavoritePostRequestBody;
function serializeUnfavoritePostRequestBody(writer, unfavoritePostRequestBody = {}) {
    writer.writeCollectionOfPrimitiveValues("messageIds", unfavoritePostRequestBody.messageIds);
    writer.writeAdditionalData(unfavoritePostRequestBody.additionalData);
}
exports.serializeUnfavoritePostRequestBody = serializeUnfavoritePostRequestBody;
// tslint:enable
// eslint-enable
