import { type Application } from '../../models/application';
import { type BaseDeltaFunctionResponse } from '../../models/baseDeltaFunctionResponse';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createDeltaGetResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoDeltaGetResponse;
export interface DeltaGetResponse extends BaseDeltaFunctionResponse, Parsable {
    /**
     * The value property
     */
    value?: Application[];
}
export declare function deserializeIntoDeltaGetResponse(deltaGetResponse?: DeltaGetResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeDeltaGetResponse(writer: SerializationWriter, deltaGetResponse?: DeltaGetResponse | undefined): void;
