import { type PasswordCredential } from '../../../models/passwordCredential';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AddPasswordPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The passwordCredential property
     */
    passwordCredential?: PasswordCredential;
}
export declare function createAddPasswordPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAddPasswordPostRequestBody;
export declare function deserializeIntoAddPasswordPostRequestBody(addPasswordPostRequestBody?: AddPasswordPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAddPasswordPostRequestBody(writer: SerializationWriter, addPasswordPostRequestBody?: AddPasswordPostRequestBody | undefined): void;
