import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createSetVerifiedPublisherPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoSetVerifiedPublisherPostRequestBody;
export declare function deserializeIntoSetVerifiedPublisherPostRequestBody(setVerifiedPublisherPostRequestBody?: SetVerifiedPublisherPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeSetVerifiedPublisherPostRequestBody(writer: SerializationWriter, setVerifiedPublisherPostRequestBody?: SetVerifiedPublisherPostRequestBody | undefined): void;
export interface SetVerifiedPublisherPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The verifiedPublisherId property
     */
    verifiedPublisherId?: string;
}
