import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createMutePostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoMutePostRequestBody;
export declare function deserializeIntoMutePostRequestBody(mutePostRequestBody?: MutePostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface MutePostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The clientContext property
     */
    clientContext?: string;
}
export declare function serializeMutePostRequestBody(writer: SerializationWriter, mutePostRequestBody?: MutePostRequestBody | undefined): void;
