import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createStopHoldMusicPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoStopHoldMusicPostRequestBody;
export declare function deserializeIntoStopHoldMusicPostRequestBody(stopHoldMusicPostRequestBody?: StopHoldMusicPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeStopHoldMusicPostRequestBody(writer: SerializationWriter, stopHoldMusicPostRequestBody?: StopHoldMusicPostRequestBody | undefined): void;
export interface StopHoldMusicPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The clientContext property
     */
    clientContext?: string;
}
