import { RejectReason } from '../../../../models/rejectReason';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createRejectPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoRejectPostRequestBody;
export declare function deserializeIntoRejectPostRequestBody(rejectPostRequestBody?: RejectPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface RejectPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The callbackUri property
     */
    callbackUri?: string;
    /**
     * The reason property
     */
    reason?: RejectReason;
}
export declare function serializeRejectPostRequestBody(writer: SerializationWriter, rejectPostRequestBody?: RejectPostRequestBody | undefined): void;
