"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeUnmutePostRequestBody = exports.deserializeIntoUnmutePostRequestBody = exports.createUnmutePostRequestBodyFromDiscriminatorValue = void 0;
function createUnmutePostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoUnmutePostRequestBody;
}
exports.createUnmutePostRequestBodyFromDiscriminatorValue = createUnmutePostRequestBodyFromDiscriminatorValue;
function deserializeIntoUnmutePostRequestBody(unmutePostRequestBody = {}) {
    return {
        "clientContext": n => { unmutePostRequestBody.clientContext = n.getStringValue(); },
    };
}
exports.deserializeIntoUnmutePostRequestBody = deserializeIntoUnmutePostRequestBody;
function serializeUnmutePostRequestBody(writer, unmutePostRequestBody = {}) {
    writer.writeStringValue("clientContext", unmutePostRequestBody.clientContext);
    writer.writeAdditionalData(unmutePostRequestBody.additionalData);
}
exports.serializeUnmutePostRequestBody = serializeUnmutePostRequestBody;
// tslint:enable
// eslint-enable
