import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createGetByIdsPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoGetByIdsPostRequestBody;
export declare function deserializeIntoGetByIdsPostRequestBody(getByIdsPostRequestBody?: GetByIdsPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface GetByIdsPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The ids property
     */
    ids?: string[];
    /**
     * The types property
     */
    types?: string[];
}
export declare function serializeGetByIdsPostRequestBody(writer: SerializationWriter, getByIdsPostRequestBody?: GetByIdsPostRequestBody | undefined): void;
