import { type ManagedMobileApp } from '../../../../models/managedMobileApp';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createTargetAppsPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoTargetAppsPostRequestBody;
export declare function deserializeIntoTargetAppsPostRequestBody(targetAppsPostRequestBody?: TargetAppsPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeTargetAppsPostRequestBody(writer: SerializationWriter, targetAppsPostRequestBody?: TargetAppsPostRequestBody | undefined): void;
export interface TargetAppsPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The apps property
     */
    apps?: ManagedMobileApp[];
}
