import { type BaseCollectionPaginationCountResponse } from '../../../../models/baseCollectionPaginationCountResponse';
import { type DeviceConfigurationAssignment } from '../../../../models/deviceConfigurationAssignment';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AssignPostResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: DeviceConfigurationAssignment[];
}
export declare function createAssignPostResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAssignPostResponse;
export declare function deserializeIntoAssignPostResponse(assignPostResponse?: AssignPostResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAssignPostResponse(writer: SerializationWriter, assignPostResponse?: AssignPostResponse | undefined): void;
