import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createWindowsDefenderScanPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoWindowsDefenderScanPostRequestBody;
export declare function deserializeIntoWindowsDefenderScanPostRequestBody(windowsDefenderScanPostRequestBody?: WindowsDefenderScanPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeWindowsDefenderScanPostRequestBody(writer: SerializationWriter, windowsDefenderScanPostRequestBody?: WindowsDefenderScanPostRequestBody | undefined): void;
export interface WindowsDefenderScanPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The quickScan property
     */
    quickScan?: boolean;
}
