"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeGetCachedReportPostRequestBody = exports.deserializeIntoGetCachedReportPostRequestBody = exports.createGetCachedReportPostRequestBodyFromDiscriminatorValue = void 0;
function createGetCachedReportPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoGetCachedReportPostRequestBody;
}
exports.createGetCachedReportPostRequestBodyFromDiscriminatorValue = createGetCachedReportPostRequestBodyFromDiscriminatorValue;
function deserializeIntoGetCachedReportPostRequestBody(getCachedReportPostRequestBody = {}) {
    return {
        "groupBy": n => { getCachedReportPostRequestBody.groupBy = n.getCollectionOfPrimitiveValues(); },
        "id": n => { getCachedReportPostRequestBody.id = n.getStringValue(); },
        "orderBy": n => { getCachedReportPostRequestBody.orderBy = n.getCollectionOfPrimitiveValues(); },
        "search": n => { getCachedReportPostRequestBody.search = n.getStringValue(); },
        "select": n => { getCachedReportPostRequestBody.select = n.getCollectionOfPrimitiveValues(); },
        "skip": n => { getCachedReportPostRequestBody.skip = n.getNumberValue(); },
        "top": n => { getCachedReportPostRequestBody.top = n.getNumberValue(); },
    };
}
exports.deserializeIntoGetCachedReportPostRequestBody = deserializeIntoGetCachedReportPostRequestBody;
function serializeGetCachedReportPostRequestBody(writer, getCachedReportPostRequestBody = {}) {
    writer.writeCollectionOfPrimitiveValues("groupBy", getCachedReportPostRequestBody.groupBy);
    writer.writeStringValue("id", getCachedReportPostRequestBody.id);
    writer.writeCollectionOfPrimitiveValues("orderBy", getCachedReportPostRequestBody.orderBy);
    writer.writeStringValue("search", getCachedReportPostRequestBody.search);
    writer.writeCollectionOfPrimitiveValues("select", getCachedReportPostRequestBody.select);
    writer.writeNumberValue("skip", getCachedReportPostRequestBody.skip);
    writer.writeNumberValue("top", getCachedReportPostRequestBody.top);
    writer.writeAdditionalData(getCachedReportPostRequestBody.additionalData);
}
exports.serializeGetCachedReportPostRequestBody = serializeGetCachedReportPostRequestBody;
// tslint:enable
// eslint-enable
