"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeGetDeviceManagementIntentSettingsReportPostRequestBody = exports.deserializeIntoGetDeviceManagementIntentSettingsReportPostRequestBody = exports.createGetDeviceManagementIntentSettingsReportPostRequestBodyFromDiscriminatorValue = void 0;
function createGetDeviceManagementIntentSettingsReportPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoGetDeviceManagementIntentSettingsReportPostRequestBody;
}
exports.createGetDeviceManagementIntentSettingsReportPostRequestBodyFromDiscriminatorValue = createGetDeviceManagementIntentSettingsReportPostRequestBodyFromDiscriminatorValue;
function deserializeIntoGetDeviceManagementIntentSettingsReportPostRequestBody(getDeviceManagementIntentSettingsReportPostRequestBody = {}) {
    return {
        "filter": n => { getDeviceManagementIntentSettingsReportPostRequestBody.filter = n.getStringValue(); },
        "groupBy": n => { getDeviceManagementIntentSettingsReportPostRequestBody.groupBy = n.getCollectionOfPrimitiveValues(); },
        "name": n => { getDeviceManagementIntentSettingsReportPostRequestBody.name = n.getStringValue(); },
        "orderBy": n => { getDeviceManagementIntentSettingsReportPostRequestBody.orderBy = n.getCollectionOfPrimitiveValues(); },
        "search": n => { getDeviceManagementIntentSettingsReportPostRequestBody.search = n.getStringValue(); },
        "select": n => { getDeviceManagementIntentSettingsReportPostRequestBody.select = n.getCollectionOfPrimitiveValues(); },
        "sessionId": n => { getDeviceManagementIntentSettingsReportPostRequestBody.sessionId = n.getStringValue(); },
        "skip": n => { getDeviceManagementIntentSettingsReportPostRequestBody.skip = n.getNumberValue(); },
        "top": n => { getDeviceManagementIntentSettingsReportPostRequestBody.top = n.getNumberValue(); },
    };
}
exports.deserializeIntoGetDeviceManagementIntentSettingsReportPostRequestBody = deserializeIntoGetDeviceManagementIntentSettingsReportPostRequestBody;
function serializeGetDeviceManagementIntentSettingsReportPostRequestBody(writer, getDeviceManagementIntentSettingsReportPostRequestBody = {}) {
    writer.writeStringValue("filter", getDeviceManagementIntentSettingsReportPostRequestBody.filter);
    writer.writeCollectionOfPrimitiveValues("groupBy", getDeviceManagementIntentSettingsReportPostRequestBody.groupBy);
    writer.writeStringValue("name", getDeviceManagementIntentSettingsReportPostRequestBody.name);
    writer.writeCollectionOfPrimitiveValues("orderBy", getDeviceManagementIntentSettingsReportPostRequestBody.orderBy);
    writer.writeStringValue("search", getDeviceManagementIntentSettingsReportPostRequestBody.search);
    writer.writeCollectionOfPrimitiveValues("select", getDeviceManagementIntentSettingsReportPostRequestBody.select);
    writer.writeStringValue("sessionId", getDeviceManagementIntentSettingsReportPostRequestBody.sessionId);
    writer.writeNumberValue("skip", getDeviceManagementIntentSettingsReportPostRequestBody.skip);
    writer.writeNumberValue("top", getDeviceManagementIntentSettingsReportPostRequestBody.top);
    writer.writeAdditionalData(getDeviceManagementIntentSettingsReportPostRequestBody.additionalData);
}
exports.serializeGetDeviceManagementIntentSettingsReportPostRequestBody = serializeGetDeviceManagementIntentSettingsReportPostRequestBody;
// tslint:enable
// eslint-enable
