"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeGetHistoricalReportPostRequestBody = exports.deserializeIntoGetHistoricalReportPostRequestBody = exports.createGetHistoricalReportPostRequestBodyFromDiscriminatorValue = void 0;
function createGetHistoricalReportPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoGetHistoricalReportPostRequestBody;
}
exports.createGetHistoricalReportPostRequestBodyFromDiscriminatorValue = createGetHistoricalReportPostRequestBodyFromDiscriminatorValue;
function deserializeIntoGetHistoricalReportPostRequestBody(getHistoricalReportPostRequestBody = {}) {
    return {
        "filter": n => { getHistoricalReportPostRequestBody.filter = n.getStringValue(); },
        "groupBy": n => { getHistoricalReportPostRequestBody.groupBy = n.getCollectionOfPrimitiveValues(); },
        "name": n => { getHistoricalReportPostRequestBody.name = n.getStringValue(); },
        "orderBy": n => { getHistoricalReportPostRequestBody.orderBy = n.getCollectionOfPrimitiveValues(); },
        "search": n => { getHistoricalReportPostRequestBody.search = n.getStringValue(); },
        "select": n => { getHistoricalReportPostRequestBody.select = n.getCollectionOfPrimitiveValues(); },
        "skip": n => { getHistoricalReportPostRequestBody.skip = n.getNumberValue(); },
        "top": n => { getHistoricalReportPostRequestBody.top = n.getNumberValue(); },
    };
}
exports.deserializeIntoGetHistoricalReportPostRequestBody = deserializeIntoGetHistoricalReportPostRequestBody;
function serializeGetHistoricalReportPostRequestBody(writer, getHistoricalReportPostRequestBody = {}) {
    writer.writeStringValue("filter", getHistoricalReportPostRequestBody.filter);
    writer.writeCollectionOfPrimitiveValues("groupBy", getHistoricalReportPostRequestBody.groupBy);
    writer.writeStringValue("name", getHistoricalReportPostRequestBody.name);
    writer.writeCollectionOfPrimitiveValues("orderBy", getHistoricalReportPostRequestBody.orderBy);
    writer.writeStringValue("search", getHistoricalReportPostRequestBody.search);
    writer.writeCollectionOfPrimitiveValues("select", getHistoricalReportPostRequestBody.select);
    writer.writeNumberValue("skip", getHistoricalReportPostRequestBody.skip);
    writer.writeNumberValue("top", getHistoricalReportPostRequestBody.top);
    writer.writeAdditionalData(getHistoricalReportPostRequestBody.additionalData);
}
exports.serializeGetHistoricalReportPostRequestBody = serializeGetHistoricalReportPostRequestBody;
// tslint:enable
// eslint-enable
