import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AssignUserToDevicePostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The addressableUserName property
     */
    addressableUserName?: string;
    /**
     * The userPrincipalName property
     */
    userPrincipalName?: string;
}
export declare function createAssignUserToDevicePostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAssignUserToDevicePostRequestBody;
export declare function deserializeIntoAssignUserToDevicePostRequestBody(assignUserToDevicePostRequestBody?: AssignUserToDevicePostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAssignUserToDevicePostRequestBody(writer: SerializationWriter, assignUserToDevicePostRequestBody?: AssignUserToDevicePostRequestBody | undefined): void;
