import { type BaseCollectionPaginationCountResponse } from '../../../models/baseCollectionPaginationCountResponse';
import { type DirectoryObject } from '../../../models/directoryObject';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createGetByIdsPostResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoGetByIdsPostResponse;
export declare function deserializeIntoGetByIdsPostResponse(getByIdsPostResponse?: GetByIdsPostResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface GetByIdsPostResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: DirectoryObject[];
}
export declare function serializeGetByIdsPostResponse(writer: SerializationWriter, getByIdsPostResponse?: GetByIdsPostResponse | undefined): void;
