import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createGetMemberObjectsPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoGetMemberObjectsPostRequestBody;
export declare function deserializeIntoGetMemberObjectsPostRequestBody(getMemberObjectsPostRequestBody?: GetMemberObjectsPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface GetMemberObjectsPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The securityEnabledOnly property
     */
    securityEnabledOnly?: boolean;
}
export declare function serializeGetMemberObjectsPostRequestBody(writer: SerializationWriter, getMemberObjectsPostRequestBody?: GetMemberObjectsPostRequestBody | undefined): void;
