import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
import { type Guid } from 'guid-typescript';
export declare function createValidatePropertiesPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoValidatePropertiesPostRequestBody;
export declare function deserializeIntoValidatePropertiesPostRequestBody(validatePropertiesPostRequestBody?: ValidatePropertiesPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeValidatePropertiesPostRequestBody(writer: SerializationWriter, validatePropertiesPostRequestBody?: ValidatePropertiesPostRequestBody | undefined): void;
export interface ValidatePropertiesPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The displayName property
     */
    displayName?: string;
    /**
     * The entityType property
     */
    entityType?: string;
    /**
     * The mailNickname property
     */
    mailNickname?: string;
    /**
     * The onBehalfOfUserId property
     */
    onBehalfOfUserId?: Guid;
}
