import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createForceDeletePostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoForceDeletePostRequestBody;
export declare function deserializeIntoForceDeletePostRequestBody(forceDeletePostRequestBody?: ForceDeletePostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface ForceDeletePostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The disableUserAccounts property
     */
    disableUserAccounts?: boolean;
}
export declare function serializeForceDeletePostRequestBody(writer: SerializationWriter, forceDeletePostRequestBody?: ForceDeletePostRequestBody | undefined): void;
