"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeForceDeletePostRequestBody = exports.deserializeIntoForceDeletePostRequestBody = exports.createForceDeletePostRequestBodyFromDiscriminatorValue = void 0;
function createForceDeletePostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoForceDeletePostRequestBody;
}
exports.createForceDeletePostRequestBodyFromDiscriminatorValue = createForceDeletePostRequestBodyFromDiscriminatorValue;
function deserializeIntoForceDeletePostRequestBody(forceDeletePostRequestBody = {}) {
    return {
        "disableUserAccounts": n => { forceDeletePostRequestBody.disableUserAccounts = n.getBooleanValue(); },
    };
}
exports.deserializeIntoForceDeletePostRequestBody = deserializeIntoForceDeletePostRequestBody;
function serializeForceDeletePostRequestBody(writer, forceDeletePostRequestBody = {}) {
    writer.writeBooleanValue("disableUserAccounts", forceDeletePostRequestBody.disableUserAccounts);
    writer.writeAdditionalData(forceDeletePostRequestBody.additionalData);
}
exports.serializeForceDeletePostRequestBody = serializeForceDeletePostRequestBody;
// tslint:enable
// eslint-enable
