import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createPromotePostResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoPromotePostResponse;
export declare function deserializeIntoPromotePostResponse(promotePostResponse?: PromotePostResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface PromotePostResponse extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The value property
     */
    value?: boolean;
}
export declare function serializePromotePostResponse(writer: SerializationWriter, promotePostResponse?: PromotePostResponse | undefined): void;
