import { SensitivityLabelAssignmentMethod } from '../../../../../models/sensitivityLabelAssignmentMethod';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AssignSensitivityLabelPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The assignmentMethod property
     */
    assignmentMethod?: SensitivityLabelAssignmentMethod;
    /**
     * The justificationText property
     */
    justificationText?: string;
    /**
     * The sensitivityLabelId property
     */
    sensitivityLabelId?: string;
}
export declare function createAssignSensitivityLabelPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAssignSensitivityLabelPostRequestBody;
export declare function deserializeIntoAssignSensitivityLabelPostRequestBody(assignSensitivityLabelPostRequestBody?: AssignSensitivityLabelPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAssignSensitivityLabelPostRequestBody(writer: SerializationWriter, assignSensitivityLabelPostRequestBody?: AssignSensitivityLabelPostRequestBody | undefined): void;
