"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeCheckinPostRequestBody = exports.deserializeIntoCheckinPostRequestBody = exports.createCheckinPostRequestBodyFromDiscriminatorValue = void 0;
function createCheckinPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoCheckinPostRequestBody;
}
exports.createCheckinPostRequestBodyFromDiscriminatorValue = createCheckinPostRequestBodyFromDiscriminatorValue;
function deserializeIntoCheckinPostRequestBody(checkinPostRequestBody = {}) {
    return {
        "checkInAs": n => { checkinPostRequestBody.checkInAs = n.getStringValue(); },
        "comment": n => { checkinPostRequestBody.comment = n.getStringValue(); },
    };
}
exports.deserializeIntoCheckinPostRequestBody = deserializeIntoCheckinPostRequestBody;
function serializeCheckinPostRequestBody(writer, checkinPostRequestBody = {}) {
    writer.writeStringValue("checkInAs", checkinPostRequestBody.checkInAs);
    writer.writeStringValue("comment", checkinPostRequestBody.comment);
    writer.writeAdditionalData(checkinPostRequestBody.additionalData);
}
exports.serializeCheckinPostRequestBody = serializeCheckinPostRequestBody;
// tslint:enable
// eslint-enable
