import { type DriveRecipient } from '../../../../../../../models/driveRecipient';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createGrantPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoGrantPostRequestBody;
export declare function deserializeIntoGrantPostRequestBody(grantPostRequestBody?: GrantPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface GrantPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The recipients property
     */
    recipients?: DriveRecipient[];
    /**
     * The roles property
     */
    roles?: string[];
}
export declare function serializeGrantPostRequestBody(writer: SerializationWriter, grantPostRequestBody?: GrantPostRequestBody | undefined): void;
