"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializePreviewPostRequestBody = exports.deserializeIntoPreviewPostRequestBody = exports.createPreviewPostRequestBodyFromDiscriminatorValue = void 0;
function createPreviewPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoPreviewPostRequestBody;
}
exports.createPreviewPostRequestBodyFromDiscriminatorValue = createPreviewPostRequestBodyFromDiscriminatorValue;
function deserializeIntoPreviewPostRequestBody(previewPostRequestBody = {}) {
    return {
        "page": n => { previewPostRequestBody.page = n.getStringValue(); },
        "zoom": n => { previewPostRequestBody.zoom = n.getNumberValue(); },
    };
}
exports.deserializeIntoPreviewPostRequestBody = deserializeIntoPreviewPostRequestBody;
function serializePreviewPostRequestBody(writer, previewPostRequestBody = {}) {
    writer.writeStringValue("page", previewPostRequestBody.page);
    writer.writeNumberValue("zoom", previewPostRequestBody.zoom);
    writer.writeAdditionalData(previewPostRequestBody.additionalData);
}
exports.serializePreviewPostRequestBody = serializePreviewPostRequestBody;
// tslint:enable
// eslint-enable
