import { type BaseCollectionPaginationCountResponse } from '../../../../../models/baseCollectionPaginationCountResponse';
import { type DriveItem } from '../../../../../models/driveItem';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createSearchWithQGetResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoSearchWithQGetResponse;
export declare function deserializeIntoSearchWithQGetResponse(searchWithQGetResponse?: SearchWithQGetResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface SearchWithQGetResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: DriveItem[];
}
export declare function serializeSearchWithQGetResponse(writer: SerializationWriter, searchWithQGetResponse?: SearchWithQGetResponse | undefined): void;
