import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createValidatePermissionPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoValidatePermissionPostRequestBody;
export declare function deserializeIntoValidatePermissionPostRequestBody(validatePermissionPostRequestBody?: ValidatePermissionPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeValidatePermissionPostRequestBody(writer: SerializationWriter, validatePermissionPostRequestBody?: ValidatePermissionPostRequestBody | undefined): void;
export interface ValidatePermissionPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The challengeToken property
     */
    challengeToken?: string;
    /**
     * The password property
     */
    password?: string;
}
