import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AbsPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The number property
     */
    number?: Json;
}
export declare function createAbsPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAbsPostRequestBody;
export declare function deserializeIntoAbsPostRequestBody(absPostRequestBody?: AbsPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAbsPostRequestBody(writer: SerializationWriter, absPostRequestBody?: AbsPostRequestBody | undefined): void;
