import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AccrIntMPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The basis property
     */
    basis?: Json;
    /**
     * The issue property
     */
    issue?: Json;
    /**
     * The par property
     */
    par?: Json;
    /**
     * The rate property
     */
    rate?: Json;
    /**
     * The settlement property
     */
    settlement?: Json;
}
export declare function createAccrIntMPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAccrIntMPostRequestBody;
export declare function deserializeIntoAccrIntMPostRequestBody(accrIntMPostRequestBody?: AccrIntMPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAccrIntMPostRequestBody(writer: SerializationWriter, accrIntMPostRequestBody?: AccrIntMPostRequestBody | undefined): void;
