import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AmorLincPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The basis property
     */
    basis?: Json;
    /**
     * The cost property
     */
    cost?: Json;
    /**
     * The datePurchased property
     */
    datePurchased?: Json;
    /**
     * The firstPeriod property
     */
    firstPeriod?: Json;
    /**
     * The period property
     */
    period?: Json;
    /**
     * The rate property
     */
    rate?: Json;
    /**
     * The salvage property
     */
    salvage?: Json;
}
export declare function createAmorLincPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAmorLincPostRequestBody;
export declare function deserializeIntoAmorLincPostRequestBody(amorLincPostRequestBody?: AmorLincPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAmorLincPostRequestBody(writer: SerializationWriter, amorLincPostRequestBody?: AmorLincPostRequestBody | undefined): void;
