import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AreasPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The reference property
     */
    reference?: Json;
}
export declare function createAreasPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAreasPostRequestBody;
export declare function deserializeIntoAreasPostRequestBody(areasPostRequestBody?: AreasPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAreasPostRequestBody(writer: SerializationWriter, areasPostRequestBody?: AreasPostRequestBody | undefined): void;
