import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AscPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The text property
     */
    text?: Json;
}
export declare function createAscPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAscPostRequestBody;
export declare function deserializeIntoAscPostRequestBody(ascPostRequestBody?: AscPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAscPostRequestBody(writer: SerializationWriter, ascPostRequestBody?: AscPostRequestBody | undefined): void;
