import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AsinhPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The number property
     */
    number?: Json;
}
export declare function createAsinhPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAsinhPostRequestBody;
export declare function deserializeIntoAsinhPostRequestBody(asinhPostRequestBody?: AsinhPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAsinhPostRequestBody(writer: SerializationWriter, asinhPostRequestBody?: AsinhPostRequestBody | undefined): void;
