import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface BahtTextPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The number property
     */
    number?: Json;
}
export declare function createBahtTextPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoBahtTextPostRequestBody;
export declare function deserializeIntoBahtTextPostRequestBody(bahtTextPostRequestBody?: BahtTextPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeBahtTextPostRequestBody(writer: SerializationWriter, bahtTextPostRequestBody?: BahtTextPostRequestBody | undefined): void;
