import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface Beta_InvPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * The A property
     */
    a?: Json;
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The alpha property
     */
    alpha?: Json;
    /**
     * The B property
     */
    b?: Json;
    /**
     * The beta property
     */
    beta?: Json;
    /**
     * The probability property
     */
    probability?: Json;
}
export declare function createBeta_InvPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoBeta_InvPostRequestBody;
export declare function deserializeIntoBeta_InvPostRequestBody(beta_InvPostRequestBody?: Beta_InvPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeBeta_InvPostRequestBody(writer: SerializationWriter, beta_InvPostRequestBody?: Beta_InvPostRequestBody | undefined): void;
