import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface Binom_DistPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The cumulative property
     */
    cumulative?: Json;
    /**
     * The numberS property
     */
    numberS?: Json;
    /**
     * The probabilityS property
     */
    probabilityS?: Json;
    /**
     * The trials property
     */
    trials?: Json;
}
export declare function createBinom_DistPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoBinom_DistPostRequestBody;
export declare function deserializeIntoBinom_DistPostRequestBody(binom_DistPostRequestBody?: Binom_DistPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeBinom_DistPostRequestBody(writer: SerializationWriter, binom_DistPostRequestBody?: Binom_DistPostRequestBody | undefined): void;
