import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface Binom_Dist_RangePostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The numberS property
     */
    numberS?: Json;
    /**
     * The numberS2 property
     */
    numberS2?: Json;
    /**
     * The probabilityS property
     */
    probabilityS?: Json;
    /**
     * The trials property
     */
    trials?: Json;
}
export declare function createBinom_Dist_RangePostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoBinom_Dist_RangePostRequestBody;
export declare function deserializeIntoBinom_Dist_RangePostRequestBody(binom_Dist_RangePostRequestBody?: Binom_Dist_RangePostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeBinom_Dist_RangePostRequestBody(writer: SerializationWriter, binom_Dist_RangePostRequestBody?: Binom_Dist_RangePostRequestBody | undefined): void;
