import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface Binom_InvPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The alpha property
     */
    alpha?: Json;
    /**
     * The probabilityS property
     */
    probabilityS?: Json;
    /**
     * The trials property
     */
    trials?: Json;
}
export declare function createBinom_InvPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoBinom_InvPostRequestBody;
export declare function deserializeIntoBinom_InvPostRequestBody(binom_InvPostRequestBody?: Binom_InvPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeBinom_InvPostRequestBody(writer: SerializationWriter, binom_InvPostRequestBody?: Binom_InvPostRequestBody | undefined): void;
