import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface BitandPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The number1 property
     */
    number1?: Json;
    /**
     * The number2 property
     */
    number2?: Json;
}
export declare function createBitandPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoBitandPostRequestBody;
export declare function deserializeIntoBitandPostRequestBody(bitandPostRequestBody?: BitandPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeBitandPostRequestBody(writer: SerializationWriter, bitandPostRequestBody?: BitandPostRequestBody | undefined): void;
