import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface BitrshiftPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The number property
     */
    number?: Json;
    /**
     * The shiftAmount property
     */
    shiftAmount?: Json;
}
export declare function createBitrshiftPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoBitrshiftPostRequestBody;
export declare function deserializeIntoBitrshiftPostRequestBody(bitrshiftPostRequestBody?: BitrshiftPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeBitrshiftPostRequestBody(writer: SerializationWriter, bitrshiftPostRequestBody?: BitrshiftPostRequestBody | undefined): void;
