import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface BitxorPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The number1 property
     */
    number1?: Json;
    /**
     * The number2 property
     */
    number2?: Json;
}
export declare function createBitxorPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoBitxorPostRequestBody;
export declare function deserializeIntoBitxorPostRequestBody(bitxorPostRequestBody?: BitxorPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeBitxorPostRequestBody(writer: SerializationWriter, bitxorPostRequestBody?: BitxorPostRequestBody | undefined): void;
