import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface Ceiling_MathPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The mode property
     */
    mode?: Json;
    /**
     * The number property
     */
    number?: Json;
    /**
     * The significance property
     */
    significance?: Json;
}
export declare function createCeiling_MathPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoCeiling_MathPostRequestBody;
export declare function deserializeIntoCeiling_MathPostRequestBody(ceiling_MathPostRequestBody?: Ceiling_MathPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeCeiling_MathPostRequestBody(writer: SerializationWriter, ceiling_MathPostRequestBody?: Ceiling_MathPostRequestBody | undefined): void;
