import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface CharPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The number property
     */
    number?: Json;
}
export declare function createCharPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoCharPostRequestBody;
export declare function deserializeIntoCharPostRequestBody(charPostRequestBody?: CharPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeCharPostRequestBody(writer: SerializationWriter, charPostRequestBody?: CharPostRequestBody | undefined): void;
