import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface ChoosePostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The indexNum property
     */
    indexNum?: Json;
    /**
     * The values property
     */
    values?: Json;
}
export declare function createChoosePostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoChoosePostRequestBody;
export declare function deserializeIntoChoosePostRequestBody(choosePostRequestBody?: ChoosePostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeChoosePostRequestBody(writer: SerializationWriter, choosePostRequestBody?: ChoosePostRequestBody | undefined): void;
