import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface Confidence_NormPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The alpha property
     */
    alpha?: Json;
    /**
     * The size property
     */
    size?: Json;
    /**
     * The standardDev property
     */
    standardDev?: Json;
}
export declare function createConfidence_NormPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoConfidence_NormPostRequestBody;
export declare function deserializeIntoConfidence_NormPostRequestBody(confidence_NormPostRequestBody?: Confidence_NormPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeConfidence_NormPostRequestBody(writer: SerializationWriter, confidence_NormPostRequestBody?: Confidence_NormPostRequestBody | undefined): void;
