import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface ConvertPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The fromUnit property
     */
    fromUnit?: Json;
    /**
     * The number property
     */
    number?: Json;
    /**
     * The toUnit property
     */
    toUnit?: Json;
}
export declare function createConvertPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoConvertPostRequestBody;
export declare function deserializeIntoConvertPostRequestBody(convertPostRequestBody?: ConvertPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeConvertPostRequestBody(writer: SerializationWriter, convertPostRequestBody?: ConvertPostRequestBody | undefined): void;
