import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface CosPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The number property
     */
    number?: Json;
}
export declare function createCosPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoCosPostRequestBody;
export declare function deserializeIntoCosPostRequestBody(cosPostRequestBody?: CosPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeCosPostRequestBody(writer: SerializationWriter, cosPostRequestBody?: CosPostRequestBody | undefined): void;
