import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface CotPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The number property
     */
    number?: Json;
}
export declare function createCotPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoCotPostRequestBody;
export declare function deserializeIntoCotPostRequestBody(cotPostRequestBody?: CotPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeCotPostRequestBody(writer: SerializationWriter, cotPostRequestBody?: CotPostRequestBody | undefined): void;
