import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface CothPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The number property
     */
    number?: Json;
}
export declare function createCothPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoCothPostRequestBody;
export declare function deserializeIntoCothPostRequestBody(cothPostRequestBody?: CothPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeCothPostRequestBody(writer: SerializationWriter, cothPostRequestBody?: CothPostRequestBody | undefined): void;
