import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface CountPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The values property
     */
    values?: Json;
}
export declare function createCountPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoCountPostRequestBody;
export declare function deserializeIntoCountPostRequestBody(countPostRequestBody?: CountPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeCountPostRequestBody(writer: SerializationWriter, countPostRequestBody?: CountPostRequestBody | undefined): void;
