import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface CountAPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The values property
     */
    values?: Json;
}
export declare function createCountAPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoCountAPostRequestBody;
export declare function deserializeIntoCountAPostRequestBody(countAPostRequestBody?: CountAPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeCountAPostRequestBody(writer: SerializationWriter, countAPostRequestBody?: CountAPostRequestBody | undefined): void;
