import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface CountBlankPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The range property
     */
    range?: Json;
}
export declare function createCountBlankPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoCountBlankPostRequestBody;
export declare function deserializeIntoCountBlankPostRequestBody(countBlankPostRequestBody?: CountBlankPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeCountBlankPostRequestBody(writer: SerializationWriter, countBlankPostRequestBody?: CountBlankPostRequestBody | undefined): void;
