import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface CountIfPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The criteria property
     */
    criteria?: Json;
    /**
     * The range property
     */
    range?: Json;
}
export declare function createCountIfPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoCountIfPostRequestBody;
export declare function deserializeIntoCountIfPostRequestBody(countIfPostRequestBody?: CountIfPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeCountIfPostRequestBody(writer: SerializationWriter, countIfPostRequestBody?: CountIfPostRequestBody | undefined): void;
