import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface CoupDayBsPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The basis property
     */
    basis?: Json;
    /**
     * The frequency property
     */
    frequency?: Json;
    /**
     * The maturity property
     */
    maturity?: Json;
    /**
     * The settlement property
     */
    settlement?: Json;
}
export declare function createCoupDayBsPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoCoupDayBsPostRequestBody;
export declare function deserializeIntoCoupDayBsPostRequestBody(coupDayBsPostRequestBody?: CoupDayBsPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeCoupDayBsPostRequestBody(writer: SerializationWriter, coupDayBsPostRequestBody?: CoupDayBsPostRequestBody | undefined): void;
