import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface CoupPcdPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The basis property
     */
    basis?: Json;
    /**
     * The frequency property
     */
    frequency?: Json;
    /**
     * The maturity property
     */
    maturity?: Json;
    /**
     * The settlement property
     */
    settlement?: Json;
}
export declare function createCoupPcdPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoCoupPcdPostRequestBody;
export declare function deserializeIntoCoupPcdPostRequestBody(coupPcdPostRequestBody?: CoupPcdPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeCoupPcdPostRequestBody(writer: SerializationWriter, coupPcdPostRequestBody?: CoupPcdPostRequestBody | undefined): void;
