import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createCschPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoCschPostRequestBody;
export interface CschPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The number property
     */
    number?: Json;
}
export declare function deserializeIntoCschPostRequestBody(cschPostRequestBody?: CschPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeCschPostRequestBody(writer: SerializationWriter, cschPostRequestBody?: CschPostRequestBody | undefined): void;
