import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createCumIPmtPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoCumIPmtPostRequestBody;
export interface CumIPmtPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The endPeriod property
     */
    endPeriod?: Json;
    /**
     * The nper property
     */
    nper?: Json;
    /**
     * The pv property
     */
    pv?: Json;
    /**
     * The rate property
     */
    rate?: Json;
    /**
     * The startPeriod property
     */
    startPeriod?: Json;
    /**
     * The type property
     */
    type?: Json;
}
export declare function deserializeIntoCumIPmtPostRequestBody(cumIPmtPostRequestBody?: CumIPmtPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeCumIPmtPostRequestBody(writer: SerializationWriter, cumIPmtPostRequestBody?: CumIPmtPostRequestBody | undefined): void;
