import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createDaysPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoDaysPostRequestBody;
export interface DaysPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The endDate property
     */
    endDate?: Json;
    /**
     * The startDate property
     */
    startDate?: Json;
}
export declare function deserializeIntoDaysPostRequestBody(daysPostRequestBody?: DaysPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeDaysPostRequestBody(writer: SerializationWriter, daysPostRequestBody?: DaysPostRequestBody | undefined): void;
