import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createDevSqPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoDevSqPostRequestBody;
export declare function deserializeIntoDevSqPostRequestBody(devSqPostRequestBody?: DevSqPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface DevSqPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The values property
     */
    values?: Json;
}
export declare function serializeDevSqPostRequestBody(writer: SerializationWriter, devSqPostRequestBody?: DevSqPostRequestBody | undefined): void;
