import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createDminPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoDminPostRequestBody;
export declare function deserializeIntoDminPostRequestBody(dminPostRequestBody?: DminPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface DminPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The criteria property
     */
    criteria?: Json;
    /**
     * The database property
     */
    database?: Json;
    /**
     * The field property
     */
    field?: Json;
}
export declare function serializeDminPostRequestBody(writer: SerializationWriter, dminPostRequestBody?: DminPostRequestBody | undefined): void;
