import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createDollarFrPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoDollarFrPostRequestBody;
export declare function deserializeIntoDollarFrPostRequestBody(dollarFrPostRequestBody?: DollarFrPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface DollarFrPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The decimalDollar property
     */
    decimalDollar?: Json;
    /**
     * The fraction property
     */
    fraction?: Json;
}
export declare function serializeDollarFrPostRequestBody(writer: SerializationWriter, dollarFrPostRequestBody?: DollarFrPostRequestBody | undefined): void;
