import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createEffectPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoEffectPostRequestBody;
export declare function deserializeIntoEffectPostRequestBody(effectPostRequestBody?: EffectPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface EffectPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The nominalRate property
     */
    nominalRate?: Json;
    /**
     * The npery property
     */
    npery?: Json;
}
export declare function serializeEffectPostRequestBody(writer: SerializationWriter, effectPostRequestBody?: EffectPostRequestBody | undefined): void;
