import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createErfC_PrecisePostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoErfC_PrecisePostRequestBody;
export declare function deserializeIntoErfC_PrecisePostRequestBody(erfC_PrecisePostRequestBody?: ErfC_PrecisePostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface ErfC_PrecisePostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The X property
     */
    x?: Json;
}
export declare function serializeErfC_PrecisePostRequestBody(writer: SerializationWriter, erfC_PrecisePostRequestBody?: ErfC_PrecisePostRequestBody | undefined): void;
