import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createEvenPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoEvenPostRequestBody;
export declare function deserializeIntoEvenPostRequestBody(evenPostRequestBody?: EvenPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface EvenPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The number property
     */
    number?: Json;
}
export declare function serializeEvenPostRequestBody(writer: SerializationWriter, evenPostRequestBody?: EvenPostRequestBody | undefined): void;
