import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createExpPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoExpPostRequestBody;
export declare function deserializeIntoExpPostRequestBody(expPostRequestBody?: ExpPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface ExpPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The number property
     */
    number?: Json;
}
export declare function serializeExpPostRequestBody(writer: SerializationWriter, expPostRequestBody?: ExpPostRequestBody | undefined): void;
