import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createF_DistPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoF_DistPostRequestBody;
export declare function deserializeIntoF_DistPostRequestBody(f_DistPostRequestBody?: F_DistPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface F_DistPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The cumulative property
     */
    cumulative?: Json;
    /**
     * The degFreedom1 property
     */
    degFreedom1?: Json;
    /**
     * The degFreedom2 property
     */
    degFreedom2?: Json;
    /**
     * The x property
     */
    x?: Json;
}
export declare function serializeF_DistPostRequestBody(writer: SerializationWriter, f_DistPostRequestBody?: F_DistPostRequestBody | undefined): void;
