import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createFisherPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoFisherPostRequestBody;
export declare function deserializeIntoFisherPostRequestBody(fisherPostRequestBody?: FisherPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface FisherPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The x property
     */
    x?: Json;
}
export declare function serializeFisherPostRequestBody(writer: SerializationWriter, fisherPostRequestBody?: FisherPostRequestBody | undefined): void;
