import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createFloor_MathPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoFloor_MathPostRequestBody;
export declare function deserializeIntoFloor_MathPostRequestBody(floor_MathPostRequestBody?: Floor_MathPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface Floor_MathPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The mode property
     */
    mode?: Json;
    /**
     * The number property
     */
    number?: Json;
    /**
     * The significance property
     */
    significance?: Json;
}
export declare function serializeFloor_MathPostRequestBody(writer: SerializationWriter, floor_MathPostRequestBody?: Floor_MathPostRequestBody | undefined): void;
