import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createGammaPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoGammaPostRequestBody;
export declare function deserializeIntoGammaPostRequestBody(gammaPostRequestBody?: GammaPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface GammaPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The x property
     */
    x?: Json;
}
export declare function serializeGammaPostRequestBody(writer: SerializationWriter, gammaPostRequestBody?: GammaPostRequestBody | undefined): void;
