import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createGammaLnPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoGammaLnPostRequestBody;
export declare function deserializeIntoGammaLnPostRequestBody(gammaLnPostRequestBody?: GammaLnPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface GammaLnPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The x property
     */
    x?: Json;
}
export declare function serializeGammaLnPostRequestBody(writer: SerializationWriter, gammaLnPostRequestBody?: GammaLnPostRequestBody | undefined): void;
