import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createGaussPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoGaussPostRequestBody;
export declare function deserializeIntoGaussPostRequestBody(gaussPostRequestBody?: GaussPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface GaussPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The x property
     */
    x?: Json;
}
export declare function serializeGaussPostRequestBody(writer: SerializationWriter, gaussPostRequestBody?: GaussPostRequestBody | undefined): void;
