import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createHex2OctPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoHex2OctPostRequestBody;
export declare function deserializeIntoHex2OctPostRequestBody(hex2OctPostRequestBody?: Hex2OctPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface Hex2OctPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The number property
     */
    number?: Json;
    /**
     * The places property
     */
    places?: Json;
}
export declare function serializeHex2OctPostRequestBody(writer: SerializationWriter, hex2OctPostRequestBody?: Hex2OctPostRequestBody | undefined): void;
