import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createHlookupPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoHlookupPostRequestBody;
export declare function deserializeIntoHlookupPostRequestBody(hlookupPostRequestBody?: HlookupPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface HlookupPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The lookupValue property
     */
    lookupValue?: Json;
    /**
     * The rangeLookup property
     */
    rangeLookup?: Json;
    /**
     * The rowIndexNum property
     */
    rowIndexNum?: Json;
    /**
     * The tableArray property
     */
    tableArray?: Json;
}
export declare function serializeHlookupPostRequestBody(writer: SerializationWriter, hlookupPostRequestBody?: HlookupPostRequestBody | undefined): void;
