import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createHyperlinkPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoHyperlinkPostRequestBody;
export declare function deserializeIntoHyperlinkPostRequestBody(hyperlinkPostRequestBody?: HyperlinkPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface HyperlinkPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The friendlyName property
     */
    friendlyName?: Json;
    /**
     * The linkLocation property
     */
    linkLocation?: Json;
}
export declare function serializeHyperlinkPostRequestBody(writer: SerializationWriter, hyperlinkPostRequestBody?: HyperlinkPostRequestBody | undefined): void;
