import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createIfPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoIfPostRequestBody;
export declare function deserializeIntoIfPostRequestBody(ifPostRequestBody?: IfPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface IfPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The logicalTest property
     */
    logicalTest?: Json;
    /**
     * The valueIfFalse property
     */
    valueIfFalse?: Json;
    /**
     * The valueIfTrue property
     */
    valueIfTrue?: Json;
}
export declare function serializeIfPostRequestBody(writer: SerializationWriter, ifPostRequestBody?: IfPostRequestBody | undefined): void;
