import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createImConjugatePostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoImConjugatePostRequestBody;
export declare function deserializeIntoImConjugatePostRequestBody(imConjugatePostRequestBody?: ImConjugatePostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface ImConjugatePostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The inumber property
     */
    inumber?: Json;
}
export declare function serializeImConjugatePostRequestBody(writer: SerializationWriter, imConjugatePostRequestBody?: ImConjugatePostRequestBody | undefined): void;
