import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createImCosPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoImCosPostRequestBody;
export declare function deserializeIntoImCosPostRequestBody(imCosPostRequestBody?: ImCosPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface ImCosPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The inumber property
     */
    inumber?: Json;
}
export declare function serializeImCosPostRequestBody(writer: SerializationWriter, imCosPostRequestBody?: ImCosPostRequestBody | undefined): void;
