import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createImCschPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoImCschPostRequestBody;
export declare function deserializeIntoImCschPostRequestBody(imCschPostRequestBody?: ImCschPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface ImCschPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The inumber property
     */
    inumber?: Json;
}
export declare function serializeImCschPostRequestBody(writer: SerializationWriter, imCschPostRequestBody?: ImCschPostRequestBody | undefined): void;
