import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createImLnPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoImLnPostRequestBody;
export declare function deserializeIntoImLnPostRequestBody(imLnPostRequestBody?: ImLnPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface ImLnPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The inumber property
     */
    inumber?: Json;
}
export declare function serializeImLnPostRequestBody(writer: SerializationWriter, imLnPostRequestBody?: ImLnPostRequestBody | undefined): void;
