import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createImSechPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoImSechPostRequestBody;
export declare function deserializeIntoImSechPostRequestBody(imSechPostRequestBody?: ImSechPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface ImSechPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The inumber property
     */
    inumber?: Json;
}
export declare function serializeImSechPostRequestBody(writer: SerializationWriter, imSechPostRequestBody?: ImSechPostRequestBody | undefined): void;
