import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createImaginaryPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoImaginaryPostRequestBody;
export declare function deserializeIntoImaginaryPostRequestBody(imaginaryPostRequestBody?: ImaginaryPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface ImaginaryPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The inumber property
     */
    inumber?: Json;
}
export declare function serializeImaginaryPostRequestBody(writer: SerializationWriter, imaginaryPostRequestBody?: ImaginaryPostRequestBody | undefined): void;
