import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createIrrPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoIrrPostRequestBody;
export declare function deserializeIntoIrrPostRequestBody(irrPostRequestBody?: IrrPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface IrrPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The guess property
     */
    guess?: Json;
    /**
     * The values property
     */
    values?: Json;
}
export declare function serializeIrrPostRequestBody(writer: SerializationWriter, irrPostRequestBody?: IrrPostRequestBody | undefined): void;
