import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createIsErrPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoIsErrPostRequestBody;
export declare function deserializeIntoIsErrPostRequestBody(isErrPostRequestBody?: IsErrPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface IsErrPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The value property
     */
    value?: Json;
}
export declare function serializeIsErrPostRequestBody(writer: SerializationWriter, isErrPostRequestBody?: IsErrPostRequestBody | undefined): void;
