import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createIsNonTextPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoIsNonTextPostRequestBody;
export declare function deserializeIntoIsNonTextPostRequestBody(isNonTextPostRequestBody?: IsNonTextPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface IsNonTextPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The value property
     */
    value?: Json;
}
export declare function serializeIsNonTextPostRequestBody(writer: SerializationWriter, isNonTextPostRequestBody?: IsNonTextPostRequestBody | undefined): void;
