import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createIsNumberPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoIsNumberPostRequestBody;
export declare function deserializeIntoIsNumberPostRequestBody(isNumberPostRequestBody?: IsNumberPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface IsNumberPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The value property
     */
    value?: Json;
}
export declare function serializeIsNumberPostRequestBody(writer: SerializationWriter, isNumberPostRequestBody?: IsNumberPostRequestBody | undefined): void;
