import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createIsOddPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoIsOddPostRequestBody;
export declare function deserializeIntoIsOddPostRequestBody(isOddPostRequestBody?: IsOddPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface IsOddPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The number property
     */
    number?: Json;
}
export declare function serializeIsOddPostRequestBody(writer: SerializationWriter, isOddPostRequestBody?: IsOddPostRequestBody | undefined): void;
