import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createIsoWeekNumPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoIsoWeekNumPostRequestBody;
export declare function deserializeIntoIsoWeekNumPostRequestBody(isoWeekNumPostRequestBody?: IsoWeekNumPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface IsoWeekNumPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The date property
     */
    date?: Json;
}
export declare function serializeIsoWeekNumPostRequestBody(writer: SerializationWriter, isoWeekNumPostRequestBody?: IsoWeekNumPostRequestBody | undefined): void;
