import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createLcmPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoLcmPostRequestBody;
export declare function deserializeIntoLcmPostRequestBody(lcmPostRequestBody?: LcmPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface LcmPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The values property
     */
    values?: Json;
}
export declare function serializeLcmPostRequestBody(writer: SerializationWriter, lcmPostRequestBody?: LcmPostRequestBody | undefined): void;
