import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createLeftPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoLeftPostRequestBody;
export declare function deserializeIntoLeftPostRequestBody(leftPostRequestBody?: LeftPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface LeftPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The numChars property
     */
    numChars?: Json;
    /**
     * The text property
     */
    text?: Json;
}
export declare function serializeLeftPostRequestBody(writer: SerializationWriter, leftPostRequestBody?: LeftPostRequestBody | undefined): void;
