import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createLenPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoLenPostRequestBody;
export declare function deserializeIntoLenPostRequestBody(lenPostRequestBody?: LenPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface LenPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The text property
     */
    text?: Json;
}
export declare function serializeLenPostRequestBody(writer: SerializationWriter, lenPostRequestBody?: LenPostRequestBody | undefined): void;
