import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createLenbPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoLenbPostRequestBody;
export declare function deserializeIntoLenbPostRequestBody(lenbPostRequestBody?: LenbPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface LenbPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The text property
     */
    text?: Json;
}
export declare function serializeLenbPostRequestBody(writer: SerializationWriter, lenbPostRequestBody?: LenbPostRequestBody | undefined): void;
