import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createLnPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoLnPostRequestBody;
export declare function deserializeIntoLnPostRequestBody(lnPostRequestBody?: LnPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface LnPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The number property
     */
    number?: Json;
}
export declare function serializeLnPostRequestBody(writer: SerializationWriter, lnPostRequestBody?: LnPostRequestBody | undefined): void;
