import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createLogPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoLogPostRequestBody;
export declare function deserializeIntoLogPostRequestBody(logPostRequestBody?: LogPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface LogPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The base property
     */
    base?: Json;
    /**
     * The number property
     */
    number?: Json;
}
export declare function serializeLogPostRequestBody(writer: SerializationWriter, logPostRequestBody?: LogPostRequestBody | undefined): void;
