import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createLogNorm_DistPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoLogNorm_DistPostRequestBody;
export declare function deserializeIntoLogNorm_DistPostRequestBody(logNorm_DistPostRequestBody?: LogNorm_DistPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface LogNorm_DistPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The cumulative property
     */
    cumulative?: Json;
    /**
     * The mean property
     */
    mean?: Json;
    /**
     * The standardDev property
     */
    standardDev?: Json;
    /**
     * The x property
     */
    x?: Json;
}
export declare function serializeLogNorm_DistPostRequestBody(writer: SerializationWriter, logNorm_DistPostRequestBody?: LogNorm_DistPostRequestBody | undefined): void;
