import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createMatchPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoMatchPostRequestBody;
export declare function deserializeIntoMatchPostRequestBody(matchPostRequestBody?: MatchPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface MatchPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The lookupArray property
     */
    lookupArray?: Json;
    /**
     * The lookupValue property
     */
    lookupValue?: Json;
    /**
     * The matchType property
     */
    matchType?: Json;
}
export declare function serializeMatchPostRequestBody(writer: SerializationWriter, matchPostRequestBody?: MatchPostRequestBody | undefined): void;
