import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createMaxPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoMaxPostRequestBody;
export declare function deserializeIntoMaxPostRequestBody(maxPostRequestBody?: MaxPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface MaxPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The values property
     */
    values?: Json;
}
export declare function serializeMaxPostRequestBody(writer: SerializationWriter, maxPostRequestBody?: MaxPostRequestBody | undefined): void;
