import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createMedianPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoMedianPostRequestBody;
export declare function deserializeIntoMedianPostRequestBody(medianPostRequestBody?: MedianPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface MedianPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The values property
     */
    values?: Json;
}
export declare function serializeMedianPostRequestBody(writer: SerializationWriter, medianPostRequestBody?: MedianPostRequestBody | undefined): void;
