import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createMidbPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoMidbPostRequestBody;
export declare function deserializeIntoMidbPostRequestBody(midbPostRequestBody?: MidbPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface MidbPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The numBytes property
     */
    numBytes?: Json;
    /**
     * The startNum property
     */
    startNum?: Json;
    /**
     * The text property
     */
    text?: Json;
}
export declare function serializeMidbPostRequestBody(writer: SerializationWriter, midbPostRequestBody?: MidbPostRequestBody | undefined): void;
