import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createMinutePostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoMinutePostRequestBody;
export declare function deserializeIntoMinutePostRequestBody(minutePostRequestBody?: MinutePostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface MinutePostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The serialNumber property
     */
    serialNumber?: Json;
}
export declare function serializeMinutePostRequestBody(writer: SerializationWriter, minutePostRequestBody?: MinutePostRequestBody | undefined): void;
