import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createMirrPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoMirrPostRequestBody;
export declare function deserializeIntoMirrPostRequestBody(mirrPostRequestBody?: MirrPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface MirrPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The financeRate property
     */
    financeRate?: Json;
    /**
     * The reinvestRate property
     */
    reinvestRate?: Json;
    /**
     * The values property
     */
    values?: Json;
}
export declare function serializeMirrPostRequestBody(writer: SerializationWriter, mirrPostRequestBody?: MirrPostRequestBody | undefined): void;
