import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createMultiNomialPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoMultiNomialPostRequestBody;
export declare function deserializeIntoMultiNomialPostRequestBody(multiNomialPostRequestBody?: MultiNomialPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface MultiNomialPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The values property
     */
    values?: Json;
}
export declare function serializeMultiNomialPostRequestBody(writer: SerializationWriter, multiNomialPostRequestBody?: MultiNomialPostRequestBody | undefined): void;
