import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createNorm_S_DistPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoNorm_S_DistPostRequestBody;
export declare function deserializeIntoNorm_S_DistPostRequestBody(norm_S_DistPostRequestBody?: Norm_S_DistPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface Norm_S_DistPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The cumulative property
     */
    cumulative?: Json;
    /**
     * The z property
     */
    z?: Json;
}
export declare function serializeNorm_S_DistPostRequestBody(writer: SerializationWriter, norm_S_DistPostRequestBody?: Norm_S_DistPostRequestBody | undefined): void;
