import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createOct2BinPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoOct2BinPostRequestBody;
export declare function deserializeIntoOct2BinPostRequestBody(oct2BinPostRequestBody?: Oct2BinPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface Oct2BinPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The number property
     */
    number?: Json;
    /**
     * The places property
     */
    places?: Json;
}
export declare function serializeOct2BinPostRequestBody(writer: SerializationWriter, oct2BinPostRequestBody?: Oct2BinPostRequestBody | undefined): void;
