import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createOct2DecPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoOct2DecPostRequestBody;
export declare function deserializeIntoOct2DecPostRequestBody(oct2DecPostRequestBody?: Oct2DecPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface Oct2DecPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The number property
     */
    number?: Json;
}
export declare function serializeOct2DecPostRequestBody(writer: SerializationWriter, oct2DecPostRequestBody?: Oct2DecPostRequestBody | undefined): void;
