import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createOrPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoOrPostRequestBody;
export declare function deserializeIntoOrPostRequestBody(orPostRequestBody?: OrPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface OrPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The values property
     */
    values?: Json;
}
export declare function serializeOrPostRequestBody(writer: SerializationWriter, orPostRequestBody?: OrPostRequestBody | undefined): void;
