import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createPdurationPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoPdurationPostRequestBody;
export declare function deserializeIntoPdurationPostRequestBody(pdurationPostRequestBody?: PdurationPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface PdurationPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The fv property
     */
    fv?: Json;
    /**
     * The pv property
     */
    pv?: Json;
    /**
     * The rate property
     */
    rate?: Json;
}
export declare function serializePdurationPostRequestBody(writer: SerializationWriter, pdurationPostRequestBody?: PdurationPostRequestBody | undefined): void;
