import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createPercentRank_ExcPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoPercentRank_ExcPostRequestBody;
export declare function deserializeIntoPercentRank_ExcPostRequestBody(percentRank_ExcPostRequestBody?: PercentRank_ExcPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface PercentRank_ExcPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The array property
     */
    array?: Json;
    /**
     * The significance property
     */
    significance?: Json;
    /**
     * The x property
     */
    x?: Json;
}
export declare function serializePercentRank_ExcPostRequestBody(writer: SerializationWriter, percentRank_ExcPostRequestBody?: PercentRank_ExcPostRequestBody | undefined): void;
