import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createPercentile_ExcPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoPercentile_ExcPostRequestBody;
export declare function deserializeIntoPercentile_ExcPostRequestBody(percentile_ExcPostRequestBody?: Percentile_ExcPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface Percentile_ExcPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The array property
     */
    array?: Json;
    /**
     * The k property
     */
    k?: Json;
}
export declare function serializePercentile_ExcPostRequestBody(writer: SerializationWriter, percentile_ExcPostRequestBody?: Percentile_ExcPostRequestBody | undefined): void;
