import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createPermutPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoPermutPostRequestBody;
export declare function deserializeIntoPermutPostRequestBody(permutPostRequestBody?: PermutPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface PermutPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The number property
     */
    number?: Json;
    /**
     * The numberChosen property
     */
    numberChosen?: Json;
}
export declare function serializePermutPostRequestBody(writer: SerializationWriter, permutPostRequestBody?: PermutPostRequestBody | undefined): void;
