import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createPmtPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoPmtPostRequestBody;
export declare function deserializeIntoPmtPostRequestBody(pmtPostRequestBody?: PmtPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface PmtPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The fv property
     */
    fv?: Json;
    /**
     * The nper property
     */
    nper?: Json;
    /**
     * The pv property
     */
    pv?: Json;
    /**
     * The rate property
     */
    rate?: Json;
    /**
     * The type property
     */
    type?: Json;
}
export declare function serializePmtPostRequestBody(writer: SerializationWriter, pmtPostRequestBody?: PmtPostRequestBody | undefined): void;
