import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createPoisson_DistPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoPoisson_DistPostRequestBody;
export declare function deserializeIntoPoisson_DistPostRequestBody(poisson_DistPostRequestBody?: Poisson_DistPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface Poisson_DistPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The cumulative property
     */
    cumulative?: Json;
    /**
     * The mean property
     */
    mean?: Json;
    /**
     * The x property
     */
    x?: Json;
}
export declare function serializePoisson_DistPostRequestBody(writer: SerializationWriter, poisson_DistPostRequestBody?: Poisson_DistPostRequestBody | undefined): void;
