import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createPowerPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoPowerPostRequestBody;
export declare function deserializeIntoPowerPostRequestBody(powerPostRequestBody?: PowerPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface PowerPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The number property
     */
    number?: Json;
    /**
     * The power property
     */
    power?: Json;
}
export declare function serializePowerPostRequestBody(writer: SerializationWriter, powerPostRequestBody?: PowerPostRequestBody | undefined): void;
