import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createPpmtPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoPpmtPostRequestBody;
export declare function deserializeIntoPpmtPostRequestBody(ppmtPostRequestBody?: PpmtPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface PpmtPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The fv property
     */
    fv?: Json;
    /**
     * The nper property
     */
    nper?: Json;
    /**
     * The per property
     */
    per?: Json;
    /**
     * The pv property
     */
    pv?: Json;
    /**
     * The rate property
     */
    rate?: Json;
    /**
     * The type property
     */
    type?: Json;
}
export declare function serializePpmtPostRequestBody(writer: SerializationWriter, ppmtPostRequestBody?: PpmtPostRequestBody | undefined): void;
