import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createPriceDiscPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoPriceDiscPostRequestBody;
export declare function deserializeIntoPriceDiscPostRequestBody(priceDiscPostRequestBody?: PriceDiscPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface PriceDiscPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The basis property
     */
    basis?: Json;
    /**
     * The discount property
     */
    discount?: Json;
    /**
     * The maturity property
     */
    maturity?: Json;
    /**
     * The redemption property
     */
    redemption?: Json;
    /**
     * The settlement property
     */
    settlement?: Json;
}
export declare function serializePriceDiscPostRequestBody(writer: SerializationWriter, priceDiscPostRequestBody?: PriceDiscPostRequestBody | undefined): void;
