import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createPvPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoPvPostRequestBody;
export declare function deserializeIntoPvPostRequestBody(pvPostRequestBody?: PvPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface PvPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The fv property
     */
    fv?: Json;
    /**
     * The nper property
     */
    nper?: Json;
    /**
     * The pmt property
     */
    pmt?: Json;
    /**
     * The rate property
     */
    rate?: Json;
    /**
     * The type property
     */
    type?: Json;
}
export declare function serializePvPostRequestBody(writer: SerializationWriter, pvPostRequestBody?: PvPostRequestBody | undefined): void;
