import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createQuartile_IncPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoQuartile_IncPostRequestBody;
export declare function deserializeIntoQuartile_IncPostRequestBody(quartile_IncPostRequestBody?: Quartile_IncPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface Quartile_IncPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The array property
     */
    array?: Json;
    /**
     * The quart property
     */
    quart?: Json;
}
export declare function serializeQuartile_IncPostRequestBody(writer: SerializationWriter, quartile_IncPostRequestBody?: Quartile_IncPostRequestBody | undefined): void;
