import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createRank_AvgPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoRank_AvgPostRequestBody;
export declare function deserializeIntoRank_AvgPostRequestBody(rank_AvgPostRequestBody?: Rank_AvgPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface Rank_AvgPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The number property
     */
    number?: Json;
    /**
     * The order property
     */
    order?: Json;
    /**
     * The ref property
     */
    ref?: Json;
}
export declare function serializeRank_AvgPostRequestBody(writer: SerializationWriter, rank_AvgPostRequestBody?: Rank_AvgPostRequestBody | undefined): void;
