import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createRomanPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoRomanPostRequestBody;
export declare function deserializeIntoRomanPostRequestBody(romanPostRequestBody?: RomanPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface RomanPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The form property
     */
    form?: Json;
    /**
     * The number property
     */
    number?: Json;
}
export declare function serializeRomanPostRequestBody(writer: SerializationWriter, romanPostRequestBody?: RomanPostRequestBody | undefined): void;
