import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createRriPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoRriPostRequestBody;
export declare function deserializeIntoRriPostRequestBody(rriPostRequestBody?: RriPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface RriPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The fv property
     */
    fv?: Json;
    /**
     * The nper property
     */
    nper?: Json;
    /**
     * The pv property
     */
    pv?: Json;
}
export declare function serializeRriPostRequestBody(writer: SerializationWriter, rriPostRequestBody?: RriPostRequestBody | undefined): void;
