import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createSecPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoSecPostRequestBody;
export declare function deserializeIntoSecPostRequestBody(secPostRequestBody?: SecPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface SecPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The number property
     */
    number?: Json;
}
export declare function serializeSecPostRequestBody(writer: SerializationWriter, secPostRequestBody?: SecPostRequestBody | undefined): void;
