import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createSecondPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoSecondPostRequestBody;
export declare function deserializeIntoSecondPostRequestBody(secondPostRequestBody?: SecondPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface SecondPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The serialNumber property
     */
    serialNumber?: Json;
}
export declare function serializeSecondPostRequestBody(writer: SerializationWriter, secondPostRequestBody?: SecondPostRequestBody | undefined): void;
