import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createSeriesSumPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoSeriesSumPostRequestBody;
export declare function deserializeIntoSeriesSumPostRequestBody(seriesSumPostRequestBody?: SeriesSumPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeSeriesSumPostRequestBody(writer: SerializationWriter, seriesSumPostRequestBody?: SeriesSumPostRequestBody | undefined): void;
export interface SeriesSumPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The coefficients property
     */
    coefficients?: Json;
    /**
     * The m property
     */
    m?: Json;
    /**
     * The n property
     */
    n?: Json;
    /**
     * The x property
     */
    x?: Json;
}
