import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createSheetsPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoSheetsPostRequestBody;
export declare function deserializeIntoSheetsPostRequestBody(sheetsPostRequestBody?: SheetsPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeSheetsPostRequestBody(writer: SerializationWriter, sheetsPostRequestBody?: SheetsPostRequestBody | undefined): void;
export interface SheetsPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The reference property
     */
    reference?: Json;
}
