import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createSkewPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoSkewPostRequestBody;
export declare function deserializeIntoSkewPostRequestBody(skewPostRequestBody?: SkewPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeSkewPostRequestBody(writer: SerializationWriter, skewPostRequestBody?: SkewPostRequestBody | undefined): void;
export interface SkewPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The values property
     */
    values?: Json;
}
