import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createSlnPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoSlnPostRequestBody;
export declare function deserializeIntoSlnPostRequestBody(slnPostRequestBody?: SlnPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeSlnPostRequestBody(writer: SerializationWriter, slnPostRequestBody?: SlnPostRequestBody | undefined): void;
export interface SlnPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The cost property
     */
    cost?: Json;
    /**
     * The life property
     */
    life?: Json;
    /**
     * The salvage property
     */
    salvage?: Json;
}
