import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createSmallPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoSmallPostRequestBody;
export declare function deserializeIntoSmallPostRequestBody(smallPostRequestBody?: SmallPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeSmallPostRequestBody(writer: SerializationWriter, smallPostRequestBody?: SmallPostRequestBody | undefined): void;
export interface SmallPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The array property
     */
    array?: Json;
    /**
     * The k property
     */
    k?: Json;
}
