import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createSqrtPiPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoSqrtPiPostRequestBody;
export declare function deserializeIntoSqrtPiPostRequestBody(sqrtPiPostRequestBody?: SqrtPiPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeSqrtPiPostRequestBody(writer: SerializationWriter, sqrtPiPostRequestBody?: SqrtPiPostRequestBody | undefined): void;
export interface SqrtPiPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The number property
     */
    number?: Json;
}
