import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createStDevAPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoStDevAPostRequestBody;
export declare function deserializeIntoStDevAPostRequestBody(stDevAPostRequestBody?: StDevAPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeStDevAPostRequestBody(writer: SerializationWriter, stDevAPostRequestBody?: StDevAPostRequestBody | undefined): void;
export interface StDevAPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The values property
     */
    values?: Json;
}
