import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createStDev_SPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoStDev_SPostRequestBody;
export declare function deserializeIntoStDev_SPostRequestBody(stDev_SPostRequestBody?: StDev_SPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeStDev_SPostRequestBody(writer: SerializationWriter, stDev_SPostRequestBody?: StDev_SPostRequestBody | undefined): void;
export interface StDev_SPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The values property
     */
    values?: Json;
}
