import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createStandardizePostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoStandardizePostRequestBody;
export declare function deserializeIntoStandardizePostRequestBody(standardizePostRequestBody?: StandardizePostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeStandardizePostRequestBody(writer: SerializationWriter, standardizePostRequestBody?: StandardizePostRequestBody | undefined): void;
export interface StandardizePostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The mean property
     */
    mean?: Json;
    /**
     * The standardDev property
     */
    standardDev?: Json;
    /**
     * The x property
     */
    x?: Json;
}
