import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createSumIfPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoSumIfPostRequestBody;
export declare function deserializeIntoSumIfPostRequestBody(sumIfPostRequestBody?: SumIfPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeSumIfPostRequestBody(writer: SerializationWriter, sumIfPostRequestBody?: SumIfPostRequestBody | undefined): void;
export interface SumIfPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The criteria property
     */
    criteria?: Json;
    /**
     * The range property
     */
    range?: Json;
    /**
     * The sumRange property
     */
    sumRange?: Json;
}
