import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createSumIfsPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoSumIfsPostRequestBody;
export declare function deserializeIntoSumIfsPostRequestBody(sumIfsPostRequestBody?: SumIfsPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeSumIfsPostRequestBody(writer: SerializationWriter, sumIfsPostRequestBody?: SumIfsPostRequestBody | undefined): void;
export interface SumIfsPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The sumRange property
     */
    sumRange?: Json;
    /**
     * The values property
     */
    values?: Json;
}
