import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createSumSqPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoSumSqPostRequestBody;
export declare function deserializeIntoSumSqPostRequestBody(sumSqPostRequestBody?: SumSqPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeSumSqPostRequestBody(writer: SerializationWriter, sumSqPostRequestBody?: SumSqPostRequestBody | undefined): void;
export interface SumSqPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The values property
     */
    values?: Json;
}
