import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createTanhPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoTanhPostRequestBody;
export declare function deserializeIntoTanhPostRequestBody(tanhPostRequestBody?: TanhPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeTanhPostRequestBody(writer: SerializationWriter, tanhPostRequestBody?: TanhPostRequestBody | undefined): void;
export interface TanhPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The number property
     */
    number?: Json;
}
