import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createTextPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoTextPostRequestBody;
export declare function deserializeIntoTextPostRequestBody(textPostRequestBody?: TextPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeTextPostRequestBody(writer: SerializationWriter, textPostRequestBody?: TextPostRequestBody | undefined): void;
export interface TextPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The formatText property
     */
    formatText?: Json;
    /**
     * The value property
     */
    value?: Json;
}
