import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createTrimPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoTrimPostRequestBody;
export declare function deserializeIntoTrimPostRequestBody(trimPostRequestBody?: TrimPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeTrimPostRequestBody(writer: SerializationWriter, trimPostRequestBody?: TrimPostRequestBody | undefined): void;
export interface TrimPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The text property
     */
    text?: Json;
}
