import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createTrimMeanPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoTrimMeanPostRequestBody;
export declare function deserializeIntoTrimMeanPostRequestBody(trimMeanPostRequestBody?: TrimMeanPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeTrimMeanPostRequestBody(writer: SerializationWriter, trimMeanPostRequestBody?: TrimMeanPostRequestBody | undefined): void;
export interface TrimMeanPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The array property
     */
    array?: Json;
    /**
     * The percent property
     */
    percent?: Json;
}
