import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createUsdollarPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoUsdollarPostRequestBody;
export declare function deserializeIntoUsdollarPostRequestBody(usdollarPostRequestBody?: UsdollarPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeUsdollarPostRequestBody(writer: SerializationWriter, usdollarPostRequestBody?: UsdollarPostRequestBody | undefined): void;
export interface UsdollarPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The decimals property
     */
    decimals?: Json;
    /**
     * The number property
     */
    number?: Json;
}
