import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createValuePostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoValuePostRequestBody;
export declare function deserializeIntoValuePostRequestBody(valuePostRequestBody?: ValuePostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeValuePostRequestBody(writer: SerializationWriter, valuePostRequestBody?: ValuePostRequestBody | undefined): void;
export interface ValuePostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The text property
     */
    text?: Json;
}
