import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createVarAPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoVarAPostRequestBody;
export declare function deserializeIntoVarAPostRequestBody(varAPostRequestBody?: VarAPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeVarAPostRequestBody(writer: SerializationWriter, varAPostRequestBody?: VarAPostRequestBody | undefined): void;
export interface VarAPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The values property
     */
    values?: Json;
}
