import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createWeibull_DistPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoWeibull_DistPostRequestBody;
export declare function deserializeIntoWeibull_DistPostRequestBody(weibull_DistPostRequestBody?: Weibull_DistPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeWeibull_DistPostRequestBody(writer: SerializationWriter, weibull_DistPostRequestBody?: Weibull_DistPostRequestBody | undefined): void;
export interface Weibull_DistPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The alpha property
     */
    alpha?: Json;
    /**
     * The beta property
     */
    beta?: Json;
    /**
     * The cumulative property
     */
    cumulative?: Json;
    /**
     * The x property
     */
    x?: Json;
}
