import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createXirrPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoXirrPostRequestBody;
export declare function deserializeIntoXirrPostRequestBody(xirrPostRequestBody?: XirrPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeXirrPostRequestBody(writer: SerializationWriter, xirrPostRequestBody?: XirrPostRequestBody | undefined): void;
export interface XirrPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The dates property
     */
    dates?: Json;
    /**
     * The guess property
     */
    guess?: Json;
    /**
     * The values property
     */
    values?: Json;
}
