import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createXorPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoXorPostRequestBody;
export declare function deserializeIntoXorPostRequestBody(xorPostRequestBody?: XorPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeXorPostRequestBody(writer: SerializationWriter, xorPostRequestBody?: XorPostRequestBody | undefined): void;
export interface XorPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The values property
     */
    values?: Json;
}
