import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createYearPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoYearPostRequestBody;
export declare function deserializeIntoYearPostRequestBody(yearPostRequestBody?: YearPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeYearPostRequestBody(writer: SerializationWriter, yearPostRequestBody?: YearPostRequestBody | undefined): void;
export interface YearPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The serialNumber property
     */
    serialNumber?: Json;
}
