import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createYearFracPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoYearFracPostRequestBody;
export declare function deserializeIntoYearFracPostRequestBody(yearFracPostRequestBody?: YearFracPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeYearFracPostRequestBody(writer: SerializationWriter, yearFracPostRequestBody?: YearFracPostRequestBody | undefined): void;
export interface YearFracPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The basis property
     */
    basis?: Json;
    /**
     * The endDate property
     */
    endDate?: Json;
    /**
     * The startDate property
     */
    startDate?: Json;
}
