import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AddFormulaLocalPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The comment property
     */
    comment?: string;
    /**
     * The formula property
     */
    formula?: string;
    /**
     * The name property
     */
    name?: string;
}
export declare function createAddFormulaLocalPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAddFormulaLocalPostRequestBody;
export declare function deserializeIntoAddFormulaLocalPostRequestBody(addFormulaLocalPostRequestBody?: AddFormulaLocalPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAddFormulaLocalPostRequestBody(writer: SerializationWriter, addFormulaLocalPostRequestBody?: AddFormulaLocalPostRequestBody | undefined): void;
