"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeCountGetResponse = exports.deserializeIntoCountGetResponse = exports.createCountGetResponseFromDiscriminatorValue = void 0;
function createCountGetResponseFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoCountGetResponse;
}
exports.createCountGetResponseFromDiscriminatorValue = createCountGetResponseFromDiscriminatorValue;
function deserializeIntoCountGetResponse(countGetResponse = {}) {
    return {
        "value": n => { countGetResponse.value = n.getNumberValue(); },
    };
}
exports.deserializeIntoCountGetResponse = deserializeIntoCountGetResponse;
function serializeCountGetResponse(writer, countGetResponse = {}) {
    writer.writeNumberValue("value", countGetResponse.value);
    writer.writeAdditionalData(countGetResponse.additionalData);
}
exports.serializeCountGetResponse = serializeCountGetResponse;
// tslint:enable
// eslint-enable
