import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface ApplyCustomFilterPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The criteria1 property
     */
    criteria1?: string;
    /**
     * The criteria2 property
     */
    criteria2?: string;
    /**
     * The oper property
     */
    oper?: string;
}
export declare function createApplyCustomFilterPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoApplyCustomFilterPostRequestBody;
export declare function deserializeIntoApplyCustomFilterPostRequestBody(applyCustomFilterPostRequestBody?: ApplyCustomFilterPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeApplyCustomFilterPostRequestBody(writer: SerializationWriter, applyCustomFilterPostRequestBody?: ApplyCustomFilterPostRequestBody | undefined): void;
