import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface ApplyFontColorFilterPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The color property
     */
    color?: string;
}
export declare function createApplyFontColorFilterPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoApplyFontColorFilterPostRequestBody;
export declare function deserializeIntoApplyFontColorFilterPostRequestBody(applyFontColorFilterPostRequestBody?: ApplyFontColorFilterPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeApplyFontColorFilterPostRequestBody(writer: SerializationWriter, applyFontColorFilterPostRequestBody?: ApplyFontColorFilterPostRequestBody | undefined): void;
