import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createImageWithWidthWithHeightGetResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoImageWithWidthWithHeightGetResponse;
export declare function deserializeIntoImageWithWidthWithHeightGetResponse(imageWithWidthWithHeightGetResponse?: ImageWithWidthWithHeightGetResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface ImageWithWidthWithHeightGetResponse extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The value property
     */
    value?: string;
}
export declare function serializeImageWithWidthWithHeightGetResponse(writer: SerializationWriter, imageWithWidthWithHeightGetResponse?: ImageWithWidthWithHeightGetResponse | undefined): void;
