import { type Json } from '../../../../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createSetPositionPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoSetPositionPostRequestBody;
export declare function deserializeIntoSetPositionPostRequestBody(setPositionPostRequestBody?: SetPositionPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeSetPositionPostRequestBody(writer: SerializationWriter, setPositionPostRequestBody?: SetPositionPostRequestBody | undefined): void;
export interface SetPositionPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The endCell property
     */
    endCell?: Json;
    /**
     * The startCell property
     */
    startCell?: Json;
}
