import { type WorkbookIcon } from '../../../../../../../../../../../../../models/workbookIcon';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface ApplyIconFilterPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The icon property
     */
    icon?: WorkbookIcon;
}
export declare function createApplyIconFilterPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoApplyIconFilterPostRequestBody;
export declare function deserializeIntoApplyIconFilterPostRequestBody(applyIconFilterPostRequestBody?: ApplyIconFilterPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeApplyIconFilterPostRequestBody(writer: SerializationWriter, applyIconFilterPostRequestBody?: ApplyIconFilterPostRequestBody | undefined): void;
