import { type BaseCollectionPaginationCountResponse } from '../../../models/baseCollectionPaginationCountResponse';
import { type DriveItem } from '../../../models/driveItem';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createRecentGetResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoRecentGetResponse;
export declare function deserializeIntoRecentGetResponse(recentGetResponse?: RecentGetResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface RecentGetResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: DriveItem[];
}
export declare function serializeRecentGetResponse(writer: SerializationWriter, recentGetResponse?: RecentGetResponse | undefined): void;
