import { type AssignedLicense } from '../../../models/assignedLicense';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
import { type Guid } from 'guid-typescript';
export interface AssignLicensePostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The addLicenses property
     */
    addLicenses?: AssignedLicense[];
    /**
     * The removeLicenses property
     */
    removeLicenses?: Guid[];
}
export declare function createAssignLicensePostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAssignLicensePostRequestBody;
export declare function deserializeIntoAssignLicensePostRequestBody(assignLicensePostRequestBody?: AssignLicensePostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAssignLicensePostRequestBody(writer: SerializationWriter, assignLicensePostRequestBody?: AssignLicensePostRequestBody | undefined): void;
