import { type BaseCollectionPaginationCountResponse } from '../../../models/baseCollectionPaginationCountResponse';
import { type ResourceSpecificPermissionGrant } from '../../../models/resourceSpecificPermissionGrant';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface CheckGrantedPermissionsForAppPostResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: ResourceSpecificPermissionGrant[];
}
export declare function createCheckGrantedPermissionsForAppPostResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoCheckGrantedPermissionsForAppPostResponse;
export declare function deserializeIntoCheckGrantedPermissionsForAppPostResponse(checkGrantedPermissionsForAppPostResponse?: CheckGrantedPermissionsForAppPostResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeCheckGrantedPermissionsForAppPostResponse(writer: SerializationWriter, checkGrantedPermissionsForAppPostResponse?: CheckGrantedPermissionsForAppPostResponse | undefined): void;
