import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createGetMemberGroupsPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoGetMemberGroupsPostRequestBody;
export declare function deserializeIntoGetMemberGroupsPostRequestBody(getMemberGroupsPostRequestBody?: GetMemberGroupsPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface GetMemberGroupsPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The securityEnabledOnly property
     */
    securityEnabledOnly?: boolean;
}
export declare function serializeGetMemberGroupsPostRequestBody(writer: SerializationWriter, getMemberGroupsPostRequestBody?: GetMemberGroupsPostRequestBody | undefined): void;
