import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createRemoveGroupPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoRemoveGroupPostRequestBody;
export declare function deserializeIntoRemoveGroupPostRequestBody(removeGroupPostRequestBody?: RemoveGroupPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface RemoveGroupPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The groupId property
     */
    groupId?: string;
}
export declare function serializeRemoveGroupPostRequestBody(writer: SerializationWriter, removeGroupPostRequestBody?: RemoveGroupPostRequestBody | undefined): void;
