import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface CopyNotebookPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The groupId property
     */
    groupId?: string;
    /**
     * The notebookFolder property
     */
    notebookFolder?: string;
    /**
     * The renameAs property
     */
    renameAs?: string;
    /**
     * The siteCollectionId property
     */
    siteCollectionId?: string;
    /**
     * The siteId property
     */
    siteId?: string;
}
export declare function createCopyNotebookPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoCopyNotebookPostRequestBody;
export declare function deserializeIntoCopyNotebookPostRequestBody(copyNotebookPostRequestBody?: CopyNotebookPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeCopyNotebookPostRequestBody(writer: SerializationWriter, copyNotebookPostRequestBody?: CopyNotebookPostRequestBody | undefined): void;
