import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AssociateWithHubSitesPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The hubSiteUrls property
     */
    hubSiteUrls?: string[];
    /**
     * The propagateToExistingLists property
     */
    propagateToExistingLists?: boolean;
}
export declare function createAssociateWithHubSitesPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAssociateWithHubSitesPostRequestBody;
export declare function deserializeIntoAssociateWithHubSitesPostRequestBody(associateWithHubSitesPostRequestBody?: AssociateWithHubSitesPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAssociateWithHubSitesPostRequestBody(writer: SerializationWriter, associateWithHubSitesPostRequestBody?: AssociateWithHubSitesPostRequestBody | undefined): void;
