"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeCopyNotebookPostRequestBody = exports.deserializeIntoCopyNotebookPostRequestBody = exports.createCopyNotebookPostRequestBodyFromDiscriminatorValue = void 0;
function createCopyNotebookPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoCopyNotebookPostRequestBody;
}
exports.createCopyNotebookPostRequestBodyFromDiscriminatorValue = createCopyNotebookPostRequestBodyFromDiscriminatorValue;
function deserializeIntoCopyNotebookPostRequestBody(copyNotebookPostRequestBody = {}) {
    return {
        "groupId": n => { copyNotebookPostRequestBody.groupId = n.getStringValue(); },
        "notebookFolder": n => { copyNotebookPostRequestBody.notebookFolder = n.getStringValue(); },
        "renameAs": n => { copyNotebookPostRequestBody.renameAs = n.getStringValue(); },
        "siteCollectionId": n => { copyNotebookPostRequestBody.siteCollectionId = n.getStringValue(); },
        "siteId": n => { copyNotebookPostRequestBody.siteId = n.getStringValue(); },
    };
}
exports.deserializeIntoCopyNotebookPostRequestBody = deserializeIntoCopyNotebookPostRequestBody;
function serializeCopyNotebookPostRequestBody(writer, copyNotebookPostRequestBody = {}) {
    writer.writeStringValue("groupId", copyNotebookPostRequestBody.groupId);
    writer.writeStringValue("notebookFolder", copyNotebookPostRequestBody.notebookFolder);
    writer.writeStringValue("renameAs", copyNotebookPostRequestBody.renameAs);
    writer.writeStringValue("siteCollectionId", copyNotebookPostRequestBody.siteCollectionId);
    writer.writeStringValue("siteId", copyNotebookPostRequestBody.siteId);
    writer.writeAdditionalData(copyNotebookPostRequestBody.additionalData);
}
exports.serializeCopyNotebookPostRequestBody = serializeCopyNotebookPostRequestBody;
// tslint:enable
// eslint-enable
