import { type Site } from '../../../../models/site';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createRemovePostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoRemovePostRequestBody;
export declare function deserializeIntoRemovePostRequestBody(removePostRequestBody?: RemovePostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface RemovePostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The value property
     */
    value?: Site[];
}
export declare function serializeRemovePostRequestBody(writer: SerializationWriter, removePostRequestBody?: RemovePostRequestBody | undefined): void;
