import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface BatchRecordDecisionsPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The decision property
     */
    decision?: string;
    /**
     * The justification property
     */
    justification?: string;
    /**
     * The principalId property
     */
    principalId?: string;
    /**
     * The resourceId property
     */
    resourceId?: string;
}
export declare function createBatchRecordDecisionsPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoBatchRecordDecisionsPostRequestBody;
export declare function deserializeIntoBatchRecordDecisionsPostRequestBody(batchRecordDecisionsPostRequestBody?: BatchRecordDecisionsPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeBatchRecordDecisionsPostRequestBody(writer: SerializationWriter, batchRecordDecisionsPostRequestBody?: BatchRecordDecisionsPostRequestBody | undefined): void;
