import { type AccessPackageAssignment } from '../../../../models/accessPackageAssignment';
import { type BaseCollectionPaginationCountResponse } from '../../../../models/baseCollectionPaginationCountResponse';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AdditionalAccessGetResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: AccessPackageAssignment[];
}
export declare function createAdditionalAccessGetResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAdditionalAccessGetResponse;
export declare function deserializeIntoAdditionalAccessGetResponse(additionalAccessGetResponse?: AdditionalAccessGetResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAdditionalAccessGetResponse(writer: SerializationWriter, additionalAccessGetResponse?: AdditionalAccessGetResponse | undefined): void;
