import { type User } from '../../../../../../models/user';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface ActivatePostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The subjects property
     */
    subjects?: User[];
}
export declare function createActivatePostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoActivatePostRequestBody;
export declare function deserializeIntoActivatePostRequestBody(activatePostRequestBody?: ActivatePostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeActivatePostRequestBody(writer: SerializationWriter, activatePostRequestBody?: ActivatePostRequestBody | undefined): void;
