import { type Workflow } from '../../../../../models/identityGovernance/workflow';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createCreateNewVersionPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoCreateNewVersionPostRequestBody;
export interface CreateNewVersionPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The workflow property
     */
    workflow?: Workflow;
}
export declare function deserializeIntoCreateNewVersionPostRequestBody(createNewVersionPostRequestBody?: CreateNewVersionPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeCreateNewVersionPostRequestBody(writer: SerializationWriter, createNewVersionPostRequestBody?: CreateNewVersionPostRequestBody | undefined): void;
