"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeConfirmCompromisedPostRequestBody = exports.deserializeIntoConfirmCompromisedPostRequestBody = exports.createConfirmCompromisedPostRequestBodyFromDiscriminatorValue = void 0;
function createConfirmCompromisedPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoConfirmCompromisedPostRequestBody;
}
exports.createConfirmCompromisedPostRequestBodyFromDiscriminatorValue = createConfirmCompromisedPostRequestBodyFromDiscriminatorValue;
function deserializeIntoConfirmCompromisedPostRequestBody(confirmCompromisedPostRequestBody = {}) {
    return {
        "servicePrincipalIds": n => { confirmCompromisedPostRequestBody.servicePrincipalIds = n.getCollectionOfPrimitiveValues(); },
    };
}
exports.deserializeIntoConfirmCompromisedPostRequestBody = deserializeIntoConfirmCompromisedPostRequestBody;
function serializeConfirmCompromisedPostRequestBody(writer, confirmCompromisedPostRequestBody = {}) {
    writer.writeCollectionOfPrimitiveValues("servicePrincipalIds", confirmCompromisedPostRequestBody.servicePrincipalIds);
    writer.writeAdditionalData(confirmCompromisedPostRequestBody.additionalData);
}
exports.serializeConfirmCompromisedPostRequestBody = serializeConfirmCompromisedPostRequestBody;
// tslint:enable
// eslint-enable
