import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createDismissPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoDismissPostRequestBody;
export declare function deserializeIntoDismissPostRequestBody(dismissPostRequestBody?: DismissPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface DismissPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The userIds property
     */
    userIds?: string[];
}
export declare function serializeDismissPostRequestBody(writer: SerializationWriter, dismissPostRequestBody?: DismissPostRequestBody | undefined): void;
