import { type BaseCollectionPaginationCountResponse } from '../../../models/baseCollectionPaginationCountResponse';
import { type ScheduleInformation } from '../../../models/scheduleInformation';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createGetSchedulePostResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoGetSchedulePostResponse;
export declare function deserializeIntoGetSchedulePostResponse(getSchedulePostResponse?: GetSchedulePostResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface GetSchedulePostResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: ScheduleInformation[];
}
export declare function serializeGetSchedulePostResponse(writer: SerializationWriter, getSchedulePostResponse?: GetSchedulePostResponse | undefined): void;
