import { type TimeSlot } from '../../../../../../../../../../models/timeSlot';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createTentativelyAcceptPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoTentativelyAcceptPostRequestBody;
export declare function deserializeIntoTentativelyAcceptPostRequestBody(tentativelyAcceptPostRequestBody?: TentativelyAcceptPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeTentativelyAcceptPostRequestBody(writer: SerializationWriter, tentativelyAcceptPostRequestBody?: TentativelyAcceptPostRequestBody | undefined): void;
export interface TentativelyAcceptPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The Comment property
     */
    comment?: string;
    /**
     * The ProposedNewTime property
     */
    proposedNewTime?: TimeSlot;
    /**
     * The SendResponse property
     */
    sendResponse?: boolean;
}
