import { type DateTimeTimeZone } from '../../../../../../../../models/dateTimeTimeZone';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createSnoozeReminderPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoSnoozeReminderPostRequestBody;
export declare function deserializeIntoSnoozeReminderPostRequestBody(snoozeReminderPostRequestBody?: SnoozeReminderPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeSnoozeReminderPostRequestBody(writer: SerializationWriter, snoozeReminderPostRequestBody?: SnoozeReminderPostRequestBody | undefined): void;
export interface SnoozeReminderPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The NewReminderTime property
     */
    newReminderTime?: DateTimeTimeZone;
}
