import { type DateTimeTimeZone } from '../../../../../../models/dateTimeTimeZone';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createGetSchedulePostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoGetSchedulePostRequestBody;
export declare function deserializeIntoGetSchedulePostRequestBody(getSchedulePostRequestBody?: GetSchedulePostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface GetSchedulePostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The AvailabilityViewInterval property
     */
    availabilityViewInterval?: number;
    /**
     * The EndTime property
     */
    endTime?: DateTimeTimeZone;
    /**
     * The Schedules property
     */
    schedules?: string[];
    /**
     * The StartTime property
     */
    startTime?: DateTimeTimeZone;
}
export declare function serializeGetSchedulePostRequestBody(writer: SerializationWriter, getSchedulePostRequestBody?: GetSchedulePostRequestBody | undefined): void;
