"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeCancelPostRequestBody = exports.deserializeIntoCancelPostRequestBody = exports.createCancelPostRequestBodyFromDiscriminatorValue = void 0;
function createCancelPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoCancelPostRequestBody;
}
exports.createCancelPostRequestBodyFromDiscriminatorValue = createCancelPostRequestBodyFromDiscriminatorValue;
function deserializeIntoCancelPostRequestBody(cancelPostRequestBody = {}) {
    return {
        "comment": n => { cancelPostRequestBody.comment = n.getStringValue(); },
    };
}
exports.deserializeIntoCancelPostRequestBody = deserializeIntoCancelPostRequestBody;
function serializeCancelPostRequestBody(writer, cancelPostRequestBody = {}) {
    writer.writeStringValue("Comment", cancelPostRequestBody.comment);
    writer.writeAdditionalData(cancelPostRequestBody.additionalData);
}
exports.serializeCancelPostRequestBody = serializeCancelPostRequestBody;
// tslint:enable
// eslint-enable
