import { type TeamworkUserIdentity } from '../../../../models/teamworkUserIdentity';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createMarkChatReadForUserPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoMarkChatReadForUserPostRequestBody;
export declare function deserializeIntoMarkChatReadForUserPostRequestBody(markChatReadForUserPostRequestBody?: MarkChatReadForUserPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface MarkChatReadForUserPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The user property
     */
    user?: TeamworkUserIdentity;
}
export declare function serializeMarkChatReadForUserPostRequestBody(writer: SerializationWriter, markChatReadForUserPostRequestBody?: MarkChatReadForUserPostRequestBody | undefined): void;
