import { type BaseCollectionPaginationCountResponse } from '../../models/baseCollectionPaginationCountResponse';
import { type ManagedAppPolicy } from '../../models/managedAppPolicy';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createGetManagedAppPoliciesGetResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoGetManagedAppPoliciesGetResponse;
export declare function deserializeIntoGetManagedAppPoliciesGetResponse(getManagedAppPoliciesGetResponse?: GetManagedAppPoliciesGetResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface GetManagedAppPoliciesGetResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: ManagedAppPolicy[];
}
export declare function serializeGetManagedAppPoliciesGetResponse(writer: SerializationWriter, getManagedAppPoliciesGetResponse?: GetManagedAppPoliciesGetResponse | undefined): void;
