import { type Message } from '../../../../../../../../models/message';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createCreateReplyPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoCreateReplyPostRequestBody;
export interface CreateReplyPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The Comment property
     */
    comment?: string;
    /**
     * The Message property
     */
    message?: Message;
}
export declare function deserializeIntoCreateReplyPostRequestBody(createReplyPostRequestBody?: CreateReplyPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeCreateReplyPostRequestBody(writer: SerializationWriter, createReplyPostRequestBody?: CreateReplyPostRequestBody | undefined): void;
