import { type Message } from '../../../../../../../../models/message';
import { type Recipient } from '../../../../../../../../models/recipient';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createForwardPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoForwardPostRequestBody;
export declare function deserializeIntoForwardPostRequestBody(forwardPostRequestBody?: ForwardPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface ForwardPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The Comment property
     */
    comment?: string;
    /**
     * The Message property
     */
    message?: Message;
    /**
     * The ToRecipients property
     */
    toRecipients?: Recipient[];
}
export declare function serializeForwardPostRequestBody(writer: SerializationWriter, forwardPostRequestBody?: ForwardPostRequestBody | undefined): void;
