import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createCreateDownloadUrlPostResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoCreateDownloadUrlPostResponse;
export interface CreateDownloadUrlPostResponse extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The value property
     */
    value?: string;
}
export declare function deserializeIntoCreateDownloadUrlPostResponse(createDownloadUrlPostResponse?: CreateDownloadUrlPostResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeCreateDownloadUrlPostResponse(writer: SerializationWriter, createDownloadUrlPostResponse?: CreateDownloadUrlPostResponse | undefined): void;
