import { type UpdateWindowsDeviceAccountActionParameter } from '../../../../models/updateWindowsDeviceAccountActionParameter';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createUpdateWindowsDeviceAccountPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoUpdateWindowsDeviceAccountPostRequestBody;
export declare function deserializeIntoUpdateWindowsDeviceAccountPostRequestBody(updateWindowsDeviceAccountPostRequestBody?: UpdateWindowsDeviceAccountPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeUpdateWindowsDeviceAccountPostRequestBody(writer: SerializationWriter, updateWindowsDeviceAccountPostRequestBody?: UpdateWindowsDeviceAccountPostRequestBody | undefined): void;
export interface UpdateWindowsDeviceAccountPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The updateWindowsDeviceAccountActionParameter property
     */
    updateWindowsDeviceAccountActionParameter?: UpdateWindowsDeviceAccountActionParameter;
}
