"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeCopyToNotebookPostRequestBody = exports.deserializeIntoCopyToNotebookPostRequestBody = exports.createCopyToNotebookPostRequestBodyFromDiscriminatorValue = void 0;
function createCopyToNotebookPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoCopyToNotebookPostRequestBody;
}
exports.createCopyToNotebookPostRequestBodyFromDiscriminatorValue = createCopyToNotebookPostRequestBodyFromDiscriminatorValue;
function deserializeIntoCopyToNotebookPostRequestBody(copyToNotebookPostRequestBody = {}) {
    return {
        "groupId": n => { copyToNotebookPostRequestBody.groupId = n.getStringValue(); },
        "id": n => { copyToNotebookPostRequestBody.id = n.getStringValue(); },
        "renameAs": n => { copyToNotebookPostRequestBody.renameAs = n.getStringValue(); },
        "siteCollectionId": n => { copyToNotebookPostRequestBody.siteCollectionId = n.getStringValue(); },
        "siteId": n => { copyToNotebookPostRequestBody.siteId = n.getStringValue(); },
    };
}
exports.deserializeIntoCopyToNotebookPostRequestBody = deserializeIntoCopyToNotebookPostRequestBody;
function serializeCopyToNotebookPostRequestBody(writer, copyToNotebookPostRequestBody = {}) {
    writer.writeStringValue("groupId", copyToNotebookPostRequestBody.groupId);
    writer.writeStringValue("id", copyToNotebookPostRequestBody.id);
    writer.writeStringValue("renameAs", copyToNotebookPostRequestBody.renameAs);
    writer.writeStringValue("siteCollectionId", copyToNotebookPostRequestBody.siteCollectionId);
    writer.writeStringValue("siteId", copyToNotebookPostRequestBody.siteId);
    writer.writeAdditionalData(copyToNotebookPostRequestBody.additionalData);
}
exports.serializeCopyToNotebookPostRequestBody = serializeCopyToNotebookPostRequestBody;
// tslint:enable
// eslint-enable
