import { type BaseCollectionPaginationCountResponse } from '../../../models/baseCollectionPaginationCountResponse';
import { type LocaleInfo } from '../../../models/localeInfo';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createSupportedLanguagesGetResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoSupportedLanguagesGetResponse;
export declare function deserializeIntoSupportedLanguagesGetResponse(supportedLanguagesGetResponse?: SupportedLanguagesGetResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeSupportedLanguagesGetResponse(writer: SerializationWriter, supportedLanguagesGetResponse?: SupportedLanguagesGetResponse | undefined): void;
export interface SupportedLanguagesGetResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: LocaleInfo[];
}
