"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeClearPresencePostRequestBody = exports.deserializeIntoClearPresencePostRequestBody = exports.createClearPresencePostRequestBodyFromDiscriminatorValue = void 0;
function createClearPresencePostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoClearPresencePostRequestBody;
}
exports.createClearPresencePostRequestBodyFromDiscriminatorValue = createClearPresencePostRequestBodyFromDiscriminatorValue;
function deserializeIntoClearPresencePostRequestBody(clearPresencePostRequestBody = {}) {
    return {
        "sessionId": n => { clearPresencePostRequestBody.sessionId = n.getStringValue(); },
    };
}
exports.deserializeIntoClearPresencePostRequestBody = deserializeIntoClearPresencePostRequestBody;
function serializeClearPresencePostRequestBody(writer, clearPresencePostRequestBody = {}) {
    writer.writeStringValue("sessionId", clearPresencePostRequestBody.sessionId);
    writer.writeAdditionalData(clearPresencePostRequestBody.additionalData);
}
exports.serializeClearPresencePostRequestBody = serializeClearPresencePostRequestBody;
// tslint:enable
// eslint-enable
