import { type BaseCollectionPaginationCountResponse } from '../../models/baseCollectionPaginationCountResponse';
import { type Reminder } from '../../models/reminder';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createReminderViewWithStartDateTimeWithEndDateTimeGetResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoReminderViewWithStartDateTimeWithEndDateTimeGetResponse;
export declare function deserializeIntoReminderViewWithStartDateTimeWithEndDateTimeGetResponse(reminderViewWithStartDateTimeWithEndDateTimeGetResponse?: ReminderViewWithStartDateTimeWithEndDateTimeGetResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface ReminderViewWithStartDateTimeWithEndDateTimeGetResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: Reminder[];
}
export declare function serializeReminderViewWithStartDateTimeWithEndDateTimeGetResponse(writer: SerializationWriter, reminderViewWithStartDateTimeWithEndDateTimeGetResponse?: ReminderViewWithStartDateTimeWithEndDateTimeGetResponse | undefined): void;
