import { type PayloadDetail } from './payloadDetail';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createEmailPayloadDetailFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoEmailPayloadDetail;
export declare function deserializeIntoEmailPayloadDetail(emailPayloadDetail?: EmailPayloadDetail | undefined): Record<string, (node: ParseNode) => void>;
export interface EmailPayloadDetail extends Parsable, PayloadDetail {
    /**
     * The fromEmail property
     */
    fromEmail?: string;
    /**
     * The fromName property
     */
    fromName?: string;
    /**
     * The isExternalSender property
     */
    isExternalSender?: boolean;
    /**
     * The subject property
     */
    subject?: string;
}
export declare function serializeEmailPayloadDetail(writer: SerializationWriter, emailPayloadDetail?: EmailPayloadDetail | undefined): void;
