import { TrainingCompletionDuration } from './trainingCompletionDuration';
import { type TrainingSetting } from './trainingSetting';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createMicrosoftManagedTrainingSettingFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoMicrosoftManagedTrainingSetting;
export declare function deserializeIntoMicrosoftManagedTrainingSetting(microsoftManagedTrainingSetting?: MicrosoftManagedTrainingSetting | undefined): Record<string, (node: ParseNode) => void>;
export interface MicrosoftManagedTrainingSetting extends Parsable, TrainingSetting {
    /**
     * The completionDateTime property
     */
    completionDateTime?: Date;
    /**
     * The trainingCompletionDuration property
     */
    trainingCompletionDuration?: TrainingCompletionDuration;
}
export declare function serializeMicrosoftManagedTrainingSetting(writer: SerializationWriter, microsoftManagedTrainingSetting?: MicrosoftManagedTrainingSetting | undefined): void;
