import { type Entity } from './entity';
import { type ProfileCardAnnotation } from './profileCardAnnotation';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createProfileCardPropertyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoProfileCardProperty;
export declare function deserializeIntoProfileCardProperty(profileCardProperty?: ProfileCardProperty | undefined): Record<string, (node: ParseNode) => void>;
export interface ProfileCardProperty extends Entity, Parsable {
    /**
     * The annotations property
     */
    annotations?: ProfileCardAnnotation[];
    /**
     * The directoryPropertyName property
     */
    directoryPropertyName?: string;
}
export declare function serializeProfileCardProperty(writer: SerializationWriter, profileCardProperty?: ProfileCardProperty | undefined): void;
