import { type PrintDocumentUploadProperties } from '../../../../../../../../models/printDocumentUploadProperties';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createCreateUploadSessionPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoCreateUploadSessionPostRequestBody;
export interface CreateUploadSessionPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The properties property
     */
    properties?: PrintDocumentUploadProperties;
}
export declare function deserializeIntoCreateUploadSessionPostRequestBody(createUploadSessionPostRequestBody?: CreateUploadSessionPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeCreateUploadSessionPostRequestBody(writer: SerializationWriter, createUploadSessionPostRequestBody?: CreateUploadSessionPostRequestBody | undefined): void;
