"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ReportsRequestBuilder = void 0;
const oDataError_1 = require("../models/oDataErrors/oDataError");
const reportRoot_1 = require("../models/reportRoot");
const authenticationMethodsRequestBuilder_1 = require("./authenticationMethods/authenticationMethodsRequestBuilder");
const dailyPrintUsageByPrinterRequestBuilder_1 = require("./dailyPrintUsageByPrinter/dailyPrintUsageByPrinterRequestBuilder");
const dailyPrintUsageByUserRequestBuilder_1 = require("./dailyPrintUsageByUser/dailyPrintUsageByUserRequestBuilder");
const deviceConfigurationDeviceActivityRequestBuilder_1 = require("./deviceConfigurationDeviceActivity/deviceConfigurationDeviceActivityRequestBuilder");
const deviceConfigurationUserActivityRequestBuilder_1 = require("./deviceConfigurationUserActivity/deviceConfigurationUserActivityRequestBuilder");
const getEmailActivityCountsWithPeriodRequestBuilder_1 = require("./getEmailActivityCountsWithPeriod/getEmailActivityCountsWithPeriodRequestBuilder");
const getEmailActivityUserCountsWithPeriodRequestBuilder_1 = require("./getEmailActivityUserCountsWithPeriod/getEmailActivityUserCountsWithPeriodRequestBuilder");
const getEmailActivityUserDetailWithDateRequestBuilder_1 = require("./getEmailActivityUserDetailWithDate/getEmailActivityUserDetailWithDateRequestBuilder");
const getEmailActivityUserDetailWithPeriodRequestBuilder_1 = require("./getEmailActivityUserDetailWithPeriod/getEmailActivityUserDetailWithPeriodRequestBuilder");
const getEmailAppUsageAppsUserCountsWithPeriodRequestBuilder_1 = require("./getEmailAppUsageAppsUserCountsWithPeriod/getEmailAppUsageAppsUserCountsWithPeriodRequestBuilder");
const getEmailAppUsageUserCountsWithPeriodRequestBuilder_1 = require("./getEmailAppUsageUserCountsWithPeriod/getEmailAppUsageUserCountsWithPeriodRequestBuilder");
const getEmailAppUsageUserDetailWithDateRequestBuilder_1 = require("./getEmailAppUsageUserDetailWithDate/getEmailAppUsageUserDetailWithDateRequestBuilder");
const getEmailAppUsageUserDetailWithPeriodRequestBuilder_1 = require("./getEmailAppUsageUserDetailWithPeriod/getEmailAppUsageUserDetailWithPeriodRequestBuilder");
const getEmailAppUsageVersionsUserCountsWithPeriodRequestBuilder_1 = require("./getEmailAppUsageVersionsUserCountsWithPeriod/getEmailAppUsageVersionsUserCountsWithPeriodRequestBuilder");
const getGroupArchivedPrintJobsWithGroupIdWithStartDateTimeWithEndDateTimeRequestBuilder_1 = require("./getGroupArchivedPrintJobsWithGroupIdWithStartDateTimeWithEndDateTime/getGroupArchivedPrintJobsWithGroupIdWithStartDateTimeWithEndDateTimeRequestBuilder");
const getM365AppPlatformUserCountsWithPeriodRequestBuilder_1 = require("./getM365AppPlatformUserCountsWithPeriod/getM365AppPlatformUserCountsWithPeriodRequestBuilder");
const getM365AppUserCountsWithPeriodRequestBuilder_1 = require("./getM365AppUserCountsWithPeriod/getM365AppUserCountsWithPeriodRequestBuilder");
const getM365AppUserDetailWithDateRequestBuilder_1 = require("./getM365AppUserDetailWithDate/getM365AppUserDetailWithDateRequestBuilder");
const getM365AppUserDetailWithPeriodRequestBuilder_1 = require("./getM365AppUserDetailWithPeriod/getM365AppUserDetailWithPeriodRequestBuilder");
const getMailboxUsageDetailWithPeriodRequestBuilder_1 = require("./getMailboxUsageDetailWithPeriod/getMailboxUsageDetailWithPeriodRequestBuilder");
const getMailboxUsageMailboxCountsWithPeriodRequestBuilder_1 = require("./getMailboxUsageMailboxCountsWithPeriod/getMailboxUsageMailboxCountsWithPeriodRequestBuilder");
const getMailboxUsageQuotaStatusMailboxCountsWithPeriodRequestBuilder_1 = require("./getMailboxUsageQuotaStatusMailboxCountsWithPeriod/getMailboxUsageQuotaStatusMailboxCountsWithPeriodRequestBuilder");
const getMailboxUsageStorageWithPeriodRequestBuilder_1 = require("./getMailboxUsageStorageWithPeriod/getMailboxUsageStorageWithPeriodRequestBuilder");
const getOffice365ActivationCountsRequestBuilder_1 = require("./getOffice365ActivationCounts/getOffice365ActivationCountsRequestBuilder");
const getOffice365ActivationsUserCountsRequestBuilder_1 = require("./getOffice365ActivationsUserCounts/getOffice365ActivationsUserCountsRequestBuilder");
const getOffice365ActivationsUserDetailRequestBuilder_1 = require("./getOffice365ActivationsUserDetail/getOffice365ActivationsUserDetailRequestBuilder");
const getOffice365ActiveUserCountsWithPeriodRequestBuilder_1 = require("./getOffice365ActiveUserCountsWithPeriod/getOffice365ActiveUserCountsWithPeriodRequestBuilder");
const getOffice365ActiveUserDetailWithDateRequestBuilder_1 = require("./getOffice365ActiveUserDetailWithDate/getOffice365ActiveUserDetailWithDateRequestBuilder");
const getOffice365ActiveUserDetailWithPeriodRequestBuilder_1 = require("./getOffice365ActiveUserDetailWithPeriod/getOffice365ActiveUserDetailWithPeriodRequestBuilder");
const getOffice365GroupsActivityCountsWithPeriodRequestBuilder_1 = require("./getOffice365GroupsActivityCountsWithPeriod/getOffice365GroupsActivityCountsWithPeriodRequestBuilder");
const getOffice365GroupsActivityDetailWithDateRequestBuilder_1 = require("./getOffice365GroupsActivityDetailWithDate/getOffice365GroupsActivityDetailWithDateRequestBuilder");
const getOffice365GroupsActivityDetailWithPeriodRequestBuilder_1 = require("./getOffice365GroupsActivityDetailWithPeriod/getOffice365GroupsActivityDetailWithPeriodRequestBuilder");
const getOffice365GroupsActivityFileCountsWithPeriodRequestBuilder_1 = require("./getOffice365GroupsActivityFileCountsWithPeriod/getOffice365GroupsActivityFileCountsWithPeriodRequestBuilder");
const getOffice365GroupsActivityGroupCountsWithPeriodRequestBuilder_1 = require("./getOffice365GroupsActivityGroupCountsWithPeriod/getOffice365GroupsActivityGroupCountsWithPeriodRequestBuilder");
const getOffice365GroupsActivityStorageWithPeriodRequestBuilder_1 = require("./getOffice365GroupsActivityStorageWithPeriod/getOffice365GroupsActivityStorageWithPeriodRequestBuilder");
const getOffice365ServicesUserCountsWithPeriodRequestBuilder_1 = require("./getOffice365ServicesUserCountsWithPeriod/getOffice365ServicesUserCountsWithPeriodRequestBuilder");
const getOneDriveActivityFileCountsWithPeriodRequestBuilder_1 = require("./getOneDriveActivityFileCountsWithPeriod/getOneDriveActivityFileCountsWithPeriodRequestBuilder");
const getOneDriveActivityUserCountsWithPeriodRequestBuilder_1 = require("./getOneDriveActivityUserCountsWithPeriod/getOneDriveActivityUserCountsWithPeriodRequestBuilder");
const getOneDriveActivityUserDetailWithDateRequestBuilder_1 = require("./getOneDriveActivityUserDetailWithDate/getOneDriveActivityUserDetailWithDateRequestBuilder");
const getOneDriveActivityUserDetailWithPeriodRequestBuilder_1 = require("./getOneDriveActivityUserDetailWithPeriod/getOneDriveActivityUserDetailWithPeriodRequestBuilder");
const getOneDriveUsageAccountCountsWithPeriodRequestBuilder_1 = require("./getOneDriveUsageAccountCountsWithPeriod/getOneDriveUsageAccountCountsWithPeriodRequestBuilder");
const getOneDriveUsageAccountDetailWithDateRequestBuilder_1 = require("./getOneDriveUsageAccountDetailWithDate/getOneDriveUsageAccountDetailWithDateRequestBuilder");
const getOneDriveUsageAccountDetailWithPeriodRequestBuilder_1 = require("./getOneDriveUsageAccountDetailWithPeriod/getOneDriveUsageAccountDetailWithPeriodRequestBuilder");
const getOneDriveUsageFileCountsWithPeriodRequestBuilder_1 = require("./getOneDriveUsageFileCountsWithPeriod/getOneDriveUsageFileCountsWithPeriodRequestBuilder");
const getOneDriveUsageStorageWithPeriodRequestBuilder_1 = require("./getOneDriveUsageStorageWithPeriod/getOneDriveUsageStorageWithPeriodRequestBuilder");
const getPrinterArchivedPrintJobsWithPrinterIdWithStartDateTimeWithEndDateTimeRequestBuilder_1 = require("./getPrinterArchivedPrintJobsWithPrinterIdWithStartDateTimeWithEndDateTime/getPrinterArchivedPrintJobsWithPrinterIdWithStartDateTimeWithEndDateTimeRequestBuilder");
const getSharePointActivityFileCountsWithPeriodRequestBuilder_1 = require("./getSharePointActivityFileCountsWithPeriod/getSharePointActivityFileCountsWithPeriodRequestBuilder");
const getSharePointActivityPagesWithPeriodRequestBuilder_1 = require("./getSharePointActivityPagesWithPeriod/getSharePointActivityPagesWithPeriodRequestBuilder");
const getSharePointActivityUserCountsWithPeriodRequestBuilder_1 = require("./getSharePointActivityUserCountsWithPeriod/getSharePointActivityUserCountsWithPeriodRequestBuilder");
const getSharePointActivityUserDetailWithDateRequestBuilder_1 = require("./getSharePointActivityUserDetailWithDate/getSharePointActivityUserDetailWithDateRequestBuilder");
const getSharePointActivityUserDetailWithPeriodRequestBuilder_1 = require("./getSharePointActivityUserDetailWithPeriod/getSharePointActivityUserDetailWithPeriodRequestBuilder");
const getSharePointSiteUsageDetailWithDateRequestBuilder_1 = require("./getSharePointSiteUsageDetailWithDate/getSharePointSiteUsageDetailWithDateRequestBuilder");
const getSharePointSiteUsageDetailWithPeriodRequestBuilder_1 = require("./getSharePointSiteUsageDetailWithPeriod/getSharePointSiteUsageDetailWithPeriodRequestBuilder");
const getSharePointSiteUsageFileCountsWithPeriodRequestBuilder_1 = require("./getSharePointSiteUsageFileCountsWithPeriod/getSharePointSiteUsageFileCountsWithPeriodRequestBuilder");
const getSharePointSiteUsagePagesWithPeriodRequestBuilder_1 = require("./getSharePointSiteUsagePagesWithPeriod/getSharePointSiteUsagePagesWithPeriodRequestBuilder");
const getSharePointSiteUsageSiteCountsWithPeriodRequestBuilder_1 = require("./getSharePointSiteUsageSiteCountsWithPeriod/getSharePointSiteUsageSiteCountsWithPeriodRequestBuilder");
const getSharePointSiteUsageStorageWithPeriodRequestBuilder_1 = require("./getSharePointSiteUsageStorageWithPeriod/getSharePointSiteUsageStorageWithPeriodRequestBuilder");
const getSkypeForBusinessActivityCountsWithPeriodRequestBuilder_1 = require("./getSkypeForBusinessActivityCountsWithPeriod/getSkypeForBusinessActivityCountsWithPeriodRequestBuilder");
const getSkypeForBusinessActivityUserCountsWithPeriodRequestBuilder_1 = require("./getSkypeForBusinessActivityUserCountsWithPeriod/getSkypeForBusinessActivityUserCountsWithPeriodRequestBuilder");
const getSkypeForBusinessActivityUserDetailWithDateRequestBuilder_1 = require("./getSkypeForBusinessActivityUserDetailWithDate/getSkypeForBusinessActivityUserDetailWithDateRequestBuilder");
const getSkypeForBusinessActivityUserDetailWithPeriodRequestBuilder_1 = require("./getSkypeForBusinessActivityUserDetailWithPeriod/getSkypeForBusinessActivityUserDetailWithPeriodRequestBuilder");
const getSkypeForBusinessDeviceUsageDistributionUserCountsWithPeriodRequestBuilder_1 = require("./getSkypeForBusinessDeviceUsageDistributionUserCountsWithPeriod/getSkypeForBusinessDeviceUsageDistributionUserCountsWithPeriodRequestBuilder");
const getSkypeForBusinessDeviceUsageUserCountsWithPeriodRequestBuilder_1 = require("./getSkypeForBusinessDeviceUsageUserCountsWithPeriod/getSkypeForBusinessDeviceUsageUserCountsWithPeriodRequestBuilder");
const getSkypeForBusinessDeviceUsageUserDetailWithDateRequestBuilder_1 = require("./getSkypeForBusinessDeviceUsageUserDetailWithDate/getSkypeForBusinessDeviceUsageUserDetailWithDateRequestBuilder");
const getSkypeForBusinessDeviceUsageUserDetailWithPeriodRequestBuilder_1 = require("./getSkypeForBusinessDeviceUsageUserDetailWithPeriod/getSkypeForBusinessDeviceUsageUserDetailWithPeriodRequestBuilder");
const getSkypeForBusinessOrganizerActivityCountsWithPeriodRequestBuilder_1 = require("./getSkypeForBusinessOrganizerActivityCountsWithPeriod/getSkypeForBusinessOrganizerActivityCountsWithPeriodRequestBuilder");
const getSkypeForBusinessOrganizerActivityMinuteCountsWithPeriodRequestBuilder_1 = require("./getSkypeForBusinessOrganizerActivityMinuteCountsWithPeriod/getSkypeForBusinessOrganizerActivityMinuteCountsWithPeriodRequestBuilder");
const getSkypeForBusinessOrganizerActivityUserCountsWithPeriodRequestBuilder_1 = require("./getSkypeForBusinessOrganizerActivityUserCountsWithPeriod/getSkypeForBusinessOrganizerActivityUserCountsWithPeriodRequestBuilder");
const getSkypeForBusinessParticipantActivityCountsWithPeriodRequestBuilder_1 = require("./getSkypeForBusinessParticipantActivityCountsWithPeriod/getSkypeForBusinessParticipantActivityCountsWithPeriodRequestBuilder");
const getSkypeForBusinessParticipantActivityMinuteCountsWithPeriodRequestBuilder_1 = require("./getSkypeForBusinessParticipantActivityMinuteCountsWithPeriod/getSkypeForBusinessParticipantActivityMinuteCountsWithPeriodRequestBuilder");
const getSkypeForBusinessParticipantActivityUserCountsWithPeriodRequestBuilder_1 = require("./getSkypeForBusinessParticipantActivityUserCountsWithPeriod/getSkypeForBusinessParticipantActivityUserCountsWithPeriodRequestBuilder");
const getSkypeForBusinessPeerToPeerActivityCountsWithPeriodRequestBuilder_1 = require("./getSkypeForBusinessPeerToPeerActivityCountsWithPeriod/getSkypeForBusinessPeerToPeerActivityCountsWithPeriodRequestBuilder");
const getSkypeForBusinessPeerToPeerActivityMinuteCountsWithPeriodRequestBuilder_1 = require("./getSkypeForBusinessPeerToPeerActivityMinuteCountsWithPeriod/getSkypeForBusinessPeerToPeerActivityMinuteCountsWithPeriodRequestBuilder");
const getSkypeForBusinessPeerToPeerActivityUserCountsWithPeriodRequestBuilder_1 = require("./getSkypeForBusinessPeerToPeerActivityUserCountsWithPeriod/getSkypeForBusinessPeerToPeerActivityUserCountsWithPeriodRequestBuilder");
const getTeamsDeviceUsageDistributionUserCountsWithPeriodRequestBuilder_1 = require("./getTeamsDeviceUsageDistributionUserCountsWithPeriod/getTeamsDeviceUsageDistributionUserCountsWithPeriodRequestBuilder");
const getTeamsDeviceUsageUserCountsWithPeriodRequestBuilder_1 = require("./getTeamsDeviceUsageUserCountsWithPeriod/getTeamsDeviceUsageUserCountsWithPeriodRequestBuilder");
const getTeamsDeviceUsageUserDetailWithDateRequestBuilder_1 = require("./getTeamsDeviceUsageUserDetailWithDate/getTeamsDeviceUsageUserDetailWithDateRequestBuilder");
const getTeamsDeviceUsageUserDetailWithPeriodRequestBuilder_1 = require("./getTeamsDeviceUsageUserDetailWithPeriod/getTeamsDeviceUsageUserDetailWithPeriodRequestBuilder");
const getTeamsTeamActivityCountsWithPeriodRequestBuilder_1 = require("./getTeamsTeamActivityCountsWithPeriod/getTeamsTeamActivityCountsWithPeriodRequestBuilder");
const getTeamsTeamActivityDetailWithDateRequestBuilder_1 = require("./getTeamsTeamActivityDetailWithDate/getTeamsTeamActivityDetailWithDateRequestBuilder");
const getTeamsTeamActivityDetailWithPeriodRequestBuilder_1 = require("./getTeamsTeamActivityDetailWithPeriod/getTeamsTeamActivityDetailWithPeriodRequestBuilder");
const getTeamsTeamActivityDistributionCountsWithPeriodRequestBuilder_1 = require("./getTeamsTeamActivityDistributionCountsWithPeriod/getTeamsTeamActivityDistributionCountsWithPeriodRequestBuilder");
const getTeamsTeamCountsWithPeriodRequestBuilder_1 = require("./getTeamsTeamCountsWithPeriod/getTeamsTeamCountsWithPeriodRequestBuilder");
const getTeamsUserActivityCountsWithPeriodRequestBuilder_1 = require("./getTeamsUserActivityCountsWithPeriod/getTeamsUserActivityCountsWithPeriodRequestBuilder");
const getTeamsUserActivityUserCountsWithPeriodRequestBuilder_1 = require("./getTeamsUserActivityUserCountsWithPeriod/getTeamsUserActivityUserCountsWithPeriodRequestBuilder");
const getTeamsUserActivityUserDetailWithDateRequestBuilder_1 = require("./getTeamsUserActivityUserDetailWithDate/getTeamsUserActivityUserDetailWithDateRequestBuilder");
const getTeamsUserActivityUserDetailWithPeriodRequestBuilder_1 = require("./getTeamsUserActivityUserDetailWithPeriod/getTeamsUserActivityUserDetailWithPeriodRequestBuilder");
const getUserArchivedPrintJobsWithUserIdWithStartDateTimeWithEndDateTimeRequestBuilder_1 = require("./getUserArchivedPrintJobsWithUserIdWithStartDateTimeWithEndDateTime/getUserArchivedPrintJobsWithUserIdWithStartDateTimeWithEndDateTimeRequestBuilder");
const getYammerActivityCountsWithPeriodRequestBuilder_1 = require("./getYammerActivityCountsWithPeriod/getYammerActivityCountsWithPeriodRequestBuilder");
const getYammerActivityUserCountsWithPeriodRequestBuilder_1 = require("./getYammerActivityUserCountsWithPeriod/getYammerActivityUserCountsWithPeriodRequestBuilder");
const getYammerActivityUserDetailWithDateRequestBuilder_1 = require("./getYammerActivityUserDetailWithDate/getYammerActivityUserDetailWithDateRequestBuilder");
const getYammerActivityUserDetailWithPeriodRequestBuilder_1 = require("./getYammerActivityUserDetailWithPeriod/getYammerActivityUserDetailWithPeriodRequestBuilder");
const getYammerDeviceUsageDistributionUserCountsWithPeriodRequestBuilder_1 = require("./getYammerDeviceUsageDistributionUserCountsWithPeriod/getYammerDeviceUsageDistributionUserCountsWithPeriodRequestBuilder");
const getYammerDeviceUsageUserCountsWithPeriodRequestBuilder_1 = require("./getYammerDeviceUsageUserCountsWithPeriod/getYammerDeviceUsageUserCountsWithPeriodRequestBuilder");
const getYammerDeviceUsageUserDetailWithDateRequestBuilder_1 = require("./getYammerDeviceUsageUserDetailWithDate/getYammerDeviceUsageUserDetailWithDateRequestBuilder");
const getYammerDeviceUsageUserDetailWithPeriodRequestBuilder_1 = require("./getYammerDeviceUsageUserDetailWithPeriod/getYammerDeviceUsageUserDetailWithPeriodRequestBuilder");
const getYammerGroupsActivityCountsWithPeriodRequestBuilder_1 = require("./getYammerGroupsActivityCountsWithPeriod/getYammerGroupsActivityCountsWithPeriodRequestBuilder");
const getYammerGroupsActivityDetailWithDateRequestBuilder_1 = require("./getYammerGroupsActivityDetailWithDate/getYammerGroupsActivityDetailWithDateRequestBuilder");
const getYammerGroupsActivityDetailWithPeriodRequestBuilder_1 = require("./getYammerGroupsActivityDetailWithPeriod/getYammerGroupsActivityDetailWithPeriodRequestBuilder");
const getYammerGroupsActivityGroupCountsWithPeriodRequestBuilder_1 = require("./getYammerGroupsActivityGroupCountsWithPeriod/getYammerGroupsActivityGroupCountsWithPeriodRequestBuilder");
const managedDeviceEnrollmentFailureDetailsRequestBuilder_1 = require("./managedDeviceEnrollmentFailureDetails/managedDeviceEnrollmentFailureDetailsRequestBuilder");
const managedDeviceEnrollmentFailureDetailsWithSkipWithTopWithFilterWithSkipTokenRequestBuilder_1 = require("./managedDeviceEnrollmentFailureDetailsWithSkipWithTopWithFilterWithSkipToken/managedDeviceEnrollmentFailureDetailsWithSkipWithTopWithFilterWithSkipTokenRequestBuilder");
const managedDeviceEnrollmentTopFailuresRequestBuilder_1 = require("./managedDeviceEnrollmentTopFailures/managedDeviceEnrollmentTopFailuresRequestBuilder");
const managedDeviceEnrollmentTopFailuresWithPeriodRequestBuilder_1 = require("./managedDeviceEnrollmentTopFailuresWithPeriod/managedDeviceEnrollmentTopFailuresWithPeriodRequestBuilder");
const monthlyPrintUsageByPrinterRequestBuilder_1 = require("./monthlyPrintUsageByPrinter/monthlyPrintUsageByPrinterRequestBuilder");
const monthlyPrintUsageByUserRequestBuilder_1 = require("./monthlyPrintUsageByUser/monthlyPrintUsageByUserRequestBuilder");
const securityRequestBuilder_1 = require("./security/securityRequestBuilder");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
/**
 * Provides operations to manage the reportRoot singleton.
 */
class ReportsRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Provides operations to manage the authenticationMethods property of the microsoft.graph.reportRoot entity.
     */
    get authenticationMethods() {
        return new authenticationMethodsRequestBuilder_1.AuthenticationMethodsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the dailyPrintUsageByPrinter property of the microsoft.graph.reportRoot entity.
     */
    get dailyPrintUsageByPrinter() {
        return new dailyPrintUsageByPrinterRequestBuilder_1.DailyPrintUsageByPrinterRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the dailyPrintUsageByUser property of the microsoft.graph.reportRoot entity.
     */
    get dailyPrintUsageByUser() {
        return new dailyPrintUsageByUserRequestBuilder_1.DailyPrintUsageByUserRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the deviceConfigurationDeviceActivity method.
     */
    get deviceConfigurationDeviceActivity() {
        return new deviceConfigurationDeviceActivityRequestBuilder_1.DeviceConfigurationDeviceActivityRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the deviceConfigurationUserActivity method.
     */
    get deviceConfigurationUserActivity() {
        return new deviceConfigurationUserActivityRequestBuilder_1.DeviceConfigurationUserActivityRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the getOffice365ActivationCounts method.
     */
    get getOffice365ActivationCounts() {
        return new getOffice365ActivationCountsRequestBuilder_1.GetOffice365ActivationCountsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the getOffice365ActivationsUserCounts method.
     */
    get getOffice365ActivationsUserCounts() {
        return new getOffice365ActivationsUserCountsRequestBuilder_1.GetOffice365ActivationsUserCountsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the getOffice365ActivationsUserDetail method.
     */
    get getOffice365ActivationsUserDetail() {
        return new getOffice365ActivationsUserDetailRequestBuilder_1.GetOffice365ActivationsUserDetailRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the managedDeviceEnrollmentFailureDetails method.
     */
    get managedDeviceEnrollmentFailureDetails() {
        return new managedDeviceEnrollmentFailureDetailsRequestBuilder_1.ManagedDeviceEnrollmentFailureDetailsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the managedDeviceEnrollmentTopFailures method.
     */
    get managedDeviceEnrollmentTopFailures() {
        return new managedDeviceEnrollmentTopFailuresRequestBuilder_1.ManagedDeviceEnrollmentTopFailuresRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the monthlyPrintUsageByPrinter property of the microsoft.graph.reportRoot entity.
     */
    get monthlyPrintUsageByPrinter() {
        return new monthlyPrintUsageByPrinterRequestBuilder_1.MonthlyPrintUsageByPrinterRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the monthlyPrintUsageByUser property of the microsoft.graph.reportRoot entity.
     */
    get monthlyPrintUsageByUser() {
        return new monthlyPrintUsageByUserRequestBuilder_1.MonthlyPrintUsageByUserRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the security property of the microsoft.graph.reportRoot entity.
     */
    get security() {
        return new securityRequestBuilder_1.SecurityRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Instantiates a new ReportsRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/reports{?%24select,%24expand}");
    }
    ;
    /**
     * Read properties and relationships of the reportRoot object.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of ReportRoot
     * @see {@link https://learn.microsoft.com/graph/api/intune-deviceconfig-reportroot-get?view=graph-rest-1.0|Find more info here}
     */
    get(requestConfiguration) {
        const requestInfo = this.toGetRequestInformation(requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, reportRoot_1.createReportRootFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Provides operations to call the getEmailActivityCounts method.
     * @param period Usage: period='{period}'
     * @returns a getEmailActivityCountsWithPeriodRequestBuilder
     */
    getEmailActivityCountsWithPeriod(period) {
        if (!period)
            throw new Error("period cannot be undefined");
        return new getEmailActivityCountsWithPeriodRequestBuilder_1.GetEmailActivityCountsWithPeriodRequestBuilder(this.pathParameters, this.requestAdapter, period);
    }
    ;
    /**
     * Provides operations to call the getEmailActivityUserCounts method.
     * @param period Usage: period='{period}'
     * @returns a getEmailActivityUserCountsWithPeriodRequestBuilder
     */
    getEmailActivityUserCountsWithPeriod(period) {
        if (!period)
            throw new Error("period cannot be undefined");
        return new getEmailActivityUserCountsWithPeriodRequestBuilder_1.GetEmailActivityUserCountsWithPeriodRequestBuilder(this.pathParameters, this.requestAdapter, period);
    }
    ;
    /**
     * Provides operations to call the getEmailActivityUserDetail method.
     * @param date Usage: date={date}
     * @returns a getEmailActivityUserDetailWithDateRequestBuilder
     */
    getEmailActivityUserDetailWithDate(date) {
        if (!date)
            throw new Error("date cannot be undefined");
        return new getEmailActivityUserDetailWithDateRequestBuilder_1.GetEmailActivityUserDetailWithDateRequestBuilder(this.pathParameters, this.requestAdapter, date);
    }
    ;
    /**
     * Provides operations to call the getEmailActivityUserDetail method.
     * @param period Usage: period='{period}'
     * @returns a getEmailActivityUserDetailWithPeriodRequestBuilder
     */
    getEmailActivityUserDetailWithPeriod(period) {
        if (!period)
            throw new Error("period cannot be undefined");
        return new getEmailActivityUserDetailWithPeriodRequestBuilder_1.GetEmailActivityUserDetailWithPeriodRequestBuilder(this.pathParameters, this.requestAdapter, period);
    }
    ;
    /**
     * Provides operations to call the getEmailAppUsageAppsUserCounts method.
     * @param period Usage: period='{period}'
     * @returns a getEmailAppUsageAppsUserCountsWithPeriodRequestBuilder
     */
    getEmailAppUsageAppsUserCountsWithPeriod(period) {
        if (!period)
            throw new Error("period cannot be undefined");
        return new getEmailAppUsageAppsUserCountsWithPeriodRequestBuilder_1.GetEmailAppUsageAppsUserCountsWithPeriodRequestBuilder(this.pathParameters, this.requestAdapter, period);
    }
    ;
    /**
     * Provides operations to call the getEmailAppUsageUserCounts method.
     * @param period Usage: period='{period}'
     * @returns a getEmailAppUsageUserCountsWithPeriodRequestBuilder
     */
    getEmailAppUsageUserCountsWithPeriod(period) {
        if (!period)
            throw new Error("period cannot be undefined");
        return new getEmailAppUsageUserCountsWithPeriodRequestBuilder_1.GetEmailAppUsageUserCountsWithPeriodRequestBuilder(this.pathParameters, this.requestAdapter, period);
    }
    ;
    /**
     * Provides operations to call the getEmailAppUsageUserDetail method.
     * @param date Usage: date={date}
     * @returns a getEmailAppUsageUserDetailWithDateRequestBuilder
     */
    getEmailAppUsageUserDetailWithDate(date) {
        if (!date)
            throw new Error("date cannot be undefined");
        return new getEmailAppUsageUserDetailWithDateRequestBuilder_1.GetEmailAppUsageUserDetailWithDateRequestBuilder(this.pathParameters, this.requestAdapter, date);
    }
    ;
    /**
     * Provides operations to call the getEmailAppUsageUserDetail method.
     * @param period Usage: period='{period}'
     * @returns a getEmailAppUsageUserDetailWithPeriodRequestBuilder
     */
    getEmailAppUsageUserDetailWithPeriod(period) {
        if (!period)
            throw new Error("period cannot be undefined");
        return new getEmailAppUsageUserDetailWithPeriodRequestBuilder_1.GetEmailAppUsageUserDetailWithPeriodRequestBuilder(this.pathParameters, this.requestAdapter, period);
    }
    ;
    /**
     * Provides operations to call the getEmailAppUsageVersionsUserCounts method.
     * @param period Usage: period='{period}'
     * @returns a getEmailAppUsageVersionsUserCountsWithPeriodRequestBuilder
     */
    getEmailAppUsageVersionsUserCountsWithPeriod(period) {
        if (!period)
            throw new Error("period cannot be undefined");
        return new getEmailAppUsageVersionsUserCountsWithPeriodRequestBuilder_1.GetEmailAppUsageVersionsUserCountsWithPeriodRequestBuilder(this.pathParameters, this.requestAdapter, period);
    }
    ;
    /**
     * Provides operations to call the getGroupArchivedPrintJobs method.
     * @param endDateTime Usage: endDateTime={endDateTime}
     * @param groupId Usage: groupId='{groupId}'
     * @param startDateTime Usage: startDateTime={startDateTime}
     * @returns a getGroupArchivedPrintJobsWithGroupIdWithStartDateTimeWithEndDateTimeRequestBuilder
     */
    getGroupArchivedPrintJobsWithGroupIdWithStartDateTimeWithEndDateTime(endDateTime, groupId, startDateTime) {
        if (!endDateTime)
            throw new Error("endDateTime cannot be undefined");
        if (!groupId)
            throw new Error("groupId cannot be undefined");
        if (!startDateTime)
            throw new Error("startDateTime cannot be undefined");
        return new getGroupArchivedPrintJobsWithGroupIdWithStartDateTimeWithEndDateTimeRequestBuilder_1.GetGroupArchivedPrintJobsWithGroupIdWithStartDateTimeWithEndDateTimeRequestBuilder(this.pathParameters, this.requestAdapter, endDateTime, groupId, startDateTime);
    }
    ;
    /**
     * Provides operations to call the getM365AppPlatformUserCounts method.
     * @param period Usage: period='{period}'
     * @returns a getM365AppPlatformUserCountsWithPeriodRequestBuilder
     */
    getM365AppPlatformUserCountsWithPeriod(period) {
        if (!period)
            throw new Error("period cannot be undefined");
        return new getM365AppPlatformUserCountsWithPeriodRequestBuilder_1.GetM365AppPlatformUserCountsWithPeriodRequestBuilder(this.pathParameters, this.requestAdapter, period);
    }
    ;
    /**
     * Provides operations to call the getM365AppUserCounts method.
     * @param period Usage: period='{period}'
     * @returns a getM365AppUserCountsWithPeriodRequestBuilder
     */
    getM365AppUserCountsWithPeriod(period) {
        if (!period)
            throw new Error("period cannot be undefined");
        return new getM365AppUserCountsWithPeriodRequestBuilder_1.GetM365AppUserCountsWithPeriodRequestBuilder(this.pathParameters, this.requestAdapter, period);
    }
    ;
    /**
     * Provides operations to call the getM365AppUserDetail method.
     * @param date Usage: date={date}
     * @returns a getM365AppUserDetailWithDateRequestBuilder
     */
    getM365AppUserDetailWithDate(date) {
        if (!date)
            throw new Error("date cannot be undefined");
        return new getM365AppUserDetailWithDateRequestBuilder_1.GetM365AppUserDetailWithDateRequestBuilder(this.pathParameters, this.requestAdapter, date);
    }
    ;
    /**
     * Provides operations to call the getM365AppUserDetail method.
     * @param period Usage: period='{period}'
     * @returns a getM365AppUserDetailWithPeriodRequestBuilder
     */
    getM365AppUserDetailWithPeriod(period) {
        if (!period)
            throw new Error("period cannot be undefined");
        return new getM365AppUserDetailWithPeriodRequestBuilder_1.GetM365AppUserDetailWithPeriodRequestBuilder(this.pathParameters, this.requestAdapter, period);
    }
    ;
    /**
     * Provides operations to call the getMailboxUsageDetail method.
     * @param period Usage: period='{period}'
     * @returns a getMailboxUsageDetailWithPeriodRequestBuilder
     */
    getMailboxUsageDetailWithPeriod(period) {
        if (!period)
            throw new Error("period cannot be undefined");
        return new getMailboxUsageDetailWithPeriodRequestBuilder_1.GetMailboxUsageDetailWithPeriodRequestBuilder(this.pathParameters, this.requestAdapter, period);
    }
    ;
    /**
     * Provides operations to call the getMailboxUsageMailboxCounts method.
     * @param period Usage: period='{period}'
     * @returns a getMailboxUsageMailboxCountsWithPeriodRequestBuilder
     */
    getMailboxUsageMailboxCountsWithPeriod(period) {
        if (!period)
            throw new Error("period cannot be undefined");
        return new getMailboxUsageMailboxCountsWithPeriodRequestBuilder_1.GetMailboxUsageMailboxCountsWithPeriodRequestBuilder(this.pathParameters, this.requestAdapter, period);
    }
    ;
    /**
     * Provides operations to call the getMailboxUsageQuotaStatusMailboxCounts method.
     * @param period Usage: period='{period}'
     * @returns a getMailboxUsageQuotaStatusMailboxCountsWithPeriodRequestBuilder
     */
    getMailboxUsageQuotaStatusMailboxCountsWithPeriod(period) {
        if (!period)
            throw new Error("period cannot be undefined");
        return new getMailboxUsageQuotaStatusMailboxCountsWithPeriodRequestBuilder_1.GetMailboxUsageQuotaStatusMailboxCountsWithPeriodRequestBuilder(this.pathParameters, this.requestAdapter, period);
    }
    ;
    /**
     * Provides operations to call the getMailboxUsageStorage method.
     * @param period Usage: period='{period}'
     * @returns a getMailboxUsageStorageWithPeriodRequestBuilder
     */
    getMailboxUsageStorageWithPeriod(period) {
        if (!period)
            throw new Error("period cannot be undefined");
        return new getMailboxUsageStorageWithPeriodRequestBuilder_1.GetMailboxUsageStorageWithPeriodRequestBuilder(this.pathParameters, this.requestAdapter, period);
    }
    ;
    /**
     * Provides operations to call the getOffice365ActiveUserCounts method.
     * @param period Usage: period='{period}'
     * @returns a getOffice365ActiveUserCountsWithPeriodRequestBuilder
     */
    getOffice365ActiveUserCountsWithPeriod(period) {
        if (!period)
            throw new Error("period cannot be undefined");
        return new getOffice365ActiveUserCountsWithPeriodRequestBuilder_1.GetOffice365ActiveUserCountsWithPeriodRequestBuilder(this.pathParameters, this.requestAdapter, period);
    }
    ;
    /**
     * Provides operations to call the getOffice365ActiveUserDetail method.
     * @param date Usage: date={date}
     * @returns a getOffice365ActiveUserDetailWithDateRequestBuilder
     */
    getOffice365ActiveUserDetailWithDate(date) {
        if (!date)
            throw new Error("date cannot be undefined");
        return new getOffice365ActiveUserDetailWithDateRequestBuilder_1.GetOffice365ActiveUserDetailWithDateRequestBuilder(this.pathParameters, this.requestAdapter, date);
    }
    ;
    /**
     * Provides operations to call the getOffice365ActiveUserDetail method.
     * @param period Usage: period='{period}'
     * @returns a getOffice365ActiveUserDetailWithPeriodRequestBuilder
     */
    getOffice365ActiveUserDetailWithPeriod(period) {
        if (!period)
            throw new Error("period cannot be undefined");
        return new getOffice365ActiveUserDetailWithPeriodRequestBuilder_1.GetOffice365ActiveUserDetailWithPeriodRequestBuilder(this.pathParameters, this.requestAdapter, period);
    }
    ;
    /**
     * Provides operations to call the getOffice365GroupsActivityCounts method.
     * @param period Usage: period='{period}'
     * @returns a getOffice365GroupsActivityCountsWithPeriodRequestBuilder
     */
    getOffice365GroupsActivityCountsWithPeriod(period) {
        if (!period)
            throw new Error("period cannot be undefined");
        return new getOffice365GroupsActivityCountsWithPeriodRequestBuilder_1.GetOffice365GroupsActivityCountsWithPeriodRequestBuilder(this.pathParameters, this.requestAdapter, period);
    }
    ;
    /**
     * Provides operations to call the getOffice365GroupsActivityDetail method.
     * @param date Usage: date={date}
     * @returns a getOffice365GroupsActivityDetailWithDateRequestBuilder
     */
    getOffice365GroupsActivityDetailWithDate(date) {
        if (!date)
            throw new Error("date cannot be undefined");
        return new getOffice365GroupsActivityDetailWithDateRequestBuilder_1.GetOffice365GroupsActivityDetailWithDateRequestBuilder(this.pathParameters, this.requestAdapter, date);
    }
    ;
    /**
     * Provides operations to call the getOffice365GroupsActivityDetail method.
     * @param period Usage: period='{period}'
     * @returns a getOffice365GroupsActivityDetailWithPeriodRequestBuilder
     */
    getOffice365GroupsActivityDetailWithPeriod(period) {
        if (!period)
            throw new Error("period cannot be undefined");
        return new getOffice365GroupsActivityDetailWithPeriodRequestBuilder_1.GetOffice365GroupsActivityDetailWithPeriodRequestBuilder(this.pathParameters, this.requestAdapter, period);
    }
    ;
    /**
     * Provides operations to call the getOffice365GroupsActivityFileCounts method.
     * @param period Usage: period='{period}'
     * @returns a getOffice365GroupsActivityFileCountsWithPeriodRequestBuilder
     */
    getOffice365GroupsActivityFileCountsWithPeriod(period) {
        if (!period)
            throw new Error("period cannot be undefined");
        return new getOffice365GroupsActivityFileCountsWithPeriodRequestBuilder_1.GetOffice365GroupsActivityFileCountsWithPeriodRequestBuilder(this.pathParameters, this.requestAdapter, period);
    }
    ;
    /**
     * Provides operations to call the getOffice365GroupsActivityGroupCounts method.
     * @param period Usage: period='{period}'
     * @returns a getOffice365GroupsActivityGroupCountsWithPeriodRequestBuilder
     */
    getOffice365GroupsActivityGroupCountsWithPeriod(period) {
        if (!period)
            throw new Error("period cannot be undefined");
        return new getOffice365GroupsActivityGroupCountsWithPeriodRequestBuilder_1.GetOffice365GroupsActivityGroupCountsWithPeriodRequestBuilder(this.pathParameters, this.requestAdapter, period);
    }
    ;
    /**
     * Provides operations to call the getOffice365GroupsActivityStorage method.
     * @param period Usage: period='{period}'
     * @returns a getOffice365GroupsActivityStorageWithPeriodRequestBuilder
     */
    getOffice365GroupsActivityStorageWithPeriod(period) {
        if (!period)
            throw new Error("period cannot be undefined");
        return new getOffice365GroupsActivityStorageWithPeriodRequestBuilder_1.GetOffice365GroupsActivityStorageWithPeriodRequestBuilder(this.pathParameters, this.requestAdapter, period);
    }
    ;
    /**
     * Provides operations to call the getOffice365ServicesUserCounts method.
     * @param period Usage: period='{period}'
     * @returns a getOffice365ServicesUserCountsWithPeriodRequestBuilder
     */
    getOffice365ServicesUserCountsWithPeriod(period) {
        if (!period)
            throw new Error("period cannot be undefined");
        return new getOffice365ServicesUserCountsWithPeriodRequestBuilder_1.GetOffice365ServicesUserCountsWithPeriodRequestBuilder(this.pathParameters, this.requestAdapter, period);
    }
    ;
    /**
     * Provides operations to call the getOneDriveActivityFileCounts method.
     * @param period Usage: period='{period}'
     * @returns a getOneDriveActivityFileCountsWithPeriodRequestBuilder
     */
    getOneDriveActivityFileCountsWithPeriod(period) {
        if (!period)
            throw new Error("period cannot be undefined");
        return new getOneDriveActivityFileCountsWithPeriodRequestBuilder_1.GetOneDriveActivityFileCountsWithPeriodRequestBuilder(this.pathParameters, this.requestAdapter, period);
    }
    ;
    /**
     * Provides operations to call the getOneDriveActivityUserCounts method.
     * @param period Usage: period='{period}'
     * @returns a getOneDriveActivityUserCountsWithPeriodRequestBuilder
     */
    getOneDriveActivityUserCountsWithPeriod(period) {
        if (!period)
            throw new Error("period cannot be undefined");
        return new getOneDriveActivityUserCountsWithPeriodRequestBuilder_1.GetOneDriveActivityUserCountsWithPeriodRequestBuilder(this.pathParameters, this.requestAdapter, period);
    }
    ;
    /**
     * Provides operations to call the getOneDriveActivityUserDetail method.
     * @param date Usage: date={date}
     * @returns a getOneDriveActivityUserDetailWithDateRequestBuilder
     */
    getOneDriveActivityUserDetailWithDate(date) {
        if (!date)
            throw new Error("date cannot be undefined");
        return new getOneDriveActivityUserDetailWithDateRequestBuilder_1.GetOneDriveActivityUserDetailWithDateRequestBuilder(this.pathParameters, this.requestAdapter, date);
    }
    ;
    /**
     * Provides operations to call the getOneDriveActivityUserDetail method.
     * @param period Usage: period='{period}'
     * @returns a getOneDriveActivityUserDetailWithPeriodRequestBuilder
     */
    getOneDriveActivityUserDetailWithPeriod(period) {
        if (!period)
            throw new Error("period cannot be undefined");
        return new getOneDriveActivityUserDetailWithPeriodRequestBuilder_1.GetOneDriveActivityUserDetailWithPeriodRequestBuilder(this.pathParameters, this.requestAdapter, period);
    }
    ;
    /**
     * Provides operations to call the getOneDriveUsageAccountCounts method.
     * @param period Usage: period='{period}'
     * @returns a getOneDriveUsageAccountCountsWithPeriodRequestBuilder
     */
    getOneDriveUsageAccountCountsWithPeriod(period) {
        if (!period)
            throw new Error("period cannot be undefined");
        return new getOneDriveUsageAccountCountsWithPeriodRequestBuilder_1.GetOneDriveUsageAccountCountsWithPeriodRequestBuilder(this.pathParameters, this.requestAdapter, period);
    }
    ;
    /**
     * Provides operations to call the getOneDriveUsageAccountDetail method.
     * @param date Usage: date={date}
     * @returns a getOneDriveUsageAccountDetailWithDateRequestBuilder
     */
    getOneDriveUsageAccountDetailWithDate(date) {
        if (!date)
            throw new Error("date cannot be undefined");
        return new getOneDriveUsageAccountDetailWithDateRequestBuilder_1.GetOneDriveUsageAccountDetailWithDateRequestBuilder(this.pathParameters, this.requestAdapter, date);
    }
    ;
    /**
     * Provides operations to call the getOneDriveUsageAccountDetail method.
     * @param period Usage: period='{period}'
     * @returns a getOneDriveUsageAccountDetailWithPeriodRequestBuilder
     */
    getOneDriveUsageAccountDetailWithPeriod(period) {
        if (!period)
            throw new Error("period cannot be undefined");
        return new getOneDriveUsageAccountDetailWithPeriodRequestBuilder_1.GetOneDriveUsageAccountDetailWithPeriodRequestBuilder(this.pathParameters, this.requestAdapter, period);
    }
    ;
    /**
     * Provides operations to call the getOneDriveUsageFileCounts method.
     * @param period Usage: period='{period}'
     * @returns a getOneDriveUsageFileCountsWithPeriodRequestBuilder
     */
    getOneDriveUsageFileCountsWithPeriod(period) {
        if (!period)
            throw new Error("period cannot be undefined");
        return new getOneDriveUsageFileCountsWithPeriodRequestBuilder_1.GetOneDriveUsageFileCountsWithPeriodRequestBuilder(this.pathParameters, this.requestAdapter, period);
    }
    ;
    /**
     * Provides operations to call the getOneDriveUsageStorage method.
     * @param period Usage: period='{period}'
     * @returns a getOneDriveUsageStorageWithPeriodRequestBuilder
     */
    getOneDriveUsageStorageWithPeriod(period) {
        if (!period)
            throw new Error("period cannot be undefined");
        return new getOneDriveUsageStorageWithPeriodRequestBuilder_1.GetOneDriveUsageStorageWithPeriodRequestBuilder(this.pathParameters, this.requestAdapter, period);
    }
    ;
    /**
     * Provides operations to call the getPrinterArchivedPrintJobs method.
     * @param endDateTime Usage: endDateTime={endDateTime}
     * @param printerId Usage: printerId='{printerId}'
     * @param startDateTime Usage: startDateTime={startDateTime}
     * @returns a getPrinterArchivedPrintJobsWithPrinterIdWithStartDateTimeWithEndDateTimeRequestBuilder
     */
    getPrinterArchivedPrintJobsWithPrinterIdWithStartDateTimeWithEndDateTime(endDateTime, printerId, startDateTime) {
        if (!endDateTime)
            throw new Error("endDateTime cannot be undefined");
        if (!printerId)
            throw new Error("printerId cannot be undefined");
        if (!startDateTime)
            throw new Error("startDateTime cannot be undefined");
        return new getPrinterArchivedPrintJobsWithPrinterIdWithStartDateTimeWithEndDateTimeRequestBuilder_1.GetPrinterArchivedPrintJobsWithPrinterIdWithStartDateTimeWithEndDateTimeRequestBuilder(this.pathParameters, this.requestAdapter, endDateTime, printerId, startDateTime);
    }
    ;
    /**
     * Provides operations to call the getSharePointActivityFileCounts method.
     * @param period Usage: period='{period}'
     * @returns a getSharePointActivityFileCountsWithPeriodRequestBuilder
     */
    getSharePointActivityFileCountsWithPeriod(period) {
        if (!period)
            throw new Error("period cannot be undefined");
        return new getSharePointActivityFileCountsWithPeriodRequestBuilder_1.GetSharePointActivityFileCountsWithPeriodRequestBuilder(this.pathParameters, this.requestAdapter, period);
    }
    ;
    /**
     * Provides operations to call the getSharePointActivityPages method.
     * @param period Usage: period='{period}'
     * @returns a getSharePointActivityPagesWithPeriodRequestBuilder
     */
    getSharePointActivityPagesWithPeriod(period) {
        if (!period)
            throw new Error("period cannot be undefined");
        return new getSharePointActivityPagesWithPeriodRequestBuilder_1.GetSharePointActivityPagesWithPeriodRequestBuilder(this.pathParameters, this.requestAdapter, period);
    }
    ;
    /**
     * Provides operations to call the getSharePointActivityUserCounts method.
     * @param period Usage: period='{period}'
     * @returns a getSharePointActivityUserCountsWithPeriodRequestBuilder
     */
    getSharePointActivityUserCountsWithPeriod(period) {
        if (!period)
            throw new Error("period cannot be undefined");
        return new getSharePointActivityUserCountsWithPeriodRequestBuilder_1.GetSharePointActivityUserCountsWithPeriodRequestBuilder(this.pathParameters, this.requestAdapter, period);
    }
    ;
    /**
     * Provides operations to call the getSharePointActivityUserDetail method.
     * @param date Usage: date={date}
     * @returns a getSharePointActivityUserDetailWithDateRequestBuilder
     */
    getSharePointActivityUserDetailWithDate(date) {
        if (!date)
            throw new Error("date cannot be undefined");
        return new getSharePointActivityUserDetailWithDateRequestBuilder_1.GetSharePointActivityUserDetailWithDateRequestBuilder(this.pathParameters, this.requestAdapter, date);
    }
    ;
    /**
     * Provides operations to call the getSharePointActivityUserDetail method.
     * @param period Usage: period='{period}'
     * @returns a getSharePointActivityUserDetailWithPeriodRequestBuilder
     */
    getSharePointActivityUserDetailWithPeriod(period) {
        if (!period)
            throw new Error("period cannot be undefined");
        return new getSharePointActivityUserDetailWithPeriodRequestBuilder_1.GetSharePointActivityUserDetailWithPeriodRequestBuilder(this.pathParameters, this.requestAdapter, period);
    }
    ;
    /**
     * Provides operations to call the getSharePointSiteUsageDetail method.
     * @param date Usage: date={date}
     * @returns a getSharePointSiteUsageDetailWithDateRequestBuilder
     */
    getSharePointSiteUsageDetailWithDate(date) {
        if (!date)
            throw new Error("date cannot be undefined");
        return new getSharePointSiteUsageDetailWithDateRequestBuilder_1.GetSharePointSiteUsageDetailWithDateRequestBuilder(this.pathParameters, this.requestAdapter, date);
    }
    ;
    /**
     * Provides operations to call the getSharePointSiteUsageDetail method.
     * @param period Usage: period='{period}'
     * @returns a getSharePointSiteUsageDetailWithPeriodRequestBuilder
     */
    getSharePointSiteUsageDetailWithPeriod(period) {
        if (!period)
            throw new Error("period cannot be undefined");
        return new getSharePointSiteUsageDetailWithPeriodRequestBuilder_1.GetSharePointSiteUsageDetailWithPeriodRequestBuilder(this.pathParameters, this.requestAdapter, period);
    }
    ;
    /**
     * Provides operations to call the getSharePointSiteUsageFileCounts method.
     * @param period Usage: period='{period}'
     * @returns a getSharePointSiteUsageFileCountsWithPeriodRequestBuilder
     */
    getSharePointSiteUsageFileCountsWithPeriod(period) {
        if (!period)
            throw new Error("period cannot be undefined");
        return new getSharePointSiteUsageFileCountsWithPeriodRequestBuilder_1.GetSharePointSiteUsageFileCountsWithPeriodRequestBuilder(this.pathParameters, this.requestAdapter, period);
    }
    ;
    /**
     * Provides operations to call the getSharePointSiteUsagePages method.
     * @param period Usage: period='{period}'
     * @returns a getSharePointSiteUsagePagesWithPeriodRequestBuilder
     */
    getSharePointSiteUsagePagesWithPeriod(period) {
        if (!period)
            throw new Error("period cannot be undefined");
        return new getSharePointSiteUsagePagesWithPeriodRequestBuilder_1.GetSharePointSiteUsagePagesWithPeriodRequestBuilder(this.pathParameters, this.requestAdapter, period);
    }
    ;
    /**
     * Provides operations to call the getSharePointSiteUsageSiteCounts method.
     * @param period Usage: period='{period}'
     * @returns a getSharePointSiteUsageSiteCountsWithPeriodRequestBuilder
     */
    getSharePointSiteUsageSiteCountsWithPeriod(period) {
        if (!period)
            throw new Error("period cannot be undefined");
        return new getSharePointSiteUsageSiteCountsWithPeriodRequestBuilder_1.GetSharePointSiteUsageSiteCountsWithPeriodRequestBuilder(this.pathParameters, this.requestAdapter, period);
    }
    ;
    /**
     * Provides operations to call the getSharePointSiteUsageStorage method.
     * @param period Usage: period='{period}'
     * @returns a getSharePointSiteUsageStorageWithPeriodRequestBuilder
     */
    getSharePointSiteUsageStorageWithPeriod(period) {
        if (!period)
            throw new Error("period cannot be undefined");
        return new getSharePointSiteUsageStorageWithPeriodRequestBuilder_1.GetSharePointSiteUsageStorageWithPeriodRequestBuilder(this.pathParameters, this.requestAdapter, period);
    }
    ;
    /**
     * Provides operations to call the getSkypeForBusinessActivityCounts method.
     * @param period Usage: period='{period}'
     * @returns a getSkypeForBusinessActivityCountsWithPeriodRequestBuilder
     */
    getSkypeForBusinessActivityCountsWithPeriod(period) {
        if (!period)
            throw new Error("period cannot be undefined");
        return new getSkypeForBusinessActivityCountsWithPeriodRequestBuilder_1.GetSkypeForBusinessActivityCountsWithPeriodRequestBuilder(this.pathParameters, this.requestAdapter, period);
    }
    ;
    /**
     * Provides operations to call the getSkypeForBusinessActivityUserCounts method.
     * @param period Usage: period='{period}'
     * @returns a getSkypeForBusinessActivityUserCountsWithPeriodRequestBuilder
     */
    getSkypeForBusinessActivityUserCountsWithPeriod(period) {
        if (!period)
            throw new Error("period cannot be undefined");
        return new getSkypeForBusinessActivityUserCountsWithPeriodRequestBuilder_1.GetSkypeForBusinessActivityUserCountsWithPeriodRequestBuilder(this.pathParameters, this.requestAdapter, period);
    }
    ;
    /**
     * Provides operations to call the getSkypeForBusinessActivityUserDetail method.
     * @param date Usage: date={date}
     * @returns a getSkypeForBusinessActivityUserDetailWithDateRequestBuilder
     */
    getSkypeForBusinessActivityUserDetailWithDate(date) {
        if (!date)
            throw new Error("date cannot be undefined");
        return new getSkypeForBusinessActivityUserDetailWithDateRequestBuilder_1.GetSkypeForBusinessActivityUserDetailWithDateRequestBuilder(this.pathParameters, this.requestAdapter, date);
    }
    ;
    /**
     * Provides operations to call the getSkypeForBusinessActivityUserDetail method.
     * @param period Usage: period='{period}'
     * @returns a getSkypeForBusinessActivityUserDetailWithPeriodRequestBuilder
     */
    getSkypeForBusinessActivityUserDetailWithPeriod(period) {
        if (!period)
            throw new Error("period cannot be undefined");
        return new getSkypeForBusinessActivityUserDetailWithPeriodRequestBuilder_1.GetSkypeForBusinessActivityUserDetailWithPeriodRequestBuilder(this.pathParameters, this.requestAdapter, period);
    }
    ;
    /**
     * Provides operations to call the getSkypeForBusinessDeviceUsageDistributionUserCounts method.
     * @param period Usage: period='{period}'
     * @returns a getSkypeForBusinessDeviceUsageDistributionUserCountsWithPeriodRequestBuilder
     */
    getSkypeForBusinessDeviceUsageDistributionUserCountsWithPeriod(period) {
        if (!period)
            throw new Error("period cannot be undefined");
        return new getSkypeForBusinessDeviceUsageDistributionUserCountsWithPeriodRequestBuilder_1.GetSkypeForBusinessDeviceUsageDistributionUserCountsWithPeriodRequestBuilder(this.pathParameters, this.requestAdapter, period);
    }
    ;
    /**
     * Provides operations to call the getSkypeForBusinessDeviceUsageUserCounts method.
     * @param period Usage: period='{period}'
     * @returns a getSkypeForBusinessDeviceUsageUserCountsWithPeriodRequestBuilder
     */
    getSkypeForBusinessDeviceUsageUserCountsWithPeriod(period) {
        if (!period)
            throw new Error("period cannot be undefined");
        return new getSkypeForBusinessDeviceUsageUserCountsWithPeriodRequestBuilder_1.GetSkypeForBusinessDeviceUsageUserCountsWithPeriodRequestBuilder(this.pathParameters, this.requestAdapter, period);
    }
    ;
    /**
     * Provides operations to call the getSkypeForBusinessDeviceUsageUserDetail method.
     * @param date Usage: date={date}
     * @returns a getSkypeForBusinessDeviceUsageUserDetailWithDateRequestBuilder
     */
    getSkypeForBusinessDeviceUsageUserDetailWithDate(date) {
        if (!date)
            throw new Error("date cannot be undefined");
        return new getSkypeForBusinessDeviceUsageUserDetailWithDateRequestBuilder_1.GetSkypeForBusinessDeviceUsageUserDetailWithDateRequestBuilder(this.pathParameters, this.requestAdapter, date);
    }
    ;
    /**
     * Provides operations to call the getSkypeForBusinessDeviceUsageUserDetail method.
     * @param period Usage: period='{period}'
     * @returns a getSkypeForBusinessDeviceUsageUserDetailWithPeriodRequestBuilder
     */
    getSkypeForBusinessDeviceUsageUserDetailWithPeriod(period) {
        if (!period)
            throw new Error("period cannot be undefined");
        return new getSkypeForBusinessDeviceUsageUserDetailWithPeriodRequestBuilder_1.GetSkypeForBusinessDeviceUsageUserDetailWithPeriodRequestBuilder(this.pathParameters, this.requestAdapter, period);
    }
    ;
    /**
     * Provides operations to call the getSkypeForBusinessOrganizerActivityCounts method.
     * @param period Usage: period='{period}'
     * @returns a getSkypeForBusinessOrganizerActivityCountsWithPeriodRequestBuilder
     */
    getSkypeForBusinessOrganizerActivityCountsWithPeriod(period) {
        if (!period)
            throw new Error("period cannot be undefined");
        return new getSkypeForBusinessOrganizerActivityCountsWithPeriodRequestBuilder_1.GetSkypeForBusinessOrganizerActivityCountsWithPeriodRequestBuilder(this.pathParameters, this.requestAdapter, period);
    }
    ;
    /**
     * Provides operations to call the getSkypeForBusinessOrganizerActivityMinuteCounts method.
     * @param period Usage: period='{period}'
     * @returns a getSkypeForBusinessOrganizerActivityMinuteCountsWithPeriodRequestBuilder
     */
    getSkypeForBusinessOrganizerActivityMinuteCountsWithPeriod(period) {
        if (!period)
            throw new Error("period cannot be undefined");
        return new getSkypeForBusinessOrganizerActivityMinuteCountsWithPeriodRequestBuilder_1.GetSkypeForBusinessOrganizerActivityMinuteCountsWithPeriodRequestBuilder(this.pathParameters, this.requestAdapter, period);
    }
    ;
    /**
     * Provides operations to call the getSkypeForBusinessOrganizerActivityUserCounts method.
     * @param period Usage: period='{period}'
     * @returns a getSkypeForBusinessOrganizerActivityUserCountsWithPeriodRequestBuilder
     */
    getSkypeForBusinessOrganizerActivityUserCountsWithPeriod(period) {
        if (!period)
            throw new Error("period cannot be undefined");
        return new getSkypeForBusinessOrganizerActivityUserCountsWithPeriodRequestBuilder_1.GetSkypeForBusinessOrganizerActivityUserCountsWithPeriodRequestBuilder(this.pathParameters, this.requestAdapter, period);
    }
    ;
    /**
     * Provides operations to call the getSkypeForBusinessParticipantActivityCounts method.
     * @param period Usage: period='{period}'
     * @returns a getSkypeForBusinessParticipantActivityCountsWithPeriodRequestBuilder
     */
    getSkypeForBusinessParticipantActivityCountsWithPeriod(period) {
        if (!period)
            throw new Error("period cannot be undefined");
        return new getSkypeForBusinessParticipantActivityCountsWithPeriodRequestBuilder_1.GetSkypeForBusinessParticipantActivityCountsWithPeriodRequestBuilder(this.pathParameters, this.requestAdapter, period);
    }
    ;
    /**
     * Provides operations to call the getSkypeForBusinessParticipantActivityMinuteCounts method.
     * @param period Usage: period='{period}'
     * @returns a getSkypeForBusinessParticipantActivityMinuteCountsWithPeriodRequestBuilder
     */
    getSkypeForBusinessParticipantActivityMinuteCountsWithPeriod(period) {
        if (!period)
            throw new Error("period cannot be undefined");
        return new getSkypeForBusinessParticipantActivityMinuteCountsWithPeriodRequestBuilder_1.GetSkypeForBusinessParticipantActivityMinuteCountsWithPeriodRequestBuilder(this.pathParameters, this.requestAdapter, period);
    }
    ;
    /**
     * Provides operations to call the getSkypeForBusinessParticipantActivityUserCounts method.
     * @param period Usage: period='{period}'
     * @returns a getSkypeForBusinessParticipantActivityUserCountsWithPeriodRequestBuilder
     */
    getSkypeForBusinessParticipantActivityUserCountsWithPeriod(period) {
        if (!period)
            throw new Error("period cannot be undefined");
        return new getSkypeForBusinessParticipantActivityUserCountsWithPeriodRequestBuilder_1.GetSkypeForBusinessParticipantActivityUserCountsWithPeriodRequestBuilder(this.pathParameters, this.requestAdapter, period);
    }
    ;
    /**
     * Provides operations to call the getSkypeForBusinessPeerToPeerActivityCounts method.
     * @param period Usage: period='{period}'
     * @returns a getSkypeForBusinessPeerToPeerActivityCountsWithPeriodRequestBuilder
     */
    getSkypeForBusinessPeerToPeerActivityCountsWithPeriod(period) {
        if (!period)
            throw new Error("period cannot be undefined");
        return new getSkypeForBusinessPeerToPeerActivityCountsWithPeriodRequestBuilder_1.GetSkypeForBusinessPeerToPeerActivityCountsWithPeriodRequestBuilder(this.pathParameters, this.requestAdapter, period);
    }
    ;
    /**
     * Provides operations to call the getSkypeForBusinessPeerToPeerActivityMinuteCounts method.
     * @param period Usage: period='{period}'
     * @returns a getSkypeForBusinessPeerToPeerActivityMinuteCountsWithPeriodRequestBuilder
     */
    getSkypeForBusinessPeerToPeerActivityMinuteCountsWithPeriod(period) {
        if (!period)
            throw new Error("period cannot be undefined");
        return new getSkypeForBusinessPeerToPeerActivityMinuteCountsWithPeriodRequestBuilder_1.GetSkypeForBusinessPeerToPeerActivityMinuteCountsWithPeriodRequestBuilder(this.pathParameters, this.requestAdapter, period);
    }
    ;
    /**
     * Provides operations to call the getSkypeForBusinessPeerToPeerActivityUserCounts method.
     * @param period Usage: period='{period}'
     * @returns a getSkypeForBusinessPeerToPeerActivityUserCountsWithPeriodRequestBuilder
     */
    getSkypeForBusinessPeerToPeerActivityUserCountsWithPeriod(period) {
        if (!period)
            throw new Error("period cannot be undefined");
        return new getSkypeForBusinessPeerToPeerActivityUserCountsWithPeriodRequestBuilder_1.GetSkypeForBusinessPeerToPeerActivityUserCountsWithPeriodRequestBuilder(this.pathParameters, this.requestAdapter, period);
    }
    ;
    /**
     * Provides operations to call the getTeamsDeviceUsageDistributionUserCounts method.
     * @param period Usage: period='{period}'
     * @returns a getTeamsDeviceUsageDistributionUserCountsWithPeriodRequestBuilder
     */
    getTeamsDeviceUsageDistributionUserCountsWithPeriod(period) {
        if (!period)
            throw new Error("period cannot be undefined");
        return new getTeamsDeviceUsageDistributionUserCountsWithPeriodRequestBuilder_1.GetTeamsDeviceUsageDistributionUserCountsWithPeriodRequestBuilder(this.pathParameters, this.requestAdapter, period);
    }
    ;
    /**
     * Provides operations to call the getTeamsDeviceUsageUserCounts method.
     * @param period Usage: period='{period}'
     * @returns a getTeamsDeviceUsageUserCountsWithPeriodRequestBuilder
     */
    getTeamsDeviceUsageUserCountsWithPeriod(period) {
        if (!period)
            throw new Error("period cannot be undefined");
        return new getTeamsDeviceUsageUserCountsWithPeriodRequestBuilder_1.GetTeamsDeviceUsageUserCountsWithPeriodRequestBuilder(this.pathParameters, this.requestAdapter, period);
    }
    ;
    /**
     * Provides operations to call the getTeamsDeviceUsageUserDetail method.
     * @param date Usage: date={date}
     * @returns a getTeamsDeviceUsageUserDetailWithDateRequestBuilder
     */
    getTeamsDeviceUsageUserDetailWithDate(date) {
        if (!date)
            throw new Error("date cannot be undefined");
        return new getTeamsDeviceUsageUserDetailWithDateRequestBuilder_1.GetTeamsDeviceUsageUserDetailWithDateRequestBuilder(this.pathParameters, this.requestAdapter, date);
    }
    ;
    /**
     * Provides operations to call the getTeamsDeviceUsageUserDetail method.
     * @param period Usage: period='{period}'
     * @returns a getTeamsDeviceUsageUserDetailWithPeriodRequestBuilder
     */
    getTeamsDeviceUsageUserDetailWithPeriod(period) {
        if (!period)
            throw new Error("period cannot be undefined");
        return new getTeamsDeviceUsageUserDetailWithPeriodRequestBuilder_1.GetTeamsDeviceUsageUserDetailWithPeriodRequestBuilder(this.pathParameters, this.requestAdapter, period);
    }
    ;
    /**
     * Provides operations to call the getTeamsTeamActivityCounts method.
     * @param period Usage: period='{period}'
     * @returns a getTeamsTeamActivityCountsWithPeriodRequestBuilder
     */
    getTeamsTeamActivityCountsWithPeriod(period) {
        if (!period)
            throw new Error("period cannot be undefined");
        return new getTeamsTeamActivityCountsWithPeriodRequestBuilder_1.GetTeamsTeamActivityCountsWithPeriodRequestBuilder(this.pathParameters, this.requestAdapter, period);
    }
    ;
    /**
     * Provides operations to call the getTeamsTeamActivityDetail method.
     * @param date Usage: date={date}
     * @returns a getTeamsTeamActivityDetailWithDateRequestBuilder
     */
    getTeamsTeamActivityDetailWithDate(date) {
        if (!date)
            throw new Error("date cannot be undefined");
        return new getTeamsTeamActivityDetailWithDateRequestBuilder_1.GetTeamsTeamActivityDetailWithDateRequestBuilder(this.pathParameters, this.requestAdapter, date);
    }
    ;
    /**
     * Provides operations to call the getTeamsTeamActivityDetail method.
     * @param period Usage: period='{period}'
     * @returns a getTeamsTeamActivityDetailWithPeriodRequestBuilder
     */
    getTeamsTeamActivityDetailWithPeriod(period) {
        if (!period)
            throw new Error("period cannot be undefined");
        return new getTeamsTeamActivityDetailWithPeriodRequestBuilder_1.GetTeamsTeamActivityDetailWithPeriodRequestBuilder(this.pathParameters, this.requestAdapter, period);
    }
    ;
    /**
     * Provides operations to call the getTeamsTeamActivityDistributionCounts method.
     * @param period Usage: period='{period}'
     * @returns a getTeamsTeamActivityDistributionCountsWithPeriodRequestBuilder
     */
    getTeamsTeamActivityDistributionCountsWithPeriod(period) {
        if (!period)
            throw new Error("period cannot be undefined");
        return new getTeamsTeamActivityDistributionCountsWithPeriodRequestBuilder_1.GetTeamsTeamActivityDistributionCountsWithPeriodRequestBuilder(this.pathParameters, this.requestAdapter, period);
    }
    ;
    /**
     * Provides operations to call the getTeamsTeamCounts method.
     * @param period Usage: period='{period}'
     * @returns a getTeamsTeamCountsWithPeriodRequestBuilder
     */
    getTeamsTeamCountsWithPeriod(period) {
        if (!period)
            throw new Error("period cannot be undefined");
        return new getTeamsTeamCountsWithPeriodRequestBuilder_1.GetTeamsTeamCountsWithPeriodRequestBuilder(this.pathParameters, this.requestAdapter, period);
    }
    ;
    /**
     * Provides operations to call the getTeamsUserActivityCounts method.
     * @param period Usage: period='{period}'
     * @returns a getTeamsUserActivityCountsWithPeriodRequestBuilder
     */
    getTeamsUserActivityCountsWithPeriod(period) {
        if (!period)
            throw new Error("period cannot be undefined");
        return new getTeamsUserActivityCountsWithPeriodRequestBuilder_1.GetTeamsUserActivityCountsWithPeriodRequestBuilder(this.pathParameters, this.requestAdapter, period);
    }
    ;
    /**
     * Provides operations to call the getTeamsUserActivityUserCounts method.
     * @param period Usage: period='{period}'
     * @returns a getTeamsUserActivityUserCountsWithPeriodRequestBuilder
     */
    getTeamsUserActivityUserCountsWithPeriod(period) {
        if (!period)
            throw new Error("period cannot be undefined");
        return new getTeamsUserActivityUserCountsWithPeriodRequestBuilder_1.GetTeamsUserActivityUserCountsWithPeriodRequestBuilder(this.pathParameters, this.requestAdapter, period);
    }
    ;
    /**
     * Provides operations to call the getTeamsUserActivityUserDetail method.
     * @param date Usage: date={date}
     * @returns a getTeamsUserActivityUserDetailWithDateRequestBuilder
     */
    getTeamsUserActivityUserDetailWithDate(date) {
        if (!date)
            throw new Error("date cannot be undefined");
        return new getTeamsUserActivityUserDetailWithDateRequestBuilder_1.GetTeamsUserActivityUserDetailWithDateRequestBuilder(this.pathParameters, this.requestAdapter, date);
    }
    ;
    /**
     * Provides operations to call the getTeamsUserActivityUserDetail method.
     * @param period Usage: period='{period}'
     * @returns a getTeamsUserActivityUserDetailWithPeriodRequestBuilder
     */
    getTeamsUserActivityUserDetailWithPeriod(period) {
        if (!period)
            throw new Error("period cannot be undefined");
        return new getTeamsUserActivityUserDetailWithPeriodRequestBuilder_1.GetTeamsUserActivityUserDetailWithPeriodRequestBuilder(this.pathParameters, this.requestAdapter, period);
    }
    ;
    /**
     * Provides operations to call the getUserArchivedPrintJobs method.
     * @param endDateTime Usage: endDateTime={endDateTime}
     * @param startDateTime Usage: startDateTime={startDateTime}
     * @param userId Usage: userId='{userId}'
     * @returns a getUserArchivedPrintJobsWithUserIdWithStartDateTimeWithEndDateTimeRequestBuilder
     */
    getUserArchivedPrintJobsWithUserIdWithStartDateTimeWithEndDateTime(endDateTime, startDateTime, userId) {
        if (!endDateTime)
            throw new Error("endDateTime cannot be undefined");
        if (!startDateTime)
            throw new Error("startDateTime cannot be undefined");
        if (!userId)
            throw new Error("userId cannot be undefined");
        return new getUserArchivedPrintJobsWithUserIdWithStartDateTimeWithEndDateTimeRequestBuilder_1.GetUserArchivedPrintJobsWithUserIdWithStartDateTimeWithEndDateTimeRequestBuilder(this.pathParameters, this.requestAdapter, endDateTime, startDateTime, userId);
    }
    ;
    /**
     * Provides operations to call the getYammerActivityCounts method.
     * @param period Usage: period='{period}'
     * @returns a getYammerActivityCountsWithPeriodRequestBuilder
     */
    getYammerActivityCountsWithPeriod(period) {
        if (!period)
            throw new Error("period cannot be undefined");
        return new getYammerActivityCountsWithPeriodRequestBuilder_1.GetYammerActivityCountsWithPeriodRequestBuilder(this.pathParameters, this.requestAdapter, period);
    }
    ;
    /**
     * Provides operations to call the getYammerActivityUserCounts method.
     * @param period Usage: period='{period}'
     * @returns a getYammerActivityUserCountsWithPeriodRequestBuilder
     */
    getYammerActivityUserCountsWithPeriod(period) {
        if (!period)
            throw new Error("period cannot be undefined");
        return new getYammerActivityUserCountsWithPeriodRequestBuilder_1.GetYammerActivityUserCountsWithPeriodRequestBuilder(this.pathParameters, this.requestAdapter, period);
    }
    ;
    /**
     * Provides operations to call the getYammerActivityUserDetail method.
     * @param date Usage: date={date}
     * @returns a getYammerActivityUserDetailWithDateRequestBuilder
     */
    getYammerActivityUserDetailWithDate(date) {
        if (!date)
            throw new Error("date cannot be undefined");
        return new getYammerActivityUserDetailWithDateRequestBuilder_1.GetYammerActivityUserDetailWithDateRequestBuilder(this.pathParameters, this.requestAdapter, date);
    }
    ;
    /**
     * Provides operations to call the getYammerActivityUserDetail method.
     * @param period Usage: period='{period}'
     * @returns a getYammerActivityUserDetailWithPeriodRequestBuilder
     */
    getYammerActivityUserDetailWithPeriod(period) {
        if (!period)
            throw new Error("period cannot be undefined");
        return new getYammerActivityUserDetailWithPeriodRequestBuilder_1.GetYammerActivityUserDetailWithPeriodRequestBuilder(this.pathParameters, this.requestAdapter, period);
    }
    ;
    /**
     * Provides operations to call the getYammerDeviceUsageDistributionUserCounts method.
     * @param period Usage: period='{period}'
     * @returns a getYammerDeviceUsageDistributionUserCountsWithPeriodRequestBuilder
     */
    getYammerDeviceUsageDistributionUserCountsWithPeriod(period) {
        if (!period)
            throw new Error("period cannot be undefined");
        return new getYammerDeviceUsageDistributionUserCountsWithPeriodRequestBuilder_1.GetYammerDeviceUsageDistributionUserCountsWithPeriodRequestBuilder(this.pathParameters, this.requestAdapter, period);
    }
    ;
    /**
     * Provides operations to call the getYammerDeviceUsageUserCounts method.
     * @param period Usage: period='{period}'
     * @returns a getYammerDeviceUsageUserCountsWithPeriodRequestBuilder
     */
    getYammerDeviceUsageUserCountsWithPeriod(period) {
        if (!period)
            throw new Error("period cannot be undefined");
        return new getYammerDeviceUsageUserCountsWithPeriodRequestBuilder_1.GetYammerDeviceUsageUserCountsWithPeriodRequestBuilder(this.pathParameters, this.requestAdapter, period);
    }
    ;
    /**
     * Provides operations to call the getYammerDeviceUsageUserDetail method.
     * @param date Usage: date={date}
     * @returns a getYammerDeviceUsageUserDetailWithDateRequestBuilder
     */
    getYammerDeviceUsageUserDetailWithDate(date) {
        if (!date)
            throw new Error("date cannot be undefined");
        return new getYammerDeviceUsageUserDetailWithDateRequestBuilder_1.GetYammerDeviceUsageUserDetailWithDateRequestBuilder(this.pathParameters, this.requestAdapter, date);
    }
    ;
    /**
     * Provides operations to call the getYammerDeviceUsageUserDetail method.
     * @param period Usage: period='{period}'
     * @returns a getYammerDeviceUsageUserDetailWithPeriodRequestBuilder
     */
    getYammerDeviceUsageUserDetailWithPeriod(period) {
        if (!period)
            throw new Error("period cannot be undefined");
        return new getYammerDeviceUsageUserDetailWithPeriodRequestBuilder_1.GetYammerDeviceUsageUserDetailWithPeriodRequestBuilder(this.pathParameters, this.requestAdapter, period);
    }
    ;
    /**
     * Provides operations to call the getYammerGroupsActivityCounts method.
     * @param period Usage: period='{period}'
     * @returns a getYammerGroupsActivityCountsWithPeriodRequestBuilder
     */
    getYammerGroupsActivityCountsWithPeriod(period) {
        if (!period)
            throw new Error("period cannot be undefined");
        return new getYammerGroupsActivityCountsWithPeriodRequestBuilder_1.GetYammerGroupsActivityCountsWithPeriodRequestBuilder(this.pathParameters, this.requestAdapter, period);
    }
    ;
    /**
     * Provides operations to call the getYammerGroupsActivityDetail method.
     * @param date Usage: date={date}
     * @returns a getYammerGroupsActivityDetailWithDateRequestBuilder
     */
    getYammerGroupsActivityDetailWithDate(date) {
        if (!date)
            throw new Error("date cannot be undefined");
        return new getYammerGroupsActivityDetailWithDateRequestBuilder_1.GetYammerGroupsActivityDetailWithDateRequestBuilder(this.pathParameters, this.requestAdapter, date);
    }
    ;
    /**
     * Provides operations to call the getYammerGroupsActivityDetail method.
     * @param period Usage: period='{period}'
     * @returns a getYammerGroupsActivityDetailWithPeriodRequestBuilder
     */
    getYammerGroupsActivityDetailWithPeriod(period) {
        if (!period)
            throw new Error("period cannot be undefined");
        return new getYammerGroupsActivityDetailWithPeriodRequestBuilder_1.GetYammerGroupsActivityDetailWithPeriodRequestBuilder(this.pathParameters, this.requestAdapter, period);
    }
    ;
    /**
     * Provides operations to call the getYammerGroupsActivityGroupCounts method.
     * @param period Usage: period='{period}'
     * @returns a getYammerGroupsActivityGroupCountsWithPeriodRequestBuilder
     */
    getYammerGroupsActivityGroupCountsWithPeriod(period) {
        if (!period)
            throw new Error("period cannot be undefined");
        return new getYammerGroupsActivityGroupCountsWithPeriodRequestBuilder_1.GetYammerGroupsActivityGroupCountsWithPeriodRequestBuilder(this.pathParameters, this.requestAdapter, period);
    }
    ;
    /**
     * Provides operations to call the managedDeviceEnrollmentFailureDetails method.
     * @param filter Usage: filter='{filter}'
     * @param skip Usage: skip={skip}
     * @param skipToken Usage: skipToken='{skipToken}'
     * @param top Usage: top={top}
     * @returns a managedDeviceEnrollmentFailureDetailsWithSkipWithTopWithFilterWithSkipTokenRequestBuilder
     */
    managedDeviceEnrollmentFailureDetailsWithSkipWithTopWithFilterWithSkipToken(filter, skip, skipToken, top) {
        if (!filter)
            throw new Error("filter cannot be undefined");
        if (!skip)
            throw new Error("skip cannot be undefined");
        if (!skipToken)
            throw new Error("skipToken cannot be undefined");
        if (!top)
            throw new Error("top cannot be undefined");
        return new managedDeviceEnrollmentFailureDetailsWithSkipWithTopWithFilterWithSkipTokenRequestBuilder_1.ManagedDeviceEnrollmentFailureDetailsWithSkipWithTopWithFilterWithSkipTokenRequestBuilder(this.pathParameters, this.requestAdapter, filter, skip, skipToken, top);
    }
    ;
    /**
     * Provides operations to call the managedDeviceEnrollmentTopFailures method.
     * @param period Usage: period='{period}'
     * @returns a managedDeviceEnrollmentTopFailuresWithPeriodRequestBuilder
     */
    managedDeviceEnrollmentTopFailuresWithPeriod(period) {
        if (!period)
            throw new Error("period cannot be undefined");
        return new managedDeviceEnrollmentTopFailuresWithPeriodRequestBuilder_1.ManagedDeviceEnrollmentTopFailuresWithPeriodRequestBuilder(this.pathParameters, this.requestAdapter, period);
    }
    ;
    /**
     * Update the properties of a reportRoot object.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of ReportRoot
     * @see {@link https://learn.microsoft.com/graph/api/intune-deviceconfig-reportroot-update?view=graph-rest-1.0|Find more info here}
     */
    patch(body, requestConfiguration) {
        const requestInfo = this.toPatchRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, reportRoot_1.createReportRootFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Read properties and relationships of the reportRoot object.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toGetRequestInformation(requestConfiguration) {
        const requestInfo = new kiota_abstractions_1.RequestInformation();
        if (requestConfiguration) {
            requestInfo.addRequestHeaders(requestConfiguration.headers);
            requestInfo.setQueryStringParametersFromRawObject(requestConfiguration.queryParameters);
            requestInfo.addRequestOptions(requestConfiguration.options);
        }
        requestInfo.urlTemplate = this.urlTemplate;
        requestInfo.pathParameters = this.pathParameters;
        requestInfo.httpMethod = kiota_abstractions_1.HttpMethod.GET;
        requestInfo.tryAddRequestHeaders("Accept", "application/json;q=1");
        return requestInfo;
    }
    ;
    /**
     * Update the properties of a reportRoot object.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPatchRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation();
        if (requestConfiguration) {
            requestInfo.addRequestHeaders(requestConfiguration.headers);
            requestInfo.addRequestOptions(requestConfiguration.options);
        }
        requestInfo.urlTemplate = this.urlTemplate;
        requestInfo.pathParameters = this.pathParameters;
        requestInfo.httpMethod = kiota_abstractions_1.HttpMethod.PATCH;
        requestInfo.tryAddRequestHeaders("Accept", "application/json;q=1");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, reportRoot_1.serializeReportRoot);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a reportsRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new ReportsRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.ReportsRequestBuilder = ReportsRequestBuilder;
// tslint:enable
// eslint-enable
