import { type BaseCollectionPaginationCountResponse } from '../../models/baseCollectionPaginationCountResponse';
import { type SearchResponse } from '../../models/searchResponse';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createQueryPostResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoQueryPostResponse;
export declare function deserializeIntoQueryPostResponse(queryPostResponse?: QueryPostResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface QueryPostResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: SearchResponse[];
}
export declare function serializeQueryPostResponse(writer: SerializationWriter, queryPostResponse?: QueryPostResponse | undefined): void;
