import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface ApplyHoldPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The ids property
     */
    ids?: string[];
}
export declare function createApplyHoldPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoApplyHoldPostRequestBody;
export declare function deserializeIntoApplyHoldPostRequestBody(applyHoldPostRequestBody?: ApplyHoldPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeApplyHoldPostRequestBody(writer: SerializationWriter, applyHoldPostRequestBody?: ApplyHoldPostRequestBody | undefined): void;
