import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createRemoveHoldPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoRemoveHoldPostRequestBody;
export declare function deserializeIntoRemoveHoldPostRequestBody(removeHoldPostRequestBody?: RemoveHoldPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface RemoveHoldPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The ids property
     */
    ids?: string[];
}
export declare function serializeRemoveHoldPostRequestBody(writer: SerializationWriter, removeHoldPostRequestBody?: RemoveHoldPostRequestBody | undefined): void;
