"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeRemovePasswordPostRequestBody = exports.deserializeIntoRemovePasswordPostRequestBody = exports.createRemovePasswordPostRequestBodyFromDiscriminatorValue = void 0;
function createRemovePasswordPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoRemovePasswordPostRequestBody;
}
exports.createRemovePasswordPostRequestBodyFromDiscriminatorValue = createRemovePasswordPostRequestBodyFromDiscriminatorValue;
function deserializeIntoRemovePasswordPostRequestBody(removePasswordPostRequestBody = {}) {
    return {
        "keyId": n => { removePasswordPostRequestBody.keyId = n.getGuidValue(); },
    };
}
exports.deserializeIntoRemovePasswordPostRequestBody = deserializeIntoRemovePasswordPostRequestBody;
function serializeRemovePasswordPostRequestBody(writer, removePasswordPostRequestBody = {}) {
    writer.writeGuidValue("keyId", removePasswordPostRequestBody.keyId);
    writer.writeAdditionalData(removePasswordPostRequestBody.additionalData);
}
exports.serializeRemovePasswordPostRequestBody = serializeRemovePasswordPostRequestBody;
// tslint:enable
// eslint-enable
