import { type BaseCollectionPaginationCountResponse } from '../../../../../../../models/baseCollectionPaginationCountResponse';
import { type FilterOperatorSchema } from '../../../../../../../models/filterOperatorSchema';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createFilterOperatorsGetResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoFilterOperatorsGetResponse;
export declare function deserializeIntoFilterOperatorsGetResponse(filterOperatorsGetResponse?: FilterOperatorsGetResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface FilterOperatorsGetResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: FilterOperatorSchema[];
}
export declare function serializeFilterOperatorsGetResponse(writer: SerializationWriter, filterOperatorsGetResponse?: FilterOperatorsGetResponse | undefined): void;
