import { type BaseCollectionPaginationCountResponse } from '../../models/baseCollectionPaginationCountResponse';
import { type Site } from '../../models/site';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createGetAllSitesGetResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoGetAllSitesGetResponse;
export declare function deserializeIntoGetAllSitesGetResponse(getAllSitesGetResponse?: GetAllSitesGetResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface GetAllSitesGetResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: Site[];
}
export declare function serializeGetAllSitesGetResponse(writer: SerializationWriter, getAllSitesGetResponse?: GetAllSitesGetResponse | undefined): void;
