import { type BaseCollectionPaginationCountResponse } from '../../../../models/baseCollectionPaginationCountResponse';
import { type ContentType } from '../../../../models/contentType';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createGetCompatibleHubContentTypesGetResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoGetCompatibleHubContentTypesGetResponse;
export declare function deserializeIntoGetCompatibleHubContentTypesGetResponse(getCompatibleHubContentTypesGetResponse?: GetCompatibleHubContentTypesGetResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface GetCompatibleHubContentTypesGetResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: ContentType[];
}
export declare function serializeGetCompatibleHubContentTypesGetResponse(writer: SerializationWriter, getCompatibleHubContentTypesGetResponse?: GetCompatibleHubContentTypesGetResponse | undefined): void;
