"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeCopyToSectionGroupPostRequestBody = exports.deserializeIntoCopyToSectionGroupPostRequestBody = exports.createCopyToSectionGroupPostRequestBodyFromDiscriminatorValue = void 0;
function createCopyToSectionGroupPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoCopyToSectionGroupPostRequestBody;
}
exports.createCopyToSectionGroupPostRequestBodyFromDiscriminatorValue = createCopyToSectionGroupPostRequestBodyFromDiscriminatorValue;
function deserializeIntoCopyToSectionGroupPostRequestBody(copyToSectionGroupPostRequestBody = {}) {
    return {
        "groupId": n => { copyToSectionGroupPostRequestBody.groupId = n.getStringValue(); },
        "id": n => { copyToSectionGroupPostRequestBody.id = n.getStringValue(); },
        "renameAs": n => { copyToSectionGroupPostRequestBody.renameAs = n.getStringValue(); },
        "siteCollectionId": n => { copyToSectionGroupPostRequestBody.siteCollectionId = n.getStringValue(); },
        "siteId": n => { copyToSectionGroupPostRequestBody.siteId = n.getStringValue(); },
    };
}
exports.deserializeIntoCopyToSectionGroupPostRequestBody = deserializeIntoCopyToSectionGroupPostRequestBody;
function serializeCopyToSectionGroupPostRequestBody(writer, copyToSectionGroupPostRequestBody = {}) {
    writer.writeStringValue("groupId", copyToSectionGroupPostRequestBody.groupId);
    writer.writeStringValue("id", copyToSectionGroupPostRequestBody.id);
    writer.writeStringValue("renameAs", copyToSectionGroupPostRequestBody.renameAs);
    writer.writeStringValue("siteCollectionId", copyToSectionGroupPostRequestBody.siteCollectionId);
    writer.writeStringValue("siteId", copyToSectionGroupPostRequestBody.siteId);
    writer.writeAdditionalData(copyToSectionGroupPostRequestBody.additionalData);
}
exports.serializeCopyToSectionGroupPostRequestBody = serializeCopyToSectionGroupPostRequestBody;
// tslint:enable
// eslint-enable
