import { type BaseCollectionPaginationCountResponse } from '../../../../../models/baseCollectionPaginationCountResponse';
import { type Permission } from '../../../../../models/permission';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createGrantPostResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoGrantPostResponse;
export declare function deserializeIntoGrantPostResponse(grantPostResponse?: GrantPostResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface GrantPostResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: Permission[];
}
export declare function serializeGrantPostResponse(writer: SerializationWriter, grantPostResponse?: GrantPostResponse | undefined): void;
