import { type BaseCollectionPaginationCountResponse } from '../../models/baseCollectionPaginationCountResponse';
import { type Site } from '../../models/site';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createRemovePostResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoRemovePostResponse;
export declare function deserializeIntoRemovePostResponse(removePostResponse?: RemovePostResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface RemovePostResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: Site[];
}
export declare function serializeRemovePostResponse(writer: SerializationWriter, removePostResponse?: RemovePostResponse | undefined): void;
