"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeArchivePostRequestBody = exports.deserializeIntoArchivePostRequestBody = exports.createArchivePostRequestBodyFromDiscriminatorValue = void 0;
function createArchivePostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoArchivePostRequestBody;
}
exports.createArchivePostRequestBodyFromDiscriminatorValue = createArchivePostRequestBodyFromDiscriminatorValue;
function deserializeIntoArchivePostRequestBody(archivePostRequestBody = {}) {
    return {
        "shouldSetSpoSiteReadOnlyForMembers": n => { archivePostRequestBody.shouldSetSpoSiteReadOnlyForMembers = n.getBooleanValue(); },
    };
}
exports.deserializeIntoArchivePostRequestBody = deserializeIntoArchivePostRequestBody;
function serializeArchivePostRequestBody(writer, archivePostRequestBody = {}) {
    writer.writeBooleanValue("shouldSetSpoSiteReadOnlyForMembers", archivePostRequestBody.shouldSetSpoSiteReadOnlyForMembers);
    writer.writeAdditionalData(archivePostRequestBody.additionalData);
}
exports.serializeArchivePostRequestBody = serializeArchivePostRequestBody;
// tslint:enable
// eslint-enable
