import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AcceptPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The Comment property
     */
    comment?: string;
    /**
     * The SendResponse property
     */
    sendResponse?: boolean;
}
export declare function createAcceptPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAcceptPostRequestBody;
export declare function deserializeIntoAcceptPostRequestBody(acceptPostRequestBody?: AcceptPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAcceptPostRequestBody(writer: SerializationWriter, acceptPostRequestBody?: AcceptPostRequestBody | undefined): void;
