"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeAcceptPostRequestBody = exports.deserializeIntoAcceptPostRequestBody = exports.createAcceptPostRequestBodyFromDiscriminatorValue = void 0;
function createAcceptPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoAcceptPostRequestBody;
}
exports.createAcceptPostRequestBodyFromDiscriminatorValue = createAcceptPostRequestBodyFromDiscriminatorValue;
function deserializeIntoAcceptPostRequestBody(acceptPostRequestBody = {}) {
    return {
        "comment": n => { acceptPostRequestBody.comment = n.getStringValue(); },
        "sendResponse": n => { acceptPostRequestBody.sendResponse = n.getBooleanValue(); },
    };
}
exports.deserializeIntoAcceptPostRequestBody = deserializeIntoAcceptPostRequestBody;
function serializeAcceptPostRequestBody(writer, acceptPostRequestBody = {}) {
    writer.writeStringValue("Comment", acceptPostRequestBody.comment);
    writer.writeBooleanValue("SendResponse", acceptPostRequestBody.sendResponse);
    writer.writeAdditionalData(acceptPostRequestBody.additionalData);
}
exports.serializeAcceptPostRequestBody = serializeAcceptPostRequestBody;
// tslint:enable
// eslint-enable
