import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface ChangePasswordPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The currentPassword property
     */
    currentPassword?: string;
    /**
     * The newPassword property
     */
    newPassword?: string;
}
export declare function createChangePasswordPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoChangePasswordPostRequestBody;
export declare function deserializeIntoChangePasswordPostRequestBody(changePasswordPostRequestBody?: ChangePasswordPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeChangePasswordPostRequestBody(writer: SerializationWriter, changePasswordPostRequestBody?: ChangePasswordPostRequestBody | undefined): void;
