import { type BaseCollectionPaginationCountResponse } from '../../../../models/baseCollectionPaginationCountResponse';
import { type ChatMessage } from '../../../../models/chatMessage';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createGetAllMessagesGetResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoGetAllMessagesGetResponse;
export declare function deserializeIntoGetAllMessagesGetResponse(getAllMessagesGetResponse?: GetAllMessagesGetResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface GetAllMessagesGetResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: ChatMessage[];
}
export declare function serializeGetAllMessagesGetResponse(writer: SerializationWriter, getAllMessagesGetResponse?: GetAllMessagesGetResponse | undefined): void;
