import { type BaseCollectionPaginationCountResponse } from '../../../models/baseCollectionPaginationCountResponse';
import { type MailTips } from '../../../models/mailTips';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createGetMailTipsPostResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoGetMailTipsPostResponse;
export declare function deserializeIntoGetMailTipsPostResponse(getMailTipsPostResponse?: GetMailTipsPostResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface GetMailTipsPostResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: MailTips[];
}
export declare function serializeGetMailTipsPostResponse(writer: SerializationWriter, getMailTipsPostResponse?: GetMailTipsPostResponse | undefined): void;
