import { type ActionResultPart } from '../../../../../../../../models/actionResultPart';
import { type BaseCollectionPaginationCountResponse } from '../../../../../../../../models/baseCollectionPaginationCountResponse';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AddPostResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: ActionResultPart[];
}
export declare function createAddPostResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAddPostResponse;
export declare function deserializeIntoAddPostResponse(addPostResponse?: AddPostResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAddPostResponse(writer: SerializationWriter, addPostResponse?: AddPostResponse | undefined): void;
