import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createUnsetReactionPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoUnsetReactionPostRequestBody;
export declare function deserializeIntoUnsetReactionPostRequestBody(unsetReactionPostRequestBody?: UnsetReactionPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeUnsetReactionPostRequestBody(writer: SerializationWriter, unsetReactionPostRequestBody?: UnsetReactionPostRequestBody | undefined): void;
export interface UnsetReactionPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The reactionType property
     */
    reactionType?: string;
}
