import { type TeamsAppPermissionSet } from '../../../../../../../models/teamsAppPermissionSet';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createUpgradePostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoUpgradePostRequestBody;
export declare function deserializeIntoUpgradePostRequestBody(upgradePostRequestBody?: UpgradePostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeUpgradePostRequestBody(writer: SerializationWriter, upgradePostRequestBody?: UpgradePostRequestBody | undefined): void;
export interface UpgradePostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The consentedPermissionSet property
     */
    consentedPermissionSet?: TeamsAppPermissionSet;
}
