import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createMovePostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoMovePostRequestBody;
export declare function deserializeIntoMovePostRequestBody(movePostRequestBody?: MovePostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface MovePostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The DestinationId property
     */
    destinationId?: string;
}
export declare function serializeMovePostRequestBody(writer: SerializationWriter, movePostRequestBody?: MovePostRequestBody | undefined): void;
