import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface CopyToNotebookPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The groupId property
     */
    groupId?: string;
    /**
     * The id property
     */
    id?: string;
    /**
     * The renameAs property
     */
    renameAs?: string;
    /**
     * The siteCollectionId property
     */
    siteCollectionId?: string;
    /**
     * The siteId property
     */
    siteId?: string;
}
export declare function createCopyToNotebookPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoCopyToNotebookPostRequestBody;
export declare function deserializeIntoCopyToNotebookPostRequestBody(copyToNotebookPostRequestBody?: CopyToNotebookPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeCopyToNotebookPostRequestBody(writer: SerializationWriter, copyToNotebookPostRequestBody?: CopyToNotebookPostRequestBody | undefined): void;
