import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface CopyToSectionPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The groupId property
     */
    groupId?: string;
    /**
     * The id property
     */
    id?: string;
    /**
     * The siteCollectionId property
     */
    siteCollectionId?: string;
    /**
     * The siteId property
     */
    siteId?: string;
}
export declare function createCopyToSectionPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoCopyToSectionPostRequestBody;
export declare function deserializeIntoCopyToSectionPostRequestBody(copyToSectionPostRequestBody?: CopyToSectionPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeCopyToSectionPostRequestBody(writer: SerializationWriter, copyToSectionPostRequestBody?: CopyToSectionPostRequestBody | undefined): void;
