import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createRevokeSignInSessionsPostResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoRevokeSignInSessionsPostResponse;
export declare function deserializeIntoRevokeSignInSessionsPostResponse(revokeSignInSessionsPostResponse?: RevokeSignInSessionsPostResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface RevokeSignInSessionsPostResponse extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The value property
     */
    value?: boolean;
}
export declare function serializeRevokeSignInSessionsPostResponse(writer: SerializationWriter, revokeSignInSessionsPostResponse?: RevokeSignInSessionsPostResponse | undefined): void;
