import { ExchangeIdFormat } from '../../../models/exchangeIdFormat';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createTranslateExchangeIdsPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoTranslateExchangeIdsPostRequestBody;
export declare function deserializeIntoTranslateExchangeIdsPostRequestBody(translateExchangeIdsPostRequestBody?: TranslateExchangeIdsPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeTranslateExchangeIdsPostRequestBody(writer: SerializationWriter, translateExchangeIdsPostRequestBody?: TranslateExchangeIdsPostRequestBody | undefined): void;
export interface TranslateExchangeIdsPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The InputIds property
     */
    inputIds?: string[];
    /**
     * The SourceIdType property
     */
    sourceIdType?: ExchangeIdFormat;
    /**
     * The TargetIdType property
     */
    targetIdType?: ExchangeIdFormat;
}
