"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeArchivePostResponse = exports.deserializeIntoArchivePostResponse = exports.createArchivePostResponseFromDiscriminatorValue = void 0;
function createArchivePostResponseFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoArchivePostResponse;
}
exports.createArchivePostResponseFromDiscriminatorValue = createArchivePostResponseFromDiscriminatorValue;
function deserializeIntoArchivePostResponse(archivePostResponse = {}) {
    return {
        "value": n => { archivePostResponse.value = n.getBooleanValue(); },
    };
}
exports.deserializeIntoArchivePostResponse = deserializeIntoArchivePostResponse;
function serializeArchivePostResponse(writer, archivePostResponse = {}) {
    writer.writeBooleanValue("value", archivePostResponse.value);
    writer.writeAdditionalData(archivePostResponse.additionalData);
}
exports.serializeArchivePostResponse = serializeArchivePostResponse;
// tslint:enable
// eslint-enable
