import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createFavoritePostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoFavoritePostRequestBody;
export declare function deserializeIntoFavoritePostRequestBody(favoritePostRequestBody?: FavoritePostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface FavoritePostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The messageIds property
     */
    messageIds?: string[];
}
export declare function serializeFavoritePostRequestBody(writer: SerializationWriter, favoritePostRequestBody?: FavoritePostRequestBody | undefined): void;
