"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeFavoritePostRequestBody = exports.deserializeIntoFavoritePostRequestBody = exports.createFavoritePostRequestBodyFromDiscriminatorValue = void 0;
function createFavoritePostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoFavoritePostRequestBody;
}
exports.createFavoritePostRequestBodyFromDiscriminatorValue = createFavoritePostRequestBodyFromDiscriminatorValue;
function deserializeIntoFavoritePostRequestBody(favoritePostRequestBody = {}) {
    return {
        "messageIds": n => { favoritePostRequestBody.messageIds = n.getCollectionOfPrimitiveValues(); },
    };
}
exports.deserializeIntoFavoritePostRequestBody = deserializeIntoFavoritePostRequestBody;
function serializeFavoritePostRequestBody(writer, favoritePostRequestBody = {}) {
    writer.writeCollectionOfPrimitiveValues("messageIds", favoritePostRequestBody.messageIds);
    writer.writeAdditionalData(favoritePostRequestBody.additionalData);
}
exports.serializeFavoritePostRequestBody = serializeFavoritePostRequestBody;
// tslint:enable
// eslint-enable
