"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeMarkReadPostRequestBody = exports.deserializeIntoMarkReadPostRequestBody = exports.createMarkReadPostRequestBodyFromDiscriminatorValue = void 0;
function createMarkReadPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoMarkReadPostRequestBody;
}
exports.createMarkReadPostRequestBodyFromDiscriminatorValue = createMarkReadPostRequestBodyFromDiscriminatorValue;
function deserializeIntoMarkReadPostRequestBody(markReadPostRequestBody = {}) {
    return {
        "messageIds": n => { markReadPostRequestBody.messageIds = n.getCollectionOfPrimitiveValues(); },
    };
}
exports.deserializeIntoMarkReadPostRequestBody = deserializeIntoMarkReadPostRequestBody;
function serializeMarkReadPostRequestBody(writer, markReadPostRequestBody = {}) {
    writer.writeCollectionOfPrimitiveValues("messageIds", markReadPostRequestBody.messageIds);
    writer.writeAdditionalData(markReadPostRequestBody.additionalData);
}
exports.serializeMarkReadPostRequestBody = serializeMarkReadPostRequestBody;
// tslint:enable
// eslint-enable
