import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createMarkUnreadPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoMarkUnreadPostRequestBody;
export declare function deserializeIntoMarkUnreadPostRequestBody(markUnreadPostRequestBody?: MarkUnreadPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface MarkUnreadPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The messageIds property
     */
    messageIds?: string[];
}
export declare function serializeMarkUnreadPostRequestBody(writer: SerializationWriter, markUnreadPostRequestBody?: MarkUnreadPostRequestBody | undefined): void;
