"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeMarkUnreadPostResponse = exports.deserializeIntoMarkUnreadPostResponse = exports.createMarkUnreadPostResponseFromDiscriminatorValue = void 0;
function createMarkUnreadPostResponseFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoMarkUnreadPostResponse;
}
exports.createMarkUnreadPostResponseFromDiscriminatorValue = createMarkUnreadPostResponseFromDiscriminatorValue;
function deserializeIntoMarkUnreadPostResponse(markUnreadPostResponse = {}) {
    return {
        "value": n => { markUnreadPostResponse.value = n.getBooleanValue(); },
    };
}
exports.deserializeIntoMarkUnreadPostResponse = deserializeIntoMarkUnreadPostResponse;
function serializeMarkUnreadPostResponse(writer, markUnreadPostResponse = {}) {
    writer.writeBooleanValue("value", markUnreadPostResponse.value);
    writer.writeAdditionalData(markUnreadPostResponse.additionalData);
}
exports.serializeMarkUnreadPostResponse = serializeMarkUnreadPostResponse;
// tslint:enable
// eslint-enable
