"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeUnarchivePostRequestBody = exports.deserializeIntoUnarchivePostRequestBody = exports.createUnarchivePostRequestBodyFromDiscriminatorValue = void 0;
function createUnarchivePostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoUnarchivePostRequestBody;
}
exports.createUnarchivePostRequestBodyFromDiscriminatorValue = createUnarchivePostRequestBodyFromDiscriminatorValue;
function deserializeIntoUnarchivePostRequestBody(unarchivePostRequestBody = {}) {
    return {
        "messageIds": n => { unarchivePostRequestBody.messageIds = n.getCollectionOfPrimitiveValues(); },
    };
}
exports.deserializeIntoUnarchivePostRequestBody = deserializeIntoUnarchivePostRequestBody;
function serializeUnarchivePostRequestBody(writer, unarchivePostRequestBody = {}) {
    writer.writeCollectionOfPrimitiveValues("messageIds", unarchivePostRequestBody.messageIds);
    writer.writeAdditionalData(unarchivePostRequestBody.additionalData);
}
exports.serializeUnarchivePostRequestBody = serializeUnarchivePostRequestBody;
// tslint:enable
// eslint-enable
