"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeUnarchivePostResponse = exports.deserializeIntoUnarchivePostResponse = exports.createUnarchivePostResponseFromDiscriminatorValue = void 0;
function createUnarchivePostResponseFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoUnarchivePostResponse;
}
exports.createUnarchivePostResponseFromDiscriminatorValue = createUnarchivePostResponseFromDiscriminatorValue;
function deserializeIntoUnarchivePostResponse(unarchivePostResponse = {}) {
    return {
        "value": n => { unarchivePostResponse.value = n.getBooleanValue(); },
    };
}
exports.deserializeIntoUnarchivePostResponse = deserializeIntoUnarchivePostResponse;
function serializeUnarchivePostResponse(writer, unarchivePostResponse = {}) {
    writer.writeBooleanValue("value", unarchivePostResponse.value);
    writer.writeAdditionalData(unarchivePostResponse.additionalData);
}
exports.serializeUnarchivePostResponse = serializeUnarchivePostResponse;
// tslint:enable
// eslint-enable
