import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createUnfavoritePostResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoUnfavoritePostResponse;
export declare function deserializeIntoUnfavoritePostResponse(unfavoritePostResponse?: UnfavoritePostResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeUnfavoritePostResponse(writer: SerializationWriter, unfavoritePostResponse?: UnfavoritePostResponse | undefined): void;
export interface UnfavoritePostResponse extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The value property
     */
    value?: boolean;
}
