"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeUnfavoritePostResponse = exports.deserializeIntoUnfavoritePostResponse = exports.createUnfavoritePostResponseFromDiscriminatorValue = void 0;
function createUnfavoritePostResponseFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoUnfavoritePostResponse;
}
exports.createUnfavoritePostResponseFromDiscriminatorValue = createUnfavoritePostResponseFromDiscriminatorValue;
function deserializeIntoUnfavoritePostResponse(unfavoritePostResponse = {}) {
    return {
        "value": n => { unfavoritePostResponse.value = n.getBooleanValue(); },
    };
}
exports.deserializeIntoUnfavoritePostResponse = deserializeIntoUnfavoritePostResponse;
function serializeUnfavoritePostResponse(writer, unfavoritePostResponse = {}) {
    writer.writeBooleanValue("value", unfavoritePostResponse.value);
    writer.writeAdditionalData(unfavoritePostResponse.additionalData);
}
exports.serializeUnfavoritePostResponse = serializeUnfavoritePostResponse;
// tslint:enable
// eslint-enable
