import { type SynchronizationJobRestartCriteria } from '../../../../../../models/synchronizationJobRestartCriteria';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createRestartPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoRestartPostRequestBody;
export declare function deserializeIntoRestartPostRequestBody(restartPostRequestBody?: RestartPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface RestartPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The criteria property
     */
    criteria?: SynchronizationJobRestartCriteria;
}
export declare function serializeRestartPostRequestBody(writer: SerializationWriter, restartPostRequestBody?: RestartPostRequestBody | undefined): void;
