import { type SynchronizationSecretKeyStringValuePair } from '../../../../../models/synchronizationSecretKeyStringValuePair';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createValidateCredentialsPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoValidateCredentialsPostRequestBody;
export declare function deserializeIntoValidateCredentialsPostRequestBody(validateCredentialsPostRequestBody?: ValidateCredentialsPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeValidateCredentialsPostRequestBody(writer: SerializationWriter, validateCredentialsPostRequestBody?: ValidateCredentialsPostRequestBody | undefined): void;
export interface ValidateCredentialsPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The applicationIdentifier property
     */
    applicationIdentifier?: string;
    /**
     * The credentials property
     */
    credentials?: SynchronizationSecretKeyStringValuePair[];
    /**
     * The templateId property
     */
    templateId?: string;
    /**
     * The useSavedCredentials property
     */
    useSavedCredentials?: boolean;
}
