import { type TeamworkUserIdentity } from '../../../models/teamworkUserIdentity';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createMarkChatUnreadForUserPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoMarkChatUnreadForUserPostRequestBody;
export declare function deserializeIntoMarkChatUnreadForUserPostRequestBody(markChatUnreadForUserPostRequestBody?: MarkChatUnreadForUserPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface MarkChatUnreadForUserPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The lastMessageReadDateTime property
     */
    lastMessageReadDateTime?: Date;
    /**
     * The user property
     */
    user?: TeamworkUserIdentity;
}
export declare function serializeMarkChatUnreadForUserPostRequestBody(writer: SerializationWriter, markChatUnreadForUserPostRequestBody?: MarkChatUnreadForUserPostRequestBody | undefined): void;
