import { type BaseCollectionPaginationCountResponse } from '../../../models/baseCollectionPaginationCountResponse';
import { type DirectRoutingLogRow } from '../../../models/callRecords/directRoutingLogRow';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createGetDirectRoutingCallsWithFromDateTimeWithToDateTimeGetResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoGetDirectRoutingCallsWithFromDateTimeWithToDateTimeGetResponse;
export declare function deserializeIntoGetDirectRoutingCallsWithFromDateTimeWithToDateTimeGetResponse(getDirectRoutingCallsWithFromDateTimeWithToDateTimeGetResponse?: GetDirectRoutingCallsWithFromDateTimeWithToDateTimeGetResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface GetDirectRoutingCallsWithFromDateTimeWithToDateTimeGetResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: DirectRoutingLogRow[];
}
export declare function serializeGetDirectRoutingCallsWithFromDateTimeWithToDateTimeGetResponse(writer: SerializationWriter, getDirectRoutingCallsWithFromDateTimeWithToDateTimeGetResponse?: GetDirectRoutingCallsWithFromDateTimeWithToDateTimeGetResponse | undefined): void;
