import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AddLargeGalleryViewPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The clientContext property
     */
    clientContext?: string;
}
export declare function createAddLargeGalleryViewPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAddLargeGalleryViewPostRequestBody;
export declare function deserializeIntoAddLargeGalleryViewPostRequestBody(addLargeGalleryViewPostRequestBody?: AddLargeGalleryViewPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAddLargeGalleryViewPostRequestBody(writer: SerializationWriter, addLargeGalleryViewPostRequestBody?: AddLargeGalleryViewPostRequestBody | undefined): void;
