import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface CancelMediaProcessingPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The clientContext property
     */
    clientContext?: string;
}
export declare function createCancelMediaProcessingPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoCancelMediaProcessingPostRequestBody;
export declare function deserializeIntoCancelMediaProcessingPostRequestBody(cancelMediaProcessingPostRequestBody?: CancelMediaProcessingPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeCancelMediaProcessingPostRequestBody(writer: SerializationWriter, cancelMediaProcessingPostRequestBody?: CancelMediaProcessingPostRequestBody | undefined): void;
