import { type InvitationParticipantInfo } from '../../../../../models/invitationParticipantInfo';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createInvitePostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoInvitePostRequestBody;
export declare function deserializeIntoInvitePostRequestBody(invitePostRequestBody?: InvitePostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface InvitePostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The clientContext property
     */
    clientContext?: string;
    /**
     * The participants property
     */
    participants?: InvitationParticipantInfo[];
}
export declare function serializeInvitePostRequestBody(writer: SerializationWriter, invitePostRequestBody?: InvitePostRequestBody | undefined): void;
