"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeMutePostRequestBody = exports.deserializeIntoMutePostRequestBody = exports.createMutePostRequestBodyFromDiscriminatorValue = void 0;
function createMutePostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoMutePostRequestBody;
}
exports.createMutePostRequestBodyFromDiscriminatorValue = createMutePostRequestBodyFromDiscriminatorValue;
function deserializeIntoMutePostRequestBody(mutePostRequestBody = {}) {
    return {
        "clientContext": n => { mutePostRequestBody.clientContext = n.getStringValue(); },
    };
}
exports.deserializeIntoMutePostRequestBody = deserializeIntoMutePostRequestBody;
function serializeMutePostRequestBody(writer, mutePostRequestBody = {}) {
    writer.writeStringValue("clientContext", mutePostRequestBody.clientContext);
    writer.writeAdditionalData(mutePostRequestBody.additionalData);
}
exports.serializeMutePostRequestBody = serializeMutePostRequestBody;
// tslint:enable
// eslint-enable
