import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface ClearPresencePostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The sessionId property
     */
    sessionId?: string;
}
export declare function createClearPresencePostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoClearPresencePostRequestBody;
export declare function deserializeIntoClearPresencePostRequestBody(clearPresencePostRequestBody?: ClearPresencePostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeClearPresencePostRequestBody(writer: SerializationWriter, clearPresencePostRequestBody?: ClearPresencePostRequestBody | undefined): void;
