"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeSetPresencePostRequestBody = exports.deserializeIntoSetPresencePostRequestBody = exports.createSetPresencePostRequestBodyFromDiscriminatorValue = void 0;
function createSetPresencePostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoSetPresencePostRequestBody;
}
exports.createSetPresencePostRequestBodyFromDiscriminatorValue = createSetPresencePostRequestBodyFromDiscriminatorValue;
function deserializeIntoSetPresencePostRequestBody(setPresencePostRequestBody = {}) {
    return {
        "activity": n => { setPresencePostRequestBody.activity = n.getStringValue(); },
        "availability": n => { setPresencePostRequestBody.availability = n.getStringValue(); },
        "expirationDuration": n => { setPresencePostRequestBody.expirationDuration = n.getDurationValue(); },
        "sessionId": n => { setPresencePostRequestBody.sessionId = n.getStringValue(); },
    };
}
exports.deserializeIntoSetPresencePostRequestBody = deserializeIntoSetPresencePostRequestBody;
function serializeSetPresencePostRequestBody(writer, setPresencePostRequestBody = {}) {
    writer.writeStringValue("activity", setPresencePostRequestBody.activity);
    writer.writeStringValue("availability", setPresencePostRequestBody.availability);
    writer.writeDurationValue("expirationDuration", setPresencePostRequestBody.expirationDuration);
    writer.writeStringValue("sessionId", setPresencePostRequestBody.sessionId);
    writer.writeAdditionalData(setPresencePostRequestBody.additionalData);
}
exports.serializeSetPresencePostRequestBody = serializeSetPresencePostRequestBody;
// tslint:enable
// eslint-enable
