import { type PresenceStatusMessage } from '../../../../models/presenceStatusMessage';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createSetStatusMessagePostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoSetStatusMessagePostRequestBody;
export declare function deserializeIntoSetStatusMessagePostRequestBody(setStatusMessagePostRequestBody?: SetStatusMessagePostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeSetStatusMessagePostRequestBody(writer: SerializationWriter, setStatusMessagePostRequestBody?: SetStatusMessagePostRequestBody | undefined): void;
export interface SetStatusMessagePostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The statusMessage property
     */
    statusMessage?: PresenceStatusMessage;
}
