import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createGetAvailableExtensionPropertiesPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoGetAvailableExtensionPropertiesPostRequestBody;
export declare function deserializeIntoGetAvailableExtensionPropertiesPostRequestBody(getAvailableExtensionPropertiesPostRequestBody?: GetAvailableExtensionPropertiesPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface GetAvailableExtensionPropertiesPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The isSyncedFromOnPremises property
     */
    isSyncedFromOnPremises?: boolean;
}
export declare function serializeGetAvailableExtensionPropertiesPostRequestBody(writer: SerializationWriter, getAvailableExtensionPropertiesPostRequestBody?: GetAvailableExtensionPropertiesPostRequestBody | undefined): void;
