import { type ManagedEBookAssignment } from '../../../../models/managedEBookAssignment';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AssignPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The managedEBookAssignments property
     */
    managedEBookAssignments?: ManagedEBookAssignment[];
}
export declare function createAssignPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAssignPostRequestBody;
export declare function deserializeIntoAssignPostRequestBody(assignPostRequestBody?: AssignPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAssignPostRequestBody(writer: SerializationWriter, assignPostRequestBody?: AssignPostRequestBody | undefined): void;
