import { type DeviceComplianceScheduledActionForRule } from '../../../../models/deviceComplianceScheduledActionForRule';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createScheduleActionsForRulesPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoScheduleActionsForRulesPostRequestBody;
export declare function deserializeIntoScheduleActionsForRulesPostRequestBody(scheduleActionsForRulesPostRequestBody?: ScheduleActionsForRulesPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface ScheduleActionsForRulesPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The deviceComplianceScheduledActionForRules property
     */
    deviceComplianceScheduledActionForRules?: DeviceComplianceScheduledActionForRule[];
}
export declare function serializeScheduleActionsForRulesPostRequestBody(writer: SerializationWriter, scheduleActionsForRulesPostRequestBody?: ScheduleActionsForRulesPostRequestBody | undefined): void;
