import { DeviceManagementExchangeConnectorSyncType } from '../../../../models/deviceManagementExchangeConnectorSyncType';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createSyncPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoSyncPostRequestBody;
export declare function deserializeIntoSyncPostRequestBody(syncPostRequestBody?: SyncPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeSyncPostRequestBody(writer: SerializationWriter, syncPostRequestBody?: SyncPostRequestBody | undefined): void;
export interface SyncPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The type of Exchange Connector sync requested.
     */
    syncType?: DeviceManagementExchangeConnectorSyncType;
}
