import { type BaseCollectionPaginationCountResponse } from '../../../models/baseCollectionPaginationCountResponse';
import { type ImportedWindowsAutopilotDeviceIdentity } from '../../../models/importedWindowsAutopilotDeviceIdentity';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createImportPostResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoImportPostResponse;
export declare function deserializeIntoImportPostResponse(importPostResponse?: ImportPostResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface ImportPostResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: ImportedWindowsAutopilotDeviceIdentity[];
}
export declare function serializeImportPostResponse(writer: SerializationWriter, importPostResponse?: ImportPostResponse | undefined): void;
