"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeCleanWindowsDevicePostRequestBody = exports.deserializeIntoCleanWindowsDevicePostRequestBody = exports.createCleanWindowsDevicePostRequestBodyFromDiscriminatorValue = void 0;
function createCleanWindowsDevicePostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoCleanWindowsDevicePostRequestBody;
}
exports.createCleanWindowsDevicePostRequestBodyFromDiscriminatorValue = createCleanWindowsDevicePostRequestBodyFromDiscriminatorValue;
function deserializeIntoCleanWindowsDevicePostRequestBody(cleanWindowsDevicePostRequestBody = {}) {
    return {
        "keepUserData": n => { cleanWindowsDevicePostRequestBody.keepUserData = n.getBooleanValue(); },
    };
}
exports.deserializeIntoCleanWindowsDevicePostRequestBody = deserializeIntoCleanWindowsDevicePostRequestBody;
function serializeCleanWindowsDevicePostRequestBody(writer, cleanWindowsDevicePostRequestBody = {}) {
    writer.writeBooleanValue("keepUserData", cleanWindowsDevicePostRequestBody.keepUserData);
    writer.writeAdditionalData(cleanWindowsDevicePostRequestBody.additionalData);
}
exports.serializeCleanWindowsDevicePostRequestBody = serializeCleanWindowsDevicePostRequestBody;
// tslint:enable
// eslint-enable
