import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createGetCachedReportPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoGetCachedReportPostRequestBody;
export declare function deserializeIntoGetCachedReportPostRequestBody(getCachedReportPostRequestBody?: GetCachedReportPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface GetCachedReportPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The groupBy property
     */
    groupBy?: string[];
    /**
     * The id property
     */
    id?: string;
    /**
     * The orderBy property
     */
    orderBy?: string[];
    /**
     * The search property
     */
    search?: string;
    /**
     * The select property
     */
    select?: string[];
    /**
     * The skip property
     */
    skip?: number;
    /**
     * The top property
     */
    top?: number;
}
export declare function serializeGetCachedReportPostRequestBody(writer: SerializationWriter, getCachedReportPostRequestBody?: GetCachedReportPostRequestBody | undefined): void;
