"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeGetDeviceNonComplianceReportPostRequestBody = exports.deserializeIntoGetDeviceNonComplianceReportPostRequestBody = exports.createGetDeviceNonComplianceReportPostRequestBodyFromDiscriminatorValue = void 0;
function createGetDeviceNonComplianceReportPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoGetDeviceNonComplianceReportPostRequestBody;
}
exports.createGetDeviceNonComplianceReportPostRequestBodyFromDiscriminatorValue = createGetDeviceNonComplianceReportPostRequestBodyFromDiscriminatorValue;
function deserializeIntoGetDeviceNonComplianceReportPostRequestBody(getDeviceNonComplianceReportPostRequestBody = {}) {
    return {
        "filter": n => { getDeviceNonComplianceReportPostRequestBody.filter = n.getStringValue(); },
        "groupBy": n => { getDeviceNonComplianceReportPostRequestBody.groupBy = n.getCollectionOfPrimitiveValues(); },
        "name": n => { getDeviceNonComplianceReportPostRequestBody.name = n.getStringValue(); },
        "orderBy": n => { getDeviceNonComplianceReportPostRequestBody.orderBy = n.getCollectionOfPrimitiveValues(); },
        "search": n => { getDeviceNonComplianceReportPostRequestBody.search = n.getStringValue(); },
        "select": n => { getDeviceNonComplianceReportPostRequestBody.select = n.getCollectionOfPrimitiveValues(); },
        "sessionId": n => { getDeviceNonComplianceReportPostRequestBody.sessionId = n.getStringValue(); },
        "skip": n => { getDeviceNonComplianceReportPostRequestBody.skip = n.getNumberValue(); },
        "top": n => { getDeviceNonComplianceReportPostRequestBody.top = n.getNumberValue(); },
    };
}
exports.deserializeIntoGetDeviceNonComplianceReportPostRequestBody = deserializeIntoGetDeviceNonComplianceReportPostRequestBody;
function serializeGetDeviceNonComplianceReportPostRequestBody(writer, getDeviceNonComplianceReportPostRequestBody = {}) {
    writer.writeStringValue("filter", getDeviceNonComplianceReportPostRequestBody.filter);
    writer.writeCollectionOfPrimitiveValues("groupBy", getDeviceNonComplianceReportPostRequestBody.groupBy);
    writer.writeStringValue("name", getDeviceNonComplianceReportPostRequestBody.name);
    writer.writeCollectionOfPrimitiveValues("orderBy", getDeviceNonComplianceReportPostRequestBody.orderBy);
    writer.writeStringValue("search", getDeviceNonComplianceReportPostRequestBody.search);
    writer.writeCollectionOfPrimitiveValues("select", getDeviceNonComplianceReportPostRequestBody.select);
    writer.writeStringValue("sessionId", getDeviceNonComplianceReportPostRequestBody.sessionId);
    writer.writeNumberValue("skip", getDeviceNonComplianceReportPostRequestBody.skip);
    writer.writeNumberValue("top", getDeviceNonComplianceReportPostRequestBody.top);
    writer.writeAdditionalData(getDeviceNonComplianceReportPostRequestBody.additionalData);
}
exports.serializeGetDeviceNonComplianceReportPostRequestBody = serializeGetDeviceNonComplianceReportPostRequestBody;
// tslint:enable
// eslint-enable
