"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeGetPolicyNonComplianceMetadataPostRequestBody = exports.deserializeIntoGetPolicyNonComplianceMetadataPostRequestBody = exports.createGetPolicyNonComplianceMetadataPostRequestBodyFromDiscriminatorValue = void 0;
function createGetPolicyNonComplianceMetadataPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoGetPolicyNonComplianceMetadataPostRequestBody;
}
exports.createGetPolicyNonComplianceMetadataPostRequestBodyFromDiscriminatorValue = createGetPolicyNonComplianceMetadataPostRequestBodyFromDiscriminatorValue;
function deserializeIntoGetPolicyNonComplianceMetadataPostRequestBody(getPolicyNonComplianceMetadataPostRequestBody = {}) {
    return {
        "filter": n => { getPolicyNonComplianceMetadataPostRequestBody.filter = n.getStringValue(); },
        "groupBy": n => { getPolicyNonComplianceMetadataPostRequestBody.groupBy = n.getCollectionOfPrimitiveValues(); },
        "name": n => { getPolicyNonComplianceMetadataPostRequestBody.name = n.getStringValue(); },
        "orderBy": n => { getPolicyNonComplianceMetadataPostRequestBody.orderBy = n.getCollectionOfPrimitiveValues(); },
        "search": n => { getPolicyNonComplianceMetadataPostRequestBody.search = n.getStringValue(); },
        "select": n => { getPolicyNonComplianceMetadataPostRequestBody.select = n.getCollectionOfPrimitiveValues(); },
        "sessionId": n => { getPolicyNonComplianceMetadataPostRequestBody.sessionId = n.getStringValue(); },
        "skip": n => { getPolicyNonComplianceMetadataPostRequestBody.skip = n.getNumberValue(); },
        "top": n => { getPolicyNonComplianceMetadataPostRequestBody.top = n.getNumberValue(); },
    };
}
exports.deserializeIntoGetPolicyNonComplianceMetadataPostRequestBody = deserializeIntoGetPolicyNonComplianceMetadataPostRequestBody;
function serializeGetPolicyNonComplianceMetadataPostRequestBody(writer, getPolicyNonComplianceMetadataPostRequestBody = {}) {
    writer.writeStringValue("filter", getPolicyNonComplianceMetadataPostRequestBody.filter);
    writer.writeCollectionOfPrimitiveValues("groupBy", getPolicyNonComplianceMetadataPostRequestBody.groupBy);
    writer.writeStringValue("name", getPolicyNonComplianceMetadataPostRequestBody.name);
    writer.writeCollectionOfPrimitiveValues("orderBy", getPolicyNonComplianceMetadataPostRequestBody.orderBy);
    writer.writeStringValue("search", getPolicyNonComplianceMetadataPostRequestBody.search);
    writer.writeCollectionOfPrimitiveValues("select", getPolicyNonComplianceMetadataPostRequestBody.select);
    writer.writeStringValue("sessionId", getPolicyNonComplianceMetadataPostRequestBody.sessionId);
    writer.writeNumberValue("skip", getPolicyNonComplianceMetadataPostRequestBody.skip);
    writer.writeNumberValue("top", getPolicyNonComplianceMetadataPostRequestBody.top);
    writer.writeAdditionalData(getPolicyNonComplianceMetadataPostRequestBody.additionalData);
}
exports.serializeGetPolicyNonComplianceMetadataPostRequestBody = serializeGetPolicyNonComplianceMetadataPostRequestBody;
// tslint:enable
// eslint-enable
