"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeGetReportFiltersPostRequestBody = exports.deserializeIntoGetReportFiltersPostRequestBody = exports.createGetReportFiltersPostRequestBodyFromDiscriminatorValue = void 0;
function createGetReportFiltersPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoGetReportFiltersPostRequestBody;
}
exports.createGetReportFiltersPostRequestBodyFromDiscriminatorValue = createGetReportFiltersPostRequestBodyFromDiscriminatorValue;
function deserializeIntoGetReportFiltersPostRequestBody(getReportFiltersPostRequestBody = {}) {
    return {
        "filter": n => { getReportFiltersPostRequestBody.filter = n.getStringValue(); },
        "groupBy": n => { getReportFiltersPostRequestBody.groupBy = n.getCollectionOfPrimitiveValues(); },
        "name": n => { getReportFiltersPostRequestBody.name = n.getStringValue(); },
        "orderBy": n => { getReportFiltersPostRequestBody.orderBy = n.getCollectionOfPrimitiveValues(); },
        "search": n => { getReportFiltersPostRequestBody.search = n.getStringValue(); },
        "select": n => { getReportFiltersPostRequestBody.select = n.getCollectionOfPrimitiveValues(); },
        "sessionId": n => { getReportFiltersPostRequestBody.sessionId = n.getStringValue(); },
        "skip": n => { getReportFiltersPostRequestBody.skip = n.getNumberValue(); },
        "top": n => { getReportFiltersPostRequestBody.top = n.getNumberValue(); },
    };
}
exports.deserializeIntoGetReportFiltersPostRequestBody = deserializeIntoGetReportFiltersPostRequestBody;
function serializeGetReportFiltersPostRequestBody(writer, getReportFiltersPostRequestBody = {}) {
    writer.writeStringValue("filter", getReportFiltersPostRequestBody.filter);
    writer.writeCollectionOfPrimitiveValues("groupBy", getReportFiltersPostRequestBody.groupBy);
    writer.writeStringValue("name", getReportFiltersPostRequestBody.name);
    writer.writeCollectionOfPrimitiveValues("orderBy", getReportFiltersPostRequestBody.orderBy);
    writer.writeStringValue("search", getReportFiltersPostRequestBody.search);
    writer.writeCollectionOfPrimitiveValues("select", getReportFiltersPostRequestBody.select);
    writer.writeStringValue("sessionId", getReportFiltersPostRequestBody.sessionId);
    writer.writeNumberValue("skip", getReportFiltersPostRequestBody.skip);
    writer.writeNumberValue("top", getReportFiltersPostRequestBody.top);
    writer.writeAdditionalData(getReportFiltersPostRequestBody.additionalData);
}
exports.serializeGetReportFiltersPostRequestBody = serializeGetReportFiltersPostRequestBody;
// tslint:enable
// eslint-enable
