"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeAssignUserToDevicePostRequestBody = exports.deserializeIntoAssignUserToDevicePostRequestBody = exports.createAssignUserToDevicePostRequestBodyFromDiscriminatorValue = void 0;
function createAssignUserToDevicePostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoAssignUserToDevicePostRequestBody;
}
exports.createAssignUserToDevicePostRequestBodyFromDiscriminatorValue = createAssignUserToDevicePostRequestBodyFromDiscriminatorValue;
function deserializeIntoAssignUserToDevicePostRequestBody(assignUserToDevicePostRequestBody = {}) {
    return {
        "addressableUserName": n => { assignUserToDevicePostRequestBody.addressableUserName = n.getStringValue(); },
        "userPrincipalName": n => { assignUserToDevicePostRequestBody.userPrincipalName = n.getStringValue(); },
    };
}
exports.deserializeIntoAssignUserToDevicePostRequestBody = deserializeIntoAssignUserToDevicePostRequestBody;
function serializeAssignUserToDevicePostRequestBody(writer, assignUserToDevicePostRequestBody = {}) {
    writer.writeStringValue("addressableUserName", assignUserToDevicePostRequestBody.addressableUserName);
    writer.writeStringValue("userPrincipalName", assignUserToDevicePostRequestBody.userPrincipalName);
    writer.writeAdditionalData(assignUserToDevicePostRequestBody.additionalData);
}
exports.serializeAssignUserToDevicePostRequestBody = serializeAssignUserToDevicePostRequestBody;
// tslint:enable
// eslint-enable
