import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createUpdateDevicePropertiesPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoUpdateDevicePropertiesPostRequestBody;
export declare function deserializeIntoUpdateDevicePropertiesPostRequestBody(updateDevicePropertiesPostRequestBody?: UpdateDevicePropertiesPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeUpdateDevicePropertiesPostRequestBody(writer: SerializationWriter, updateDevicePropertiesPostRequestBody?: UpdateDevicePropertiesPostRequestBody | undefined): void;
export interface UpdateDevicePropertiesPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The addressableUserName property
     */
    addressableUserName?: string;
    /**
     * The displayName property
     */
    displayName?: string;
    /**
     * The groupTag property
     */
    groupTag?: string;
    /**
     * The userPrincipalName property
     */
    userPrincipalName?: string;
}
