import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface CheckinPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The checkInAs property
     */
    checkInAs?: string;
    /**
     * The comment property
     */
    comment?: string;
}
export declare function createCheckinPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoCheckinPostRequestBody;
export declare function deserializeIntoCheckinPostRequestBody(checkinPostRequestBody?: CheckinPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeCheckinPostRequestBody(writer: SerializationWriter, checkinPostRequestBody?: CheckinPostRequestBody | undefined): void;
