import { type ItemReference } from '../../../../../models/itemReference';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface CopyPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The name property
     */
    name?: string;
    /**
     * The parentReference property
     */
    parentReference?: ItemReference;
}
export declare function createCopyPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoCopyPostRequestBody;
export declare function deserializeIntoCopyPostRequestBody(copyPostRequestBody?: CopyPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeCopyPostRequestBody(writer: SerializationWriter, copyPostRequestBody?: CopyPostRequestBody | undefined): void;
