import { type BaseDeltaFunctionResponse } from '../../../../../models/baseDeltaFunctionResponse';
import { type DriveItem } from '../../../../../models/driveItem';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createDeltaWithTokenGetResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoDeltaWithTokenGetResponse;
export interface DeltaWithTokenGetResponse extends BaseDeltaFunctionResponse, Parsable {
    /**
     * The value property
     */
    value?: DriveItem[];
}
export declare function deserializeIntoDeltaWithTokenGetResponse(deltaWithTokenGetResponse?: DeltaWithTokenGetResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeDeltaWithTokenGetResponse(writer: SerializationWriter, deltaWithTokenGetResponse?: DeltaWithTokenGetResponse | undefined): void;
