import { type BaseCollectionPaginationCountResponse } from '../../../../../models/baseCollectionPaginationCountResponse';
import { type Permission } from '../../../../../models/permission';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createInvitePostResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoInvitePostResponse;
export declare function deserializeIntoInvitePostResponse(invitePostResponse?: InvitePostResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface InvitePostResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: Permission[];
}
export declare function serializeInvitePostResponse(writer: SerializationWriter, invitePostResponse?: InvitePostResponse | undefined): void;
