"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeValidatePermissionPostRequestBody = exports.deserializeIntoValidatePermissionPostRequestBody = exports.createValidatePermissionPostRequestBodyFromDiscriminatorValue = void 0;
function createValidatePermissionPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoValidatePermissionPostRequestBody;
}
exports.createValidatePermissionPostRequestBodyFromDiscriminatorValue = createValidatePermissionPostRequestBodyFromDiscriminatorValue;
function deserializeIntoValidatePermissionPostRequestBody(validatePermissionPostRequestBody = {}) {
    return {
        "challengeToken": n => { validatePermissionPostRequestBody.challengeToken = n.getStringValue(); },
        "password": n => { validatePermissionPostRequestBody.password = n.getStringValue(); },
    };
}
exports.deserializeIntoValidatePermissionPostRequestBody = deserializeIntoValidatePermissionPostRequestBody;
function serializeValidatePermissionPostRequestBody(writer, validatePermissionPostRequestBody = {}) {
    writer.writeStringValue("challengeToken", validatePermissionPostRequestBody.challengeToken);
    writer.writeStringValue("password", validatePermissionPostRequestBody.password);
    writer.writeAdditionalData(validatePermissionPostRequestBody.additionalData);
}
exports.serializeValidatePermissionPostRequestBody = serializeValidatePermissionPostRequestBody;
// tslint:enable
// eslint-enable
