import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AccrIntPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The basis property
     */
    basis?: Json;
    /**
     * The calcMethod property
     */
    calcMethod?: Json;
    /**
     * The firstInterest property
     */
    firstInterest?: Json;
    /**
     * The frequency property
     */
    frequency?: Json;
    /**
     * The issue property
     */
    issue?: Json;
    /**
     * The par property
     */
    par?: Json;
    /**
     * The rate property
     */
    rate?: Json;
    /**
     * The settlement property
     */
    settlement?: Json;
}
export declare function createAccrIntPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAccrIntPostRequestBody;
export declare function deserializeIntoAccrIntPostRequestBody(accrIntPostRequestBody?: AccrIntPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAccrIntPostRequestBody(writer: SerializationWriter, accrIntPostRequestBody?: AccrIntPostRequestBody | undefined): void;
