import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AcosPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The number property
     */
    number?: Json;
}
export declare function createAcosPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAcosPostRequestBody;
export declare function deserializeIntoAcosPostRequestBody(acosPostRequestBody?: AcosPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAcosPostRequestBody(writer: SerializationWriter, acosPostRequestBody?: AcosPostRequestBody | undefined): void;
