import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AndPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The values property
     */
    values?: Json;
}
export declare function createAndPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAndPostRequestBody;
export declare function deserializeIntoAndPostRequestBody(andPostRequestBody?: AndPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAndPostRequestBody(writer: SerializationWriter, andPostRequestBody?: AndPostRequestBody | undefined): void;
