import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AsinPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The number property
     */
    number?: Json;
}
export declare function createAsinPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAsinPostRequestBody;
export declare function deserializeIntoAsinPostRequestBody(asinPostRequestBody?: AsinPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAsinPostRequestBody(writer: SerializationWriter, asinPostRequestBody?: AsinPostRequestBody | undefined): void;
