import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AtanPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The number property
     */
    number?: Json;
}
export declare function createAtanPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAtanPostRequestBody;
export declare function deserializeIntoAtanPostRequestBody(atanPostRequestBody?: AtanPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAtanPostRequestBody(writer: SerializationWriter, atanPostRequestBody?: AtanPostRequestBody | undefined): void;
