import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface Atan2PostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The xNum property
     */
    xNum?: Json;
    /**
     * The yNum property
     */
    yNum?: Json;
}
export declare function createAtan2PostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAtan2PostRequestBody;
export declare function deserializeIntoAtan2PostRequestBody(atan2PostRequestBody?: Atan2PostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAtan2PostRequestBody(writer: SerializationWriter, atan2PostRequestBody?: Atan2PostRequestBody | undefined): void;
