import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AveDevPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The values property
     */
    values?: Json;
}
export declare function createAveDevPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAveDevPostRequestBody;
export declare function deserializeIntoAveDevPostRequestBody(aveDevPostRequestBody?: AveDevPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAveDevPostRequestBody(writer: SerializationWriter, aveDevPostRequestBody?: AveDevPostRequestBody | undefined): void;
