import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AveragePostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The values property
     */
    values?: Json;
}
export declare function createAveragePostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAveragePostRequestBody;
export declare function deserializeIntoAveragePostRequestBody(averagePostRequestBody?: AveragePostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAveragePostRequestBody(writer: SerializationWriter, averagePostRequestBody?: AveragePostRequestBody | undefined): void;
