import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AverageIfPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The averageRange property
     */
    averageRange?: Json;
    /**
     * The criteria property
     */
    criteria?: Json;
    /**
     * The range property
     */
    range?: Json;
}
export declare function createAverageIfPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAverageIfPostRequestBody;
export declare function deserializeIntoAverageIfPostRequestBody(averageIfPostRequestBody?: AverageIfPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAverageIfPostRequestBody(writer: SerializationWriter, averageIfPostRequestBody?: AverageIfPostRequestBody | undefined): void;
