import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface BesselJPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The n property
     */
    n?: Json;
    /**
     * The x property
     */
    x?: Json;
}
export declare function createBesselJPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoBesselJPostRequestBody;
export declare function deserializeIntoBesselJPostRequestBody(besselJPostRequestBody?: BesselJPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeBesselJPostRequestBody(writer: SerializationWriter, besselJPostRequestBody?: BesselJPostRequestBody | undefined): void;
