import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface Beta_DistPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * The A property
     */
    a?: Json;
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The alpha property
     */
    alpha?: Json;
    /**
     * The B property
     */
    b?: Json;
    /**
     * The beta property
     */
    beta?: Json;
    /**
     * The cumulative property
     */
    cumulative?: Json;
    /**
     * The x property
     */
    x?: Json;
}
export declare function createBeta_DistPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoBeta_DistPostRequestBody;
export declare function deserializeIntoBeta_DistPostRequestBody(beta_DistPostRequestBody?: Beta_DistPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeBeta_DistPostRequestBody(writer: SerializationWriter, beta_DistPostRequestBody?: Beta_DistPostRequestBody | undefined): void;
