import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface Bin2DecPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The number property
     */
    number?: Json;
}
export declare function createBin2DecPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoBin2DecPostRequestBody;
export declare function deserializeIntoBin2DecPostRequestBody(bin2DecPostRequestBody?: Bin2DecPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeBin2DecPostRequestBody(writer: SerializationWriter, bin2DecPostRequestBody?: Bin2DecPostRequestBody | undefined): void;
