import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface ChiSq_DistPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The cumulative property
     */
    cumulative?: Json;
    /**
     * The degFreedom property
     */
    degFreedom?: Json;
    /**
     * The x property
     */
    x?: Json;
}
export declare function createChiSq_DistPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoChiSq_DistPostRequestBody;
export declare function deserializeIntoChiSq_DistPostRequestBody(chiSq_DistPostRequestBody?: ChiSq_DistPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeChiSq_DistPostRequestBody(writer: SerializationWriter, chiSq_DistPostRequestBody?: ChiSq_DistPostRequestBody | undefined): void;
