import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface ChiSq_InvPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The degFreedom property
     */
    degFreedom?: Json;
    /**
     * The probability property
     */
    probability?: Json;
}
export declare function createChiSq_InvPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoChiSq_InvPostRequestBody;
export declare function deserializeIntoChiSq_InvPostRequestBody(chiSq_InvPostRequestBody?: ChiSq_InvPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeChiSq_InvPostRequestBody(writer: SerializationWriter, chiSq_InvPostRequestBody?: ChiSq_InvPostRequestBody | undefined): void;
