import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface CleanPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The text property
     */
    text?: Json;
}
export declare function createCleanPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoCleanPostRequestBody;
export declare function deserializeIntoCleanPostRequestBody(cleanPostRequestBody?: CleanPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeCleanPostRequestBody(writer: SerializationWriter, cleanPostRequestBody?: CleanPostRequestBody | undefined): void;
