import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface ColumnsPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The array property
     */
    array?: Json;
}
export declare function createColumnsPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoColumnsPostRequestBody;
export declare function deserializeIntoColumnsPostRequestBody(columnsPostRequestBody?: ColumnsPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeColumnsPostRequestBody(writer: SerializationWriter, columnsPostRequestBody?: ColumnsPostRequestBody | undefined): void;
