import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface ComplexPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The iNum property
     */
    iNum?: Json;
    /**
     * The realNum property
     */
    realNum?: Json;
    /**
     * The suffix property
     */
    suffix?: Json;
}
export declare function createComplexPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoComplexPostRequestBody;
export declare function deserializeIntoComplexPostRequestBody(complexPostRequestBody?: ComplexPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeComplexPostRequestBody(writer: SerializationWriter, complexPostRequestBody?: ComplexPostRequestBody | undefined): void;
