import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface ConcatenatePostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The values property
     */
    values?: Json;
}
export declare function createConcatenatePostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoConcatenatePostRequestBody;
export declare function deserializeIntoConcatenatePostRequestBody(concatenatePostRequestBody?: ConcatenatePostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeConcatenatePostRequestBody(writer: SerializationWriter, concatenatePostRequestBody?: ConcatenatePostRequestBody | undefined): void;
