import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface CoshPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The number property
     */
    number?: Json;
}
export declare function createCoshPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoCoshPostRequestBody;
export declare function deserializeIntoCoshPostRequestBody(coshPostRequestBody?: CoshPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeCoshPostRequestBody(writer: SerializationWriter, coshPostRequestBody?: CoshPostRequestBody | undefined): void;
