import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface CountIfsPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The values property
     */
    values?: Json;
}
export declare function createCountIfsPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoCountIfsPostRequestBody;
export declare function deserializeIntoCountIfsPostRequestBody(countIfsPostRequestBody?: CountIfsPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeCountIfsPostRequestBody(writer: SerializationWriter, countIfsPostRequestBody?: CountIfsPostRequestBody | undefined): void;
