import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createDatevaluePostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoDatevaluePostRequestBody;
export interface DatevaluePostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The dateText property
     */
    dateText?: Json;
}
export declare function deserializeIntoDatevaluePostRequestBody(datevaluePostRequestBody?: DatevaluePostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeDatevaluePostRequestBody(writer: SerializationWriter, datevaluePostRequestBody?: DatevaluePostRequestBody | undefined): void;
