import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createDayPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoDayPostRequestBody;
export interface DayPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The serialNumber property
     */
    serialNumber?: Json;
}
export declare function deserializeIntoDayPostRequestBody(dayPostRequestBody?: DayPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeDayPostRequestBody(writer: SerializationWriter, dayPostRequestBody?: DayPostRequestBody | undefined): void;
