import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createDays360PostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoDays360PostRequestBody;
export interface Days360PostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The endDate property
     */
    endDate?: Json;
    /**
     * The method property
     */
    method?: Json;
    /**
     * The startDate property
     */
    startDate?: Json;
}
export declare function deserializeIntoDays360PostRequestBody(days360PostRequestBody?: Days360PostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeDays360PostRequestBody(writer: SerializationWriter, days360PostRequestBody?: Days360PostRequestBody | undefined): void;
