import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createDec2HexPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoDec2HexPostRequestBody;
export interface Dec2HexPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The number property
     */
    number?: Json;
    /**
     * The places property
     */
    places?: Json;
}
export declare function deserializeIntoDec2HexPostRequestBody(dec2HexPostRequestBody?: Dec2HexPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeDec2HexPostRequestBody(writer: SerializationWriter, dec2HexPostRequestBody?: Dec2HexPostRequestBody | undefined): void;
