import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createDecimalPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoDecimalPostRequestBody;
export interface DecimalPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The number property
     */
    number?: Json;
    /**
     * The radix property
     */
    radix?: Json;
}
export declare function deserializeIntoDecimalPostRequestBody(decimalPostRequestBody?: DecimalPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeDecimalPostRequestBody(writer: SerializationWriter, decimalPostRequestBody?: DecimalPostRequestBody | undefined): void;
