import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createDegreesPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoDegreesPostRequestBody;
export interface DegreesPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The angle property
     */
    angle?: Json;
}
export declare function deserializeIntoDegreesPostRequestBody(degreesPostRequestBody?: DegreesPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeDegreesPostRequestBody(writer: SerializationWriter, degreesPostRequestBody?: DegreesPostRequestBody | undefined): void;
