import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createDollarPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoDollarPostRequestBody;
export declare function deserializeIntoDollarPostRequestBody(dollarPostRequestBody?: DollarPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface DollarPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The decimals property
     */
    decimals?: Json;
    /**
     * The number property
     */
    number?: Json;
}
export declare function serializeDollarPostRequestBody(writer: SerializationWriter, dollarPostRequestBody?: DollarPostRequestBody | undefined): void;
