import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createDollarDePostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoDollarDePostRequestBody;
export declare function deserializeIntoDollarDePostRequestBody(dollarDePostRequestBody?: DollarDePostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface DollarDePostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The fraction property
     */
    fraction?: Json;
    /**
     * The fractionalDollar property
     */
    fractionalDollar?: Json;
}
export declare function serializeDollarDePostRequestBody(writer: SerializationWriter, dollarDePostRequestBody?: DollarDePostRequestBody | undefined): void;
