import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createDstDevPPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoDstDevPPostRequestBody;
export declare function deserializeIntoDstDevPPostRequestBody(dstDevPPostRequestBody?: DstDevPPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface DstDevPPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The criteria property
     */
    criteria?: Json;
    /**
     * The database property
     */
    database?: Json;
    /**
     * The field property
     */
    field?: Json;
}
export declare function serializeDstDevPPostRequestBody(writer: SerializationWriter, dstDevPPostRequestBody?: DstDevPPostRequestBody | undefined): void;
