import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createDsumPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoDsumPostRequestBody;
export declare function deserializeIntoDsumPostRequestBody(dsumPostRequestBody?: DsumPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface DsumPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The criteria property
     */
    criteria?: Json;
    /**
     * The database property
     */
    database?: Json;
    /**
     * The field property
     */
    field?: Json;
}
export declare function serializeDsumPostRequestBody(writer: SerializationWriter, dsumPostRequestBody?: DsumPostRequestBody | undefined): void;
