import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createEdatePostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoEdatePostRequestBody;
export declare function deserializeIntoEdatePostRequestBody(edatePostRequestBody?: EdatePostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface EdatePostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The months property
     */
    months?: Json;
    /**
     * The startDate property
     */
    startDate?: Json;
}
export declare function serializeEdatePostRequestBody(writer: SerializationWriter, edatePostRequestBody?: EdatePostRequestBody | undefined): void;
