import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createEoMonthPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoEoMonthPostRequestBody;
export declare function deserializeIntoEoMonthPostRequestBody(eoMonthPostRequestBody?: EoMonthPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface EoMonthPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The months property
     */
    months?: Json;
    /**
     * The startDate property
     */
    startDate?: Json;
}
export declare function serializeEoMonthPostRequestBody(writer: SerializationWriter, eoMonthPostRequestBody?: EoMonthPostRequestBody | undefined): void;
