import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createErf_PrecisePostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoErf_PrecisePostRequestBody;
export declare function deserializeIntoErf_PrecisePostRequestBody(erf_PrecisePostRequestBody?: Erf_PrecisePostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface Erf_PrecisePostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The X property
     */
    x?: Json;
}
export declare function serializeErf_PrecisePostRequestBody(writer: SerializationWriter, erf_PrecisePostRequestBody?: Erf_PrecisePostRequestBody | undefined): void;
