import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createError_TypePostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoError_TypePostRequestBody;
export declare function deserializeIntoError_TypePostRequestBody(error_TypePostRequestBody?: Error_TypePostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface Error_TypePostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The errorVal property
     */
    errorVal?: Json;
}
export declare function serializeError_TypePostRequestBody(writer: SerializationWriter, error_TypePostRequestBody?: Error_TypePostRequestBody | undefined): void;
