import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createExactPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoExactPostRequestBody;
export declare function deserializeIntoExactPostRequestBody(exactPostRequestBody?: ExactPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface ExactPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The text1 property
     */
    text1?: Json;
    /**
     * The text2 property
     */
    text2?: Json;
}
export declare function serializeExactPostRequestBody(writer: SerializationWriter, exactPostRequestBody?: ExactPostRequestBody | undefined): void;
