import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createFactPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoFactPostRequestBody;
export declare function deserializeIntoFactPostRequestBody(factPostRequestBody?: FactPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface FactPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The number property
     */
    number?: Json;
}
export declare function serializeFactPostRequestBody(writer: SerializationWriter, factPostRequestBody?: FactPostRequestBody | undefined): void;
