import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createFactDoublePostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoFactDoublePostRequestBody;
export declare function deserializeIntoFactDoublePostRequestBody(factDoublePostRequestBody?: FactDoublePostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface FactDoublePostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The number property
     */
    number?: Json;
}
export declare function serializeFactDoublePostRequestBody(writer: SerializationWriter, factDoublePostRequestBody?: FactDoublePostRequestBody | undefined): void;
