import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createFindPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoFindPostRequestBody;
export declare function deserializeIntoFindPostRequestBody(findPostRequestBody?: FindPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface FindPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The findText property
     */
    findText?: Json;
    /**
     * The startNum property
     */
    startNum?: Json;
    /**
     * The withinText property
     */
    withinText?: Json;
}
export declare function serializeFindPostRequestBody(writer: SerializationWriter, findPostRequestBody?: FindPostRequestBody | undefined): void;
