import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createFisherInvPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoFisherInvPostRequestBody;
export declare function deserializeIntoFisherInvPostRequestBody(fisherInvPostRequestBody?: FisherInvPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface FisherInvPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The y property
     */
    y?: Json;
}
export declare function serializeFisherInvPostRequestBody(writer: SerializationWriter, fisherInvPostRequestBody?: FisherInvPostRequestBody | undefined): void;
