import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createFixedPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoFixedPostRequestBody;
export declare function deserializeIntoFixedPostRequestBody(fixedPostRequestBody?: FixedPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface FixedPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The decimals property
     */
    decimals?: Json;
    /**
     * The noCommas property
     */
    noCommas?: Json;
    /**
     * The number property
     */
    number?: Json;
}
export declare function serializeFixedPostRequestBody(writer: SerializationWriter, fixedPostRequestBody?: FixedPostRequestBody | undefined): void;
