import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createFvschedulePostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoFvschedulePostRequestBody;
export declare function deserializeIntoFvschedulePostRequestBody(fvschedulePostRequestBody?: FvschedulePostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface FvschedulePostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The principal property
     */
    principal?: Json;
    /**
     * The schedule property
     */
    schedule?: Json;
}
export declare function serializeFvschedulePostRequestBody(writer: SerializationWriter, fvschedulePostRequestBody?: FvschedulePostRequestBody | undefined): void;
