import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createGammaLn_PrecisePostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoGammaLn_PrecisePostRequestBody;
export declare function deserializeIntoGammaLn_PrecisePostRequestBody(gammaLn_PrecisePostRequestBody?: GammaLn_PrecisePostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface GammaLn_PrecisePostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The x property
     */
    x?: Json;
}
export declare function serializeGammaLn_PrecisePostRequestBody(writer: SerializationWriter, gammaLn_PrecisePostRequestBody?: GammaLn_PrecisePostRequestBody | undefined): void;
