import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createGamma_InvPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoGamma_InvPostRequestBody;
export declare function deserializeIntoGamma_InvPostRequestBody(gamma_InvPostRequestBody?: Gamma_InvPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface Gamma_InvPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The alpha property
     */
    alpha?: Json;
    /**
     * The beta property
     */
    beta?: Json;
    /**
     * The probability property
     */
    probability?: Json;
}
export declare function serializeGamma_InvPostRequestBody(writer: SerializationWriter, gamma_InvPostRequestBody?: Gamma_InvPostRequestBody | undefined): void;
