import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createGcdPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoGcdPostRequestBody;
export declare function deserializeIntoGcdPostRequestBody(gcdPostRequestBody?: GcdPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface GcdPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The values property
     */
    values?: Json;
}
export declare function serializeGcdPostRequestBody(writer: SerializationWriter, gcdPostRequestBody?: GcdPostRequestBody | undefined): void;
