import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createGeStepPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoGeStepPostRequestBody;
export declare function deserializeIntoGeStepPostRequestBody(geStepPostRequestBody?: GeStepPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface GeStepPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The number property
     */
    number?: Json;
    /**
     * The step property
     */
    step?: Json;
}
export declare function serializeGeStepPostRequestBody(writer: SerializationWriter, geStepPostRequestBody?: GeStepPostRequestBody | undefined): void;
