import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createHex2BinPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoHex2BinPostRequestBody;
export declare function deserializeIntoHex2BinPostRequestBody(hex2BinPostRequestBody?: Hex2BinPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface Hex2BinPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The number property
     */
    number?: Json;
    /**
     * The places property
     */
    places?: Json;
}
export declare function serializeHex2BinPostRequestBody(writer: SerializationWriter, hex2BinPostRequestBody?: Hex2BinPostRequestBody | undefined): void;
