import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createHourPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoHourPostRequestBody;
export declare function deserializeIntoHourPostRequestBody(hourPostRequestBody?: HourPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface HourPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The serialNumber property
     */
    serialNumber?: Json;
}
export declare function serializeHourPostRequestBody(writer: SerializationWriter, hourPostRequestBody?: HourPostRequestBody | undefined): void;
