import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createHypGeom_DistPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoHypGeom_DistPostRequestBody;
export declare function deserializeIntoHypGeom_DistPostRequestBody(hypGeom_DistPostRequestBody?: HypGeom_DistPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface HypGeom_DistPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The cumulative property
     */
    cumulative?: Json;
    /**
     * The numberPop property
     */
    numberPop?: Json;
    /**
     * The numberSample property
     */
    numberSample?: Json;
    /**
     * The populationS property
     */
    populationS?: Json;
    /**
     * The sampleS property
     */
    sampleS?: Json;
}
export declare function serializeHypGeom_DistPostRequestBody(writer: SerializationWriter, hypGeom_DistPostRequestBody?: HypGeom_DistPostRequestBody | undefined): void;
