import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createImAbsPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoImAbsPostRequestBody;
export declare function deserializeIntoImAbsPostRequestBody(imAbsPostRequestBody?: ImAbsPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface ImAbsPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The inumber property
     */
    inumber?: Json;
}
export declare function serializeImAbsPostRequestBody(writer: SerializationWriter, imAbsPostRequestBody?: ImAbsPostRequestBody | undefined): void;
