import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createImArgumentPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoImArgumentPostRequestBody;
export declare function deserializeIntoImArgumentPostRequestBody(imArgumentPostRequestBody?: ImArgumentPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface ImArgumentPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The inumber property
     */
    inumber?: Json;
}
export declare function serializeImArgumentPostRequestBody(writer: SerializationWriter, imArgumentPostRequestBody?: ImArgumentPostRequestBody | undefined): void;
