import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createImCoshPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoImCoshPostRequestBody;
export declare function deserializeIntoImCoshPostRequestBody(imCoshPostRequestBody?: ImCoshPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface ImCoshPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The inumber property
     */
    inumber?: Json;
}
export declare function serializeImCoshPostRequestBody(writer: SerializationWriter, imCoshPostRequestBody?: ImCoshPostRequestBody | undefined): void;
