import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createImExpPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoImExpPostRequestBody;
export declare function deserializeIntoImExpPostRequestBody(imExpPostRequestBody?: ImExpPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface ImExpPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The inumber property
     */
    inumber?: Json;
}
export declare function serializeImExpPostRequestBody(writer: SerializationWriter, imExpPostRequestBody?: ImExpPostRequestBody | undefined): void;
