import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createImPowerPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoImPowerPostRequestBody;
export declare function deserializeIntoImPowerPostRequestBody(imPowerPostRequestBody?: ImPowerPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface ImPowerPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The inumber property
     */
    inumber?: Json;
    /**
     * The number property
     */
    number?: Json;
}
export declare function serializeImPowerPostRequestBody(writer: SerializationWriter, imPowerPostRequestBody?: ImPowerPostRequestBody | undefined): void;
