import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createImProductPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoImProductPostRequestBody;
export declare function deserializeIntoImProductPostRequestBody(imProductPostRequestBody?: ImProductPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface ImProductPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The values property
     */
    values?: Json;
}
export declare function serializeImProductPostRequestBody(writer: SerializationWriter, imProductPostRequestBody?: ImProductPostRequestBody | undefined): void;
