import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createImRealPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoImRealPostRequestBody;
export declare function deserializeIntoImRealPostRequestBody(imRealPostRequestBody?: ImRealPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface ImRealPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The inumber property
     */
    inumber?: Json;
}
export declare function serializeImRealPostRequestBody(writer: SerializationWriter, imRealPostRequestBody?: ImRealPostRequestBody | undefined): void;
