import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createImSecPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoImSecPostRequestBody;
export declare function deserializeIntoImSecPostRequestBody(imSecPostRequestBody?: ImSecPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface ImSecPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The inumber property
     */
    inumber?: Json;
}
export declare function serializeImSecPostRequestBody(writer: SerializationWriter, imSecPostRequestBody?: ImSecPostRequestBody | undefined): void;
