import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createImSqrtPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoImSqrtPostRequestBody;
export declare function deserializeIntoImSqrtPostRequestBody(imSqrtPostRequestBody?: ImSqrtPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface ImSqrtPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The inumber property
     */
    inumber?: Json;
}
export declare function serializeImSqrtPostRequestBody(writer: SerializationWriter, imSqrtPostRequestBody?: ImSqrtPostRequestBody | undefined): void;
