import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createIntPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoIntPostRequestBody;
export declare function deserializeIntoIntPostRequestBody(intPostRequestBody?: IntPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface IntPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The number property
     */
    number?: Json;
}
export declare function serializeIntPostRequestBody(writer: SerializationWriter, intPostRequestBody?: IntPostRequestBody | undefined): void;
