import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createIsEvenPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoIsEvenPostRequestBody;
export declare function deserializeIntoIsEvenPostRequestBody(isEvenPostRequestBody?: IsEvenPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface IsEvenPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The number property
     */
    number?: Json;
}
export declare function serializeIsEvenPostRequestBody(writer: SerializationWriter, isEvenPostRequestBody?: IsEvenPostRequestBody | undefined): void;
