import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createIsLogicalPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoIsLogicalPostRequestBody;
export declare function deserializeIntoIsLogicalPostRequestBody(isLogicalPostRequestBody?: IsLogicalPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface IsLogicalPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The value property
     */
    value?: Json;
}
export declare function serializeIsLogicalPostRequestBody(writer: SerializationWriter, isLogicalPostRequestBody?: IsLogicalPostRequestBody | undefined): void;
