import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createIsTextPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoIsTextPostRequestBody;
export declare function deserializeIntoIsTextPostRequestBody(isTextPostRequestBody?: IsTextPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface IsTextPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The value property
     */
    value?: Json;
}
export declare function serializeIsTextPostRequestBody(writer: SerializationWriter, isTextPostRequestBody?: IsTextPostRequestBody | undefined): void;
