import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createIso_CeilingPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoIso_CeilingPostRequestBody;
export declare function deserializeIntoIso_CeilingPostRequestBody(iso_CeilingPostRequestBody?: Iso_CeilingPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface Iso_CeilingPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The number property
     */
    number?: Json;
    /**
     * The significance property
     */
    significance?: Json;
}
export declare function serializeIso_CeilingPostRequestBody(writer: SerializationWriter, iso_CeilingPostRequestBody?: Iso_CeilingPostRequestBody | undefined): void;
