import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createIsrefPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoIsrefPostRequestBody;
export declare function deserializeIntoIsrefPostRequestBody(isrefPostRequestBody?: IsrefPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface IsrefPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The value property
     */
    value?: Json;
}
export declare function serializeIsrefPostRequestBody(writer: SerializationWriter, isrefPostRequestBody?: IsrefPostRequestBody | undefined): void;
