import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createLargePostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoLargePostRequestBody;
export declare function deserializeIntoLargePostRequestBody(largePostRequestBody?: LargePostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface LargePostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The array property
     */
    array?: Json;
    /**
     * The k property
     */
    k?: Json;
}
export declare function serializeLargePostRequestBody(writer: SerializationWriter, largePostRequestBody?: LargePostRequestBody | undefined): void;
