import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createLookupPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoLookupPostRequestBody;
export declare function deserializeIntoLookupPostRequestBody(lookupPostRequestBody?: LookupPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface LookupPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The lookupValue property
     */
    lookupValue?: Json;
    /**
     * The lookupVector property
     */
    lookupVector?: Json;
    /**
     * The resultVector property
     */
    resultVector?: Json;
}
export declare function serializeLookupPostRequestBody(writer: SerializationWriter, lookupPostRequestBody?: LookupPostRequestBody | undefined): void;
