import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createMaxAPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoMaxAPostRequestBody;
export declare function deserializeIntoMaxAPostRequestBody(maxAPostRequestBody?: MaxAPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface MaxAPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The values property
     */
    values?: Json;
}
export declare function serializeMaxAPostRequestBody(writer: SerializationWriter, maxAPostRequestBody?: MaxAPostRequestBody | undefined): void;
