import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createMinPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoMinPostRequestBody;
export declare function deserializeIntoMinPostRequestBody(minPostRequestBody?: MinPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface MinPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The values property
     */
    values?: Json;
}
export declare function serializeMinPostRequestBody(writer: SerializationWriter, minPostRequestBody?: MinPostRequestBody | undefined): void;
