import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createNPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoNPostRequestBody;
export declare function deserializeIntoNPostRequestBody(nPostRequestBody?: NPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface NPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The value property
     */
    value?: Json;
}
export declare function serializeNPostRequestBody(writer: SerializationWriter, nPostRequestBody?: NPostRequestBody | undefined): void;
