import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createNetworkDaysPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoNetworkDaysPostRequestBody;
export declare function deserializeIntoNetworkDaysPostRequestBody(networkDaysPostRequestBody?: NetworkDaysPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface NetworkDaysPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The endDate property
     */
    endDate?: Json;
    /**
     * The holidays property
     */
    holidays?: Json;
    /**
     * The startDate property
     */
    startDate?: Json;
}
export declare function serializeNetworkDaysPostRequestBody(writer: SerializationWriter, networkDaysPostRequestBody?: NetworkDaysPostRequestBody | undefined): void;
