import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createNetworkDays_IntlPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoNetworkDays_IntlPostRequestBody;
export declare function deserializeIntoNetworkDays_IntlPostRequestBody(networkDays_IntlPostRequestBody?: NetworkDays_IntlPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface NetworkDays_IntlPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The endDate property
     */
    endDate?: Json;
    /**
     * The holidays property
     */
    holidays?: Json;
    /**
     * The startDate property
     */
    startDate?: Json;
    /**
     * The weekend property
     */
    weekend?: Json;
}
export declare function serializeNetworkDays_IntlPostRequestBody(writer: SerializationWriter, networkDays_IntlPostRequestBody?: NetworkDays_IntlPostRequestBody | undefined): void;
