import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createNorm_DistPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoNorm_DistPostRequestBody;
export declare function deserializeIntoNorm_DistPostRequestBody(norm_DistPostRequestBody?: Norm_DistPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface Norm_DistPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The cumulative property
     */
    cumulative?: Json;
    /**
     * The mean property
     */
    mean?: Json;
    /**
     * The standardDev property
     */
    standardDev?: Json;
    /**
     * The x property
     */
    x?: Json;
}
export declare function serializeNorm_DistPostRequestBody(writer: SerializationWriter, norm_DistPostRequestBody?: Norm_DistPostRequestBody | undefined): void;
