import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createNorm_S_InvPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoNorm_S_InvPostRequestBody;
export declare function deserializeIntoNorm_S_InvPostRequestBody(norm_S_InvPostRequestBody?: Norm_S_InvPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface Norm_S_InvPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The probability property
     */
    probability?: Json;
}
export declare function serializeNorm_S_InvPostRequestBody(writer: SerializationWriter, norm_S_InvPostRequestBody?: Norm_S_InvPostRequestBody | undefined): void;
