import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createNpvPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoNpvPostRequestBody;
export declare function deserializeIntoNpvPostRequestBody(npvPostRequestBody?: NpvPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface NpvPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The rate property
     */
    rate?: Json;
    /**
     * The values property
     */
    values?: Json;
}
export declare function serializeNpvPostRequestBody(writer: SerializationWriter, npvPostRequestBody?: NpvPostRequestBody | undefined): void;
