import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createNumberValuePostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoNumberValuePostRequestBody;
export declare function deserializeIntoNumberValuePostRequestBody(numberValuePostRequestBody?: NumberValuePostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface NumberValuePostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The decimalSeparator property
     */
    decimalSeparator?: Json;
    /**
     * The groupSeparator property
     */
    groupSeparator?: Json;
    /**
     * The text property
     */
    text?: Json;
}
export declare function serializeNumberValuePostRequestBody(writer: SerializationWriter, numberValuePostRequestBody?: NumberValuePostRequestBody | undefined): void;
