import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createOddPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoOddPostRequestBody;
export declare function deserializeIntoOddPostRequestBody(oddPostRequestBody?: OddPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface OddPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The number property
     */
    number?: Json;
}
export declare function serializeOddPostRequestBody(writer: SerializationWriter, oddPostRequestBody?: OddPostRequestBody | undefined): void;
