import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createPercentile_IncPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoPercentile_IncPostRequestBody;
export declare function deserializeIntoPercentile_IncPostRequestBody(percentile_IncPostRequestBody?: Percentile_IncPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface Percentile_IncPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The array property
     */
    array?: Json;
    /**
     * The k property
     */
    k?: Json;
}
export declare function serializePercentile_IncPostRequestBody(writer: SerializationWriter, percentile_IncPostRequestBody?: Percentile_IncPostRequestBody | undefined): void;
