import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createPermutationaPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoPermutationaPostRequestBody;
export declare function deserializeIntoPermutationaPostRequestBody(permutationaPostRequestBody?: PermutationaPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface PermutationaPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The number property
     */
    number?: Json;
    /**
     * The numberChosen property
     */
    numberChosen?: Json;
}
export declare function serializePermutationaPostRequestBody(writer: SerializationWriter, permutationaPostRequestBody?: PermutationaPostRequestBody | undefined): void;
