import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createPhiPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoPhiPostRequestBody;
export declare function deserializeIntoPhiPostRequestBody(phiPostRequestBody?: PhiPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface PhiPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The x property
     */
    x?: Json;
}
export declare function serializePhiPostRequestBody(writer: SerializationWriter, phiPostRequestBody?: PhiPostRequestBody | undefined): void;
