import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createProperPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoProperPostRequestBody;
export declare function deserializeIntoProperPostRequestBody(properPostRequestBody?: ProperPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface ProperPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The text property
     */
    text?: Json;
}
export declare function serializeProperPostRequestBody(writer: SerializationWriter, properPostRequestBody?: ProperPostRequestBody | undefined): void;
