import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createQuotientPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoQuotientPostRequestBody;
export declare function deserializeIntoQuotientPostRequestBody(quotientPostRequestBody?: QuotientPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface QuotientPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The denominator property
     */
    denominator?: Json;
    /**
     * The numerator property
     */
    numerator?: Json;
}
export declare function serializeQuotientPostRequestBody(writer: SerializationWriter, quotientPostRequestBody?: QuotientPostRequestBody | undefined): void;
