import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createRadiansPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoRadiansPostRequestBody;
export declare function deserializeIntoRadiansPostRequestBody(radiansPostRequestBody?: RadiansPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface RadiansPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The angle property
     */
    angle?: Json;
}
export declare function serializeRadiansPostRequestBody(writer: SerializationWriter, radiansPostRequestBody?: RadiansPostRequestBody | undefined): void;
