import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createRandBetweenPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoRandBetweenPostRequestBody;
export declare function deserializeIntoRandBetweenPostRequestBody(randBetweenPostRequestBody?: RandBetweenPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface RandBetweenPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The bottom property
     */
    bottom?: Json;
    /**
     * The top property
     */
    top?: Json;
}
export declare function serializeRandBetweenPostRequestBody(writer: SerializationWriter, randBetweenPostRequestBody?: RandBetweenPostRequestBody | undefined): void;
