import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createReptPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoReptPostRequestBody;
export declare function deserializeIntoReptPostRequestBody(reptPostRequestBody?: ReptPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface ReptPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The numberTimes property
     */
    numberTimes?: Json;
    /**
     * The text property
     */
    text?: Json;
}
export declare function serializeReptPostRequestBody(writer: SerializationWriter, reptPostRequestBody?: ReptPostRequestBody | undefined): void;
