import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createRoundPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoRoundPostRequestBody;
export declare function deserializeIntoRoundPostRequestBody(roundPostRequestBody?: RoundPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface RoundPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The number property
     */
    number?: Json;
    /**
     * The numDigits property
     */
    numDigits?: Json;
}
export declare function serializeRoundPostRequestBody(writer: SerializationWriter, roundPostRequestBody?: RoundPostRequestBody | undefined): void;
