import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createRoundDownPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoRoundDownPostRequestBody;
export declare function deserializeIntoRoundDownPostRequestBody(roundDownPostRequestBody?: RoundDownPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface RoundDownPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The number property
     */
    number?: Json;
    /**
     * The numDigits property
     */
    numDigits?: Json;
}
export declare function serializeRoundDownPostRequestBody(writer: SerializationWriter, roundDownPostRequestBody?: RoundDownPostRequestBody | undefined): void;
