import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createRoundUpPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoRoundUpPostRequestBody;
export declare function deserializeIntoRoundUpPostRequestBody(roundUpPostRequestBody?: RoundUpPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface RoundUpPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The number property
     */
    number?: Json;
    /**
     * The numDigits property
     */
    numDigits?: Json;
}
export declare function serializeRoundUpPostRequestBody(writer: SerializationWriter, roundUpPostRequestBody?: RoundUpPostRequestBody | undefined): void;
