import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createRowsPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoRowsPostRequestBody;
export declare function deserializeIntoRowsPostRequestBody(rowsPostRequestBody?: RowsPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface RowsPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The array property
     */
    array?: Json;
}
export declare function serializeRowsPostRequestBody(writer: SerializationWriter, rowsPostRequestBody?: RowsPostRequestBody | undefined): void;
