import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createSheetPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoSheetPostRequestBody;
export declare function deserializeIntoSheetPostRequestBody(sheetPostRequestBody?: SheetPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeSheetPostRequestBody(writer: SerializationWriter, sheetPostRequestBody?: SheetPostRequestBody | undefined): void;
export interface SheetPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The value property
     */
    value?: Json;
}
