import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createSignPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoSignPostRequestBody;
export declare function deserializeIntoSignPostRequestBody(signPostRequestBody?: SignPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeSignPostRequestBody(writer: SerializationWriter, signPostRequestBody?: SignPostRequestBody | undefined): void;
export interface SignPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The number property
     */
    number?: Json;
}
