import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createSinPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoSinPostRequestBody;
export declare function deserializeIntoSinPostRequestBody(sinPostRequestBody?: SinPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeSinPostRequestBody(writer: SerializationWriter, sinPostRequestBody?: SinPostRequestBody | undefined): void;
export interface SinPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The number property
     */
    number?: Json;
}
