import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createSinhPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoSinhPostRequestBody;
export declare function deserializeIntoSinhPostRequestBody(sinhPostRequestBody?: SinhPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeSinhPostRequestBody(writer: SerializationWriter, sinhPostRequestBody?: SinhPostRequestBody | undefined): void;
export interface SinhPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The number property
     */
    number?: Json;
}
