import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createStDev_PPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoStDev_PPostRequestBody;
export declare function deserializeIntoStDev_PPostRequestBody(stDev_PPostRequestBody?: StDev_PPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeStDev_PPostRequestBody(writer: SerializationWriter, stDev_PPostRequestBody?: StDev_PPostRequestBody | undefined): void;
export interface StDev_PPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The values property
     */
    values?: Json;
}
