import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createSubstitutePostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoSubstitutePostRequestBody;
export declare function deserializeIntoSubstitutePostRequestBody(substitutePostRequestBody?: SubstitutePostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeSubstitutePostRequestBody(writer: SerializationWriter, substitutePostRequestBody?: SubstitutePostRequestBody | undefined): void;
export interface SubstitutePostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The instanceNum property
     */
    instanceNum?: Json;
    /**
     * The newText property
     */
    newText?: Json;
    /**
     * The oldText property
     */
    oldText?: Json;
    /**
     * The text property
     */
    text?: Json;
}
