import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createSumPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoSumPostRequestBody;
export declare function deserializeIntoSumPostRequestBody(sumPostRequestBody?: SumPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeSumPostRequestBody(writer: SerializationWriter, sumPostRequestBody?: SumPostRequestBody | undefined): void;
export interface SumPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The values property
     */
    values?: Json;
}
