import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createSydPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoSydPostRequestBody;
export declare function deserializeIntoSydPostRequestBody(sydPostRequestBody?: SydPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeSydPostRequestBody(writer: SerializationWriter, sydPostRequestBody?: SydPostRequestBody | undefined): void;
export interface SydPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The cost property
     */
    cost?: Json;
    /**
     * The life property
     */
    life?: Json;
    /**
     * The per property
     */
    per?: Json;
    /**
     * The salvage property
     */
    salvage?: Json;
}
