import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createTPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoTPostRequestBody;
export declare function deserializeIntoTPostRequestBody(tPostRequestBody?: TPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeTPostRequestBody(writer: SerializationWriter, tPostRequestBody?: TPostRequestBody | undefined): void;
export interface TPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The value property
     */
    value?: Json;
}
