import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createT_DistPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoT_DistPostRequestBody;
export declare function deserializeIntoT_DistPostRequestBody(t_DistPostRequestBody?: T_DistPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeT_DistPostRequestBody(writer: SerializationWriter, t_DistPostRequestBody?: T_DistPostRequestBody | undefined): void;
export interface T_DistPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The cumulative property
     */
    cumulative?: Json;
    /**
     * The degFreedom property
     */
    degFreedom?: Json;
    /**
     * The x property
     */
    x?: Json;
}
