import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createT_Dist_RTPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoT_Dist_RTPostRequestBody;
export declare function deserializeIntoT_Dist_RTPostRequestBody(t_Dist_RTPostRequestBody?: T_Dist_RTPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeT_Dist_RTPostRequestBody(writer: SerializationWriter, t_Dist_RTPostRequestBody?: T_Dist_RTPostRequestBody | undefined): void;
export interface T_Dist_RTPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The degFreedom property
     */
    degFreedom?: Json;
    /**
     * The x property
     */
    x?: Json;
}
