import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createT_InvPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoT_InvPostRequestBody;
export declare function deserializeIntoT_InvPostRequestBody(t_InvPostRequestBody?: T_InvPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeT_InvPostRequestBody(writer: SerializationWriter, t_InvPostRequestBody?: T_InvPostRequestBody | undefined): void;
export interface T_InvPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The degFreedom property
     */
    degFreedom?: Json;
    /**
     * The probability property
     */
    probability?: Json;
}
