import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createT_Inv_2TPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoT_Inv_2TPostRequestBody;
export declare function deserializeIntoT_Inv_2TPostRequestBody(t_Inv_2TPostRequestBody?: T_Inv_2TPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeT_Inv_2TPostRequestBody(writer: SerializationWriter, t_Inv_2TPostRequestBody?: T_Inv_2TPostRequestBody | undefined): void;
export interface T_Inv_2TPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The degFreedom property
     */
    degFreedom?: Json;
    /**
     * The probability property
     */
    probability?: Json;
}
