import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createTbillEqPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoTbillEqPostRequestBody;
export declare function deserializeIntoTbillEqPostRequestBody(tbillEqPostRequestBody?: TbillEqPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeTbillEqPostRequestBody(writer: SerializationWriter, tbillEqPostRequestBody?: TbillEqPostRequestBody | undefined): void;
export interface TbillEqPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The discount property
     */
    discount?: Json;
    /**
     * The maturity property
     */
    maturity?: Json;
    /**
     * The settlement property
     */
    settlement?: Json;
}
