import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createTbillPricePostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoTbillPricePostRequestBody;
export declare function deserializeIntoTbillPricePostRequestBody(tbillPricePostRequestBody?: TbillPricePostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeTbillPricePostRequestBody(writer: SerializationWriter, tbillPricePostRequestBody?: TbillPricePostRequestBody | undefined): void;
export interface TbillPricePostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The discount property
     */
    discount?: Json;
    /**
     * The maturity property
     */
    maturity?: Json;
    /**
     * The settlement property
     */
    settlement?: Json;
}
