import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createTimePostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoTimePostRequestBody;
export declare function deserializeIntoTimePostRequestBody(timePostRequestBody?: TimePostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeTimePostRequestBody(writer: SerializationWriter, timePostRequestBody?: TimePostRequestBody | undefined): void;
export interface TimePostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The hour property
     */
    hour?: Json;
    /**
     * The minute property
     */
    minute?: Json;
    /**
     * The second property
     */
    second?: Json;
}
