import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createTypePostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoTypePostRequestBody;
export declare function deserializeIntoTypePostRequestBody(typePostRequestBody?: TypePostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeTypePostRequestBody(writer: SerializationWriter, typePostRequestBody?: TypePostRequestBody | undefined): void;
export interface TypePostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The value property
     */
    value?: Json;
}
