import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createUnicharPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoUnicharPostRequestBody;
export declare function deserializeIntoUnicharPostRequestBody(unicharPostRequestBody?: UnicharPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeUnicharPostRequestBody(writer: SerializationWriter, unicharPostRequestBody?: UnicharPostRequestBody | undefined): void;
export interface UnicharPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The number property
     */
    number?: Json;
}
