import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createUnicodePostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoUnicodePostRequestBody;
export declare function deserializeIntoUnicodePostRequestBody(unicodePostRequestBody?: UnicodePostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeUnicodePostRequestBody(writer: SerializationWriter, unicodePostRequestBody?: UnicodePostRequestBody | undefined): void;
export interface UnicodePostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The text property
     */
    text?: Json;
}
