import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createVarPAPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoVarPAPostRequestBody;
export declare function deserializeIntoVarPAPostRequestBody(varPAPostRequestBody?: VarPAPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeVarPAPostRequestBody(writer: SerializationWriter, varPAPostRequestBody?: VarPAPostRequestBody | undefined): void;
export interface VarPAPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The values property
     */
    values?: Json;
}
