import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createVlookupPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoVlookupPostRequestBody;
export declare function deserializeIntoVlookupPostRequestBody(vlookupPostRequestBody?: VlookupPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeVlookupPostRequestBody(writer: SerializationWriter, vlookupPostRequestBody?: VlookupPostRequestBody | undefined): void;
export interface VlookupPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The colIndexNum property
     */
    colIndexNum?: Json;
    /**
     * The lookupValue property
     */
    lookupValue?: Json;
    /**
     * The rangeLookup property
     */
    rangeLookup?: Json;
    /**
     * The tableArray property
     */
    tableArray?: Json;
}
