import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createWeekdayPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoWeekdayPostRequestBody;
export declare function deserializeIntoWeekdayPostRequestBody(weekdayPostRequestBody?: WeekdayPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeWeekdayPostRequestBody(writer: SerializationWriter, weekdayPostRequestBody?: WeekdayPostRequestBody | undefined): void;
export interface WeekdayPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The returnType property
     */
    returnType?: Json;
    /**
     * The serialNumber property
     */
    serialNumber?: Json;
}
