import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createWorkDayPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoWorkDayPostRequestBody;
export declare function deserializeIntoWorkDayPostRequestBody(workDayPostRequestBody?: WorkDayPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeWorkDayPostRequestBody(writer: SerializationWriter, workDayPostRequestBody?: WorkDayPostRequestBody | undefined): void;
export interface WorkDayPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The days property
     */
    days?: Json;
    /**
     * The holidays property
     */
    holidays?: Json;
    /**
     * The startDate property
     */
    startDate?: Json;
}
