import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createXnpvPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoXnpvPostRequestBody;
export declare function deserializeIntoXnpvPostRequestBody(xnpvPostRequestBody?: XnpvPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeXnpvPostRequestBody(writer: SerializationWriter, xnpvPostRequestBody?: XnpvPostRequestBody | undefined): void;
export interface XnpvPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The dates property
     */
    dates?: Json;
    /**
     * The rate property
     */
    rate?: Json;
    /**
     * The values property
     */
    values?: Json;
}
