"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeAddFormulaLocalPostRequestBody = exports.deserializeIntoAddFormulaLocalPostRequestBody = exports.createAddFormulaLocalPostRequestBodyFromDiscriminatorValue = void 0;
function createAddFormulaLocalPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoAddFormulaLocalPostRequestBody;
}
exports.createAddFormulaLocalPostRequestBodyFromDiscriminatorValue = createAddFormulaLocalPostRequestBodyFromDiscriminatorValue;
function deserializeIntoAddFormulaLocalPostRequestBody(addFormulaLocalPostRequestBody = {}) {
    return {
        "comment": n => { addFormulaLocalPostRequestBody.comment = n.getStringValue(); },
        "formula": n => { addFormulaLocalPostRequestBody.formula = n.getStringValue(); },
        "name": n => { addFormulaLocalPostRequestBody.name = n.getStringValue(); },
    };
}
exports.deserializeIntoAddFormulaLocalPostRequestBody = deserializeIntoAddFormulaLocalPostRequestBody;
function serializeAddFormulaLocalPostRequestBody(writer, addFormulaLocalPostRequestBody = {}) {
    writer.writeStringValue("comment", addFormulaLocalPostRequestBody.comment);
    writer.writeStringValue("formula", addFormulaLocalPostRequestBody.formula);
    writer.writeStringValue("name", addFormulaLocalPostRequestBody.name);
    writer.writeAdditionalData(addFormulaLocalPostRequestBody.additionalData);
}
exports.serializeAddFormulaLocalPostRequestBody = serializeAddFormulaLocalPostRequestBody;
// tslint:enable
// eslint-enable
