import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface ApplyTopItemsFilterPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The count property
     */
    count?: number;
}
export declare function createApplyTopItemsFilterPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoApplyTopItemsFilterPostRequestBody;
export declare function deserializeIntoApplyTopItemsFilterPostRequestBody(applyTopItemsFilterPostRequestBody?: ApplyTopItemsFilterPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeApplyTopItemsFilterPostRequestBody(writer: SerializationWriter, applyTopItemsFilterPostRequestBody?: ApplyTopItemsFilterPostRequestBody | undefined): void;
