import { type Json } from '../../../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AddPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The seriesBy property
     */
    seriesBy?: string;
    /**
     * The sourceData property
     */
    sourceData?: Json;
    /**
     * The type property
     */
    type?: string;
}
export declare function createAddPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAddPostRequestBody;
export declare function deserializeIntoAddPostRequestBody(addPostRequestBody?: AddPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAddPostRequestBody(writer: SerializationWriter, addPostRequestBody?: AddPostRequestBody | undefined): void;
