import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createImageWithWidthGetResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoImageWithWidthGetResponse;
export declare function deserializeIntoImageWithWidthGetResponse(imageWithWidthGetResponse?: ImageWithWidthGetResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface ImageWithWidthGetResponse extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The value property
     */
    value?: string;
}
export declare function serializeImageWithWidthGetResponse(writer: SerializationWriter, imageWithWidthGetResponse?: ImageWithWidthGetResponse | undefined): void;
