import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface CountGetResponse extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The value property
     */
    value?: number;
}
export declare function createCountGetResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoCountGetResponse;
export declare function deserializeIntoCountGetResponse(countGetResponse?: CountGetResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeCountGetResponse(writer: SerializationWriter, countGetResponse?: CountGetResponse | undefined): void;
