import { type WorkbookWorksheetProtectionOptions } from '../../../../../../../../../models/workbookWorksheetProtectionOptions';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createProtectPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoProtectPostRequestBody;
export declare function deserializeIntoProtectPostRequestBody(protectPostRequestBody?: ProtectPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface ProtectPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The options property
     */
    options?: WorkbookWorksheetProtectionOptions;
}
export declare function serializeProtectPostRequestBody(writer: SerializationWriter, protectPostRequestBody?: ProtectPostRequestBody | undefined): void;
