"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeAddPostRequestBody = exports.deserializeIntoAddPostRequestBody = exports.createAddPostRequestBodyFromDiscriminatorValue = void 0;
function createAddPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoAddPostRequestBody;
}
exports.createAddPostRequestBodyFromDiscriminatorValue = createAddPostRequestBodyFromDiscriminatorValue;
function deserializeIntoAddPostRequestBody(addPostRequestBody = {}) {
    return {
        "address": n => { addPostRequestBody.address = n.getStringValue(); },
        "hasHeaders": n => { addPostRequestBody.hasHeaders = n.getBooleanValue(); },
    };
}
exports.deserializeIntoAddPostRequestBody = deserializeIntoAddPostRequestBody;
function serializeAddPostRequestBody(writer, addPostRequestBody = {}) {
    writer.writeStringValue("address", addPostRequestBody.address);
    writer.writeBooleanValue("hasHeaders", addPostRequestBody.hasHeaders);
    writer.writeAdditionalData(addPostRequestBody.additionalData);
}
exports.serializeAddPostRequestBody = serializeAddPostRequestBody;
// tslint:enable
// eslint-enable
