import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface ApplyCellColorFilterPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The color property
     */
    color?: string;
}
export declare function createApplyCellColorFilterPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoApplyCellColorFilterPostRequestBody;
export declare function deserializeIntoApplyCellColorFilterPostRequestBody(applyCellColorFilterPostRequestBody?: ApplyCellColorFilterPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeApplyCellColorFilterPostRequestBody(writer: SerializationWriter, applyCellColorFilterPostRequestBody?: ApplyCellColorFilterPostRequestBody | undefined): void;
