import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface ApplyDynamicFilterPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The criteria property
     */
    criteria?: string;
}
export declare function createApplyDynamicFilterPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoApplyDynamicFilterPostRequestBody;
export declare function deserializeIntoApplyDynamicFilterPostRequestBody(applyDynamicFilterPostRequestBody?: ApplyDynamicFilterPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeApplyDynamicFilterPostRequestBody(writer: SerializationWriter, applyDynamicFilterPostRequestBody?: ApplyDynamicFilterPostRequestBody | undefined): void;
