import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface ApplyTopPercentFilterPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The percent property
     */
    percent?: number;
}
export declare function createApplyTopPercentFilterPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoApplyTopPercentFilterPostRequestBody;
export declare function deserializeIntoApplyTopPercentFilterPostRequestBody(applyTopPercentFilterPostRequestBody?: ApplyTopPercentFilterPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeApplyTopPercentFilterPostRequestBody(writer: SerializationWriter, applyTopPercentFilterPostRequestBody?: ApplyTopPercentFilterPostRequestBody | undefined): void;
