import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AddCopyPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The contentType property
     */
    contentType?: string;
}
export declare function createAddCopyPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAddCopyPostRequestBody;
export declare function deserializeIntoAddCopyPostRequestBody(addCopyPostRequestBody?: AddCopyPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAddCopyPostRequestBody(writer: SerializationWriter, addCopyPostRequestBody?: AddCopyPostRequestBody | undefined): void;
