import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface CheckMemberObjectsPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The ids property
     */
    ids?: string[];
}
export declare function createCheckMemberObjectsPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoCheckMemberObjectsPostRequestBody;
export declare function deserializeIntoCheckMemberObjectsPostRequestBody(checkMemberObjectsPostRequestBody?: CheckMemberObjectsPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeCheckMemberObjectsPostRequestBody(writer: SerializationWriter, checkMemberObjectsPostRequestBody?: CheckMemberObjectsPostRequestBody | undefined): void;
