import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AddGroupPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The groupId property
     */
    groupId?: string;
}
export declare function createAddGroupPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAddGroupPostRequestBody;
export declare function deserializeIntoAddGroupPostRequestBody(addGroupPostRequestBody?: AddGroupPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAddGroupPostRequestBody(writer: SerializationWriter, addGroupPostRequestBody?: AddGroupPostRequestBody | undefined): void;
