import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AddGroupPostResponse extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The value property
     */
    value?: boolean;
}
export declare function createAddGroupPostResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAddGroupPostResponse;
export declare function deserializeIntoAddGroupPostResponse(addGroupPostResponse?: AddGroupPostResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAddGroupPostResponse(writer: SerializationWriter, addGroupPostResponse?: AddGroupPostResponse | undefined): void;
