import { type ItemReference } from '../../../../../../../../../models/itemReference';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface CopyToDefaultContentLocationPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The destinationFileName property
     */
    destinationFileName?: string;
    /**
     * The sourceFile property
     */
    sourceFile?: ItemReference;
}
export declare function createCopyToDefaultContentLocationPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoCopyToDefaultContentLocationPostRequestBody;
export declare function deserializeIntoCopyToDefaultContentLocationPostRequestBody(copyToDefaultContentLocationPostRequestBody?: CopyToDefaultContentLocationPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeCopyToDefaultContentLocationPostRequestBody(writer: SerializationWriter, copyToDefaultContentLocationPostRequestBody?: CopyToDefaultContentLocationPostRequestBody | undefined): void;
