import { type OnenotePatchContentCommand } from '../../../../../../../../models/onenotePatchContentCommand';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createOnenotePatchContentPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoOnenotePatchContentPostRequestBody;
export declare function deserializeIntoOnenotePatchContentPostRequestBody(onenotePatchContentPostRequestBody?: OnenotePatchContentPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface OnenotePatchContentPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The commands property
     */
    commands?: OnenotePatchContentCommand[];
}
export declare function serializeOnenotePatchContentPostRequestBody(writer: SerializationWriter, onenotePatchContentPostRequestBody?: OnenotePatchContentPostRequestBody | undefined): void;
