import { type Post } from '../../../../../models/post';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createReplyPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoReplyPostRequestBody;
export declare function deserializeIntoReplyPostRequestBody(replyPostRequestBody?: ReplyPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface ReplyPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The Post property
     */
    post?: Post;
}
export declare function serializeReplyPostRequestBody(writer: SerializationWriter, replyPostRequestBody?: ReplyPostRequestBody | undefined): void;
