import { type AssignmentOrder } from '../../../../../models/assignmentOrder';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createSetOrderPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoSetOrderPostRequestBody;
export declare function deserializeIntoSetOrderPostRequestBody(setOrderPostRequestBody?: SetOrderPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeSetOrderPostRequestBody(writer: SerializationWriter, setOrderPostRequestBody?: SetOrderPostRequestBody | undefined): void;
export interface SetOrderPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The newAssignmentOrder property
     */
    newAssignmentOrder?: AssignmentOrder;
}
