"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeBatchRecordDecisionsPostRequestBody = exports.deserializeIntoBatchRecordDecisionsPostRequestBody = exports.createBatchRecordDecisionsPostRequestBodyFromDiscriminatorValue = void 0;
function createBatchRecordDecisionsPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoBatchRecordDecisionsPostRequestBody;
}
exports.createBatchRecordDecisionsPostRequestBodyFromDiscriminatorValue = createBatchRecordDecisionsPostRequestBodyFromDiscriminatorValue;
function deserializeIntoBatchRecordDecisionsPostRequestBody(batchRecordDecisionsPostRequestBody = {}) {
    return {
        "decision": n => { batchRecordDecisionsPostRequestBody.decision = n.getStringValue(); },
        "justification": n => { batchRecordDecisionsPostRequestBody.justification = n.getStringValue(); },
        "principalId": n => { batchRecordDecisionsPostRequestBody.principalId = n.getStringValue(); },
        "resourceId": n => { batchRecordDecisionsPostRequestBody.resourceId = n.getStringValue(); },
    };
}
exports.deserializeIntoBatchRecordDecisionsPostRequestBody = deserializeIntoBatchRecordDecisionsPostRequestBody;
function serializeBatchRecordDecisionsPostRequestBody(writer, batchRecordDecisionsPostRequestBody = {}) {
    writer.writeStringValue("decision", batchRecordDecisionsPostRequestBody.decision);
    writer.writeStringValue("justification", batchRecordDecisionsPostRequestBody.justification);
    writer.writeStringValue("principalId", batchRecordDecisionsPostRequestBody.principalId);
    writer.writeStringValue("resourceId", batchRecordDecisionsPostRequestBody.resourceId);
    writer.writeAdditionalData(batchRecordDecisionsPostRequestBody.additionalData);
}
exports.serializeBatchRecordDecisionsPostRequestBody = serializeBatchRecordDecisionsPostRequestBody;
// tslint:enable
// eslint-enable
