import { type AccessPackage } from '../../../../models/accessPackage';
import { type BaseCollectionPaginationCountResponse } from '../../../../models/baseCollectionPaginationCountResponse';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createFilterByCurrentUserWithOnGetResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoFilterByCurrentUserWithOnGetResponse;
export declare function deserializeIntoFilterByCurrentUserWithOnGetResponse(filterByCurrentUserWithOnGetResponse?: FilterByCurrentUserWithOnGetResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface FilterByCurrentUserWithOnGetResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: AccessPackage[];
}
export declare function serializeFilterByCurrentUserWithOnGetResponse(writer: SerializationWriter, filterByCurrentUserWithOnGetResponse?: FilterByCurrentUserWithOnGetResponse | undefined): void;
