import { type CustomTaskExtensionCallbackData } from '../../../../../../../../../../../models/identityGovernance/customTaskExtensionCallbackData';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createResumePostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoResumePostRequestBody;
export declare function deserializeIntoResumePostRequestBody(resumePostRequestBody?: ResumePostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface ResumePostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The data property
     */
    data?: CustomTaskExtensionCallbackData;
    /**
     * The source property
     */
    source?: string;
    /**
     * The type property
     */
    type?: string;
}
export declare function serializeResumePostRequestBody(writer: SerializationWriter, resumePostRequestBody?: ResumePostRequestBody | undefined): void;
