import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface ConfirmCompromisedPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The userIds property
     */
    userIds?: string[];
}
export declare function createConfirmCompromisedPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoConfirmCompromisedPostRequestBody;
export declare function deserializeIntoConfirmCompromisedPostRequestBody(confirmCompromisedPostRequestBody?: ConfirmCompromisedPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeConfirmCompromisedPostRequestBody(writer: SerializationWriter, confirmCompromisedPostRequestBody?: ConfirmCompromisedPostRequestBody | undefined): void;
