import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createResetPasswordPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoResetPasswordPostRequestBody;
export declare function deserializeIntoResetPasswordPostRequestBody(resetPasswordPostRequestBody?: ResetPasswordPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface ResetPasswordPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The newPassword property
     */
    newPassword?: string;
}
export declare function serializeResetPasswordPostRequestBody(writer: SerializationWriter, resetPasswordPostRequestBody?: ResetPasswordPostRequestBody | undefined): void;
