import { type TeamworkUserIdentity } from '../../../../models/teamworkUserIdentity';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createUnhideForUserPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoUnhideForUserPostRequestBody;
export declare function deserializeIntoUnhideForUserPostRequestBody(unhideForUserPostRequestBody?: UnhideForUserPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeUnhideForUserPostRequestBody(writer: SerializationWriter, unhideForUserPostRequestBody?: UnhideForUserPostRequestBody | undefined): void;
export interface UnhideForUserPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The user property
     */
    user?: TeamworkUserIdentity;
}
