import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createExportPersonalDataPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoExportPersonalDataPostRequestBody;
export declare function deserializeIntoExportPersonalDataPostRequestBody(exportPersonalDataPostRequestBody?: ExportPersonalDataPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface ExportPersonalDataPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The storageLocation property
     */
    storageLocation?: string;
}
export declare function serializeExportPersonalDataPostRequestBody(writer: SerializationWriter, exportPersonalDataPostRequestBody?: ExportPersonalDataPostRequestBody | undefined): void;
