import { MailTipsType } from '../../models/mailTipsType';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createGetMailTipsPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoGetMailTipsPostRequestBody;
export declare function deserializeIntoGetMailTipsPostRequestBody(getMailTipsPostRequestBody?: GetMailTipsPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface GetMailTipsPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The EmailAddresses property
     */
    emailAddresses?: string[];
    /**
     * The MailTipsOptions property
     */
    mailTipsOptions?: MailTipsType[];
}
export declare function serializeGetMailTipsPostRequestBody(writer: SerializationWriter, getMailTipsPostRequestBody?: GetMailTipsPostRequestBody | undefined): void;
