"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeMovePostRequestBody = exports.deserializeIntoMovePostRequestBody = exports.createMovePostRequestBodyFromDiscriminatorValue = void 0;
function createMovePostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoMovePostRequestBody;
}
exports.createMovePostRequestBodyFromDiscriminatorValue = createMovePostRequestBodyFromDiscriminatorValue;
function deserializeIntoMovePostRequestBody(movePostRequestBody = {}) {
    return {
        "destinationId": n => { movePostRequestBody.destinationId = n.getStringValue(); },
    };
}
exports.deserializeIntoMovePostRequestBody = deserializeIntoMovePostRequestBody;
function serializeMovePostRequestBody(writer, movePostRequestBody = {}) {
    writer.writeStringValue("DestinationId", movePostRequestBody.destinationId);
    writer.writeAdditionalData(movePostRequestBody.additionalData);
}
exports.serializeMovePostRequestBody = serializeMovePostRequestBody;
// tslint:enable
// eslint-enable
