import { type Message } from '../../../../../../models/message';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createReplyAllPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoReplyAllPostRequestBody;
export declare function deserializeIntoReplyAllPostRequestBody(replyAllPostRequestBody?: ReplyAllPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface ReplyAllPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The Comment property
     */
    comment?: string;
    /**
     * The Message property
     */
    message?: Message;
}
export declare function serializeReplyAllPostRequestBody(writer: SerializationWriter, replyAllPostRequestBody?: ReplyAllPostRequestBody | undefined): void;
