import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createDeleteUserFromSharedAppleDevicePostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoDeleteUserFromSharedAppleDevicePostRequestBody;
export interface DeleteUserFromSharedAppleDevicePostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The userPrincipalName property
     */
    userPrincipalName?: string;
}
export declare function deserializeIntoDeleteUserFromSharedAppleDevicePostRequestBody(deleteUserFromSharedAppleDevicePostRequestBody?: DeleteUserFromSharedAppleDevicePostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeDeleteUserFromSharedAppleDevicePostRequestBody(writer: SerializationWriter, deleteUserFromSharedAppleDevicePostRequestBody?: DeleteUserFromSharedAppleDevicePostRequestBody | undefined): void;
