import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createWipePostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoWipePostRequestBody;
export declare function deserializeIntoWipePostRequestBody(wipePostRequestBody?: WipePostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeWipePostRequestBody(writer: SerializationWriter, wipePostRequestBody?: WipePostRequestBody | undefined): void;
export interface WipePostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The keepEnrollmentData property
     */
    keepEnrollmentData?: boolean;
    /**
     * The keepUserData property
     */
    keepUserData?: boolean;
    /**
     * The macOsUnlockCode property
     */
    macOsUnlockCode?: string;
    /**
     * The persistEsimDataPlan property
     */
    persistEsimDataPlan?: boolean;
}
