import { type BaseCollectionPaginationCountResponse } from '../../../models/baseCollectionPaginationCountResponse';
import { type TimeZoneInformation } from '../../../models/timeZoneInformation';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createSupportedTimeZonesGetResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoSupportedTimeZonesGetResponse;
export declare function deserializeIntoSupportedTimeZonesGetResponse(supportedTimeZonesGetResponse?: SupportedTimeZonesGetResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeSupportedTimeZonesGetResponse(writer: SerializationWriter, supportedTimeZonesGetResponse?: SupportedTimeZonesGetResponse | undefined): void;
export interface SupportedTimeZonesGetResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: TimeZoneInformation[];
}
