import { type BaseCollectionPaginationCountResponse } from '../../../models/baseCollectionPaginationCountResponse';
import { type TimeZoneInformation } from '../../../models/timeZoneInformation';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createSupportedTimeZonesWithTimeZoneStandardGetResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoSupportedTimeZonesWithTimeZoneStandardGetResponse;
export declare function deserializeIntoSupportedTimeZonesWithTimeZoneStandardGetResponse(supportedTimeZonesWithTimeZoneStandardGetResponse?: SupportedTimeZonesWithTimeZoneStandardGetResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeSupportedTimeZonesWithTimeZoneStandardGetResponse(writer: SerializationWriter, supportedTimeZonesWithTimeZoneStandardGetResponse?: SupportedTimeZonesWithTimeZoneStandardGetResponse | undefined): void;
export interface SupportedTimeZonesWithTimeZoneStandardGetResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: TimeZoneInformation[];
}
