import { type AdditionalDataHolder, type Duration, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createSetUserPreferredPresencePostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoSetUserPreferredPresencePostRequestBody;
export declare function deserializeIntoSetUserPreferredPresencePostRequestBody(setUserPreferredPresencePostRequestBody?: SetUserPreferredPresencePostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeSetUserPreferredPresencePostRequestBody(writer: SerializationWriter, setUserPreferredPresencePostRequestBody?: SetUserPreferredPresencePostRequestBody | undefined): void;
export interface SetUserPreferredPresencePostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * The activity property
     */
    activity?: string;
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The availability property
     */
    availability?: string;
    /**
     * The expirationDuration property
     */
    expirationDuration?: Duration;
}
