import { type Message } from '../../models/message';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createSendMailPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoSendMailPostRequestBody;
export declare function deserializeIntoSendMailPostRequestBody(sendMailPostRequestBody?: SendMailPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface SendMailPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The Message property
     */
    message?: Message;
    /**
     * The SaveToSentItems property
     */
    saveToSentItems?: boolean;
}
export declare function serializeSendMailPostRequestBody(writer: SerializationWriter, sendMailPostRequestBody?: SendMailPostRequestBody | undefined): void;
