import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createWipeManagedAppRegistrationsByDeviceTagPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoWipeManagedAppRegistrationsByDeviceTagPostRequestBody;
export declare function deserializeIntoWipeManagedAppRegistrationsByDeviceTagPostRequestBody(wipeManagedAppRegistrationsByDeviceTagPostRequestBody?: WipeManagedAppRegistrationsByDeviceTagPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeWipeManagedAppRegistrationsByDeviceTagPostRequestBody(writer: SerializationWriter, wipeManagedAppRegistrationsByDeviceTagPostRequestBody?: WipeManagedAppRegistrationsByDeviceTagPostRequestBody | undefined): void;
export interface WipeManagedAppRegistrationsByDeviceTagPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The deviceTag property
     */
    deviceTag?: string;
}
