import { type EmailIdentity } from './emailIdentity';
import { type Entity } from './entity';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createEndUserNotificationDetailFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoEndUserNotificationDetail;
export declare function deserializeIntoEndUserNotificationDetail(endUserNotificationDetail?: EndUserNotificationDetail | undefined): Record<string, (node: ParseNode) => void>;
export interface EndUserNotificationDetail extends Entity, Parsable {
    /**
     * The emailContent property
     */
    emailContent?: string;
    /**
     * The isDefaultLangauge property
     */
    isDefaultLangauge?: boolean;
    /**
     * The language property
     */
    language?: string;
    /**
     * The locale property
     */
    locale?: string;
    /**
     * The sentFrom property
     */
    sentFrom?: EmailIdentity;
    /**
     * The subject property
     */
    subject?: string;
}
export declare function serializeEndUserNotificationDetail(writer: SerializationWriter, endUserNotificationDetail?: EndUserNotificationDetail | undefined): void;
