import { type DisplayNameLocalization } from './displayNameLocalization';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createProfileCardAnnotationFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoProfileCardAnnotation;
export declare function deserializeIntoProfileCardAnnotation(profileCardAnnotation?: ProfileCardAnnotation | undefined): Record<string, (node: ParseNode) => void>;
export interface ProfileCardAnnotation extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The displayName property
     */
    displayName?: string;
    /**
     * The localizations property
     */
    localizations?: DisplayNameLocalization[];
    /**
     * The OdataType property
     */
    odataType?: string;
}
export declare function serializeProfileCardAnnotation(writer: SerializationWriter, profileCardAnnotation?: ProfileCardAnnotation | undefined): void;
