import { type Entity } from './entity';
import { type TargetDeviceGroup } from './targetDeviceGroup';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createRemoteDesktopSecurityConfigurationFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoRemoteDesktopSecurityConfiguration;
export declare function deserializeIntoRemoteDesktopSecurityConfiguration(remoteDesktopSecurityConfiguration?: RemoteDesktopSecurityConfiguration | undefined): Record<string, (node: ParseNode) => void>;
export interface RemoteDesktopSecurityConfiguration extends Entity, Parsable {
    /**
     * The isRemoteDesktopProtocolEnabled property
     */
    isRemoteDesktopProtocolEnabled?: boolean;
    /**
     * The targetDeviceGroups property
     */
    targetDeviceGroups?: TargetDeviceGroup[];
}
export declare function serializeRemoteDesktopSecurityConfiguration(writer: SerializationWriter, remoteDesktopSecurityConfiguration?: RemoteDesktopSecurityConfiguration | undefined): void;
