import { type PrintCertificateSigningRequest } from '../../../models/printCertificateSigningRequest';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createCreatePostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoCreatePostRequestBody;
export interface CreatePostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The certificateSigningRequest property
     */
    certificateSigningRequest?: PrintCertificateSigningRequest;
    /**
     * The connectorId property
     */
    connectorId?: string;
    /**
     * The displayName property
     */
    displayName?: string;
    /**
     * The hasPhysicalDevice property
     */
    hasPhysicalDevice?: boolean;
    /**
     * The manufacturer property
     */
    manufacturer?: string;
    /**
     * The model property
     */
    model?: string;
    /**
     * The physicalDeviceId property
     */
    physicalDeviceId?: string;
}
export declare function deserializeIntoCreatePostRequestBody(createPostRequestBody?: CreatePostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeCreatePostRequestBody(writer: SerializationWriter, createPostRequestBody?: CreatePostRequestBody | undefined): void;
