import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AbortPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The reason property
     */
    reason?: string;
}
export declare function createAbortPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAbortPostRequestBody;
export declare function deserializeIntoAbortPostRequestBody(abortPostRequestBody?: AbortPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAbortPostRequestBody(writer: SerializationWriter, abortPostRequestBody?: AbortPostRequestBody | undefined): void;
