"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeAbortPostRequestBody = exports.deserializeIntoAbortPostRequestBody = exports.createAbortPostRequestBodyFromDiscriminatorValue = void 0;
function createAbortPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoAbortPostRequestBody;
}
exports.createAbortPostRequestBodyFromDiscriminatorValue = createAbortPostRequestBodyFromDiscriminatorValue;
function deserializeIntoAbortPostRequestBody(abortPostRequestBody = {}) {
    return {
        "reason": n => { abortPostRequestBody.reason = n.getStringValue(); },
    };
}
exports.deserializeIntoAbortPostRequestBody = deserializeIntoAbortPostRequestBody;
function serializeAbortPostRequestBody(writer, abortPostRequestBody = {}) {
    writer.writeStringValue("reason", abortPostRequestBody.reason);
    writer.writeAdditionalData(abortPostRequestBody.additionalData);
}
exports.serializeAbortPostRequestBody = serializeAbortPostRequestBody;
// tslint:enable
// eslint-enable
