import { type AttackSimulationTrainingUserCoverage } from '../../../models/attackSimulationTrainingUserCoverage';
import { type BaseCollectionPaginationCountResponse } from '../../../models/baseCollectionPaginationCountResponse';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createGetAttackSimulationTrainingUserCoverageGetResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoGetAttackSimulationTrainingUserCoverageGetResponse;
export declare function deserializeIntoGetAttackSimulationTrainingUserCoverageGetResponse(getAttackSimulationTrainingUserCoverageGetResponse?: GetAttackSimulationTrainingUserCoverageGetResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface GetAttackSimulationTrainingUserCoverageGetResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: AttackSimulationTrainingUserCoverage[];
}
export declare function serializeGetAttackSimulationTrainingUserCoverageGetResponse(writer: SerializationWriter, getAttackSimulationTrainingUserCoverageGetResponse?: GetAttackSimulationTrainingUserCoverageGetResponse | undefined): void;
