import { type SearchRequest } from '../../models/searchRequest';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createQueryPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoQueryPostRequestBody;
export declare function deserializeIntoQueryPostRequestBody(queryPostRequestBody?: QueryPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface QueryPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The requests property
     */
    requests?: SearchRequest[];
}
export declare function serializeQueryPostRequestBody(writer: SerializationWriter, queryPostRequestBody?: QueryPostRequestBody | undefined): void;
