import { AdditionalDataOptions } from '../../../../../../../models/security/additionalDataOptions';
import { type EdiscoverySearch } from '../../../../../../../models/security/ediscoverySearch';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AddToReviewSetPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The additionalDataOptions property
     */
    additionalDataOptions?: AdditionalDataOptions[];
    /**
     * The search property
     */
    search?: EdiscoverySearch;
}
export declare function createAddToReviewSetPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAddToReviewSetPostRequestBody;
export declare function deserializeIntoAddToReviewSetPostRequestBody(addToReviewSetPostRequestBody?: AddToReviewSetPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAddToReviewSetPostRequestBody(writer: SerializationWriter, addToReviewSetPostRequestBody?: AddToReviewSetPostRequestBody | undefined): void;
