import { type EdiscoveryReviewTag } from '../../../../../../../../../models/security/ediscoveryReviewTag';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface ApplyTagsPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The tagsToAdd property
     */
    tagsToAdd?: EdiscoveryReviewTag[];
    /**
     * The tagsToRemove property
     */
    tagsToRemove?: EdiscoveryReviewTag[];
}
export declare function createApplyTagsPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoApplyTagsPostRequestBody;
export declare function deserializeIntoApplyTagsPostRequestBody(applyTagsPostRequestBody?: ApplyTagsPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeApplyTagsPostRequestBody(writer: SerializationWriter, applyTagsPostRequestBody?: ApplyTagsPostRequestBody | undefined): void;
