import { type BaseCollectionPaginationCountResponse } from '../../../../../../models/baseCollectionPaginationCountResponse';
import { type EdiscoveryReviewTag } from '../../../../../../models/security/ediscoveryReviewTag';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AsHierarchyGetResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: EdiscoveryReviewTag[];
}
export declare function createAsHierarchyGetResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAsHierarchyGetResponse;
export declare function deserializeIntoAsHierarchyGetResponse(asHierarchyGetResponse?: AsHierarchyGetResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAsHierarchyGetResponse(writer: SerializationWriter, asHierarchyGetResponse?: AsHierarchyGetResponse | undefined): void;
