import { type SynchronizationJobApplicationParameters } from '../../../../../../models/synchronizationJobApplicationParameters';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createProvisionOnDemandPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoProvisionOnDemandPostRequestBody;
export declare function deserializeIntoProvisionOnDemandPostRequestBody(provisionOnDemandPostRequestBody?: ProvisionOnDemandPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface ProvisionOnDemandPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The parameters property
     */
    parameters?: SynchronizationJobApplicationParameters[];
}
export declare function serializeProvisionOnDemandPostRequestBody(writer: SerializationWriter, provisionOnDemandPostRequestBody?: ProvisionOnDemandPostRequestBody | undefined): void;
