import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createIsPublishedGetResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoIsPublishedGetResponse;
export declare function deserializeIntoIsPublishedGetResponse(isPublishedGetResponse?: IsPublishedGetResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface IsPublishedGetResponse extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The value property
     */
    value?: boolean;
}
export declare function serializeIsPublishedGetResponse(writer: SerializationWriter, isPublishedGetResponse?: IsPublishedGetResponse | undefined): void;
