import { type DateTimeTimeZone } from '../../../../models/dateTimeTimeZone';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createGetStaffAvailabilityPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoGetStaffAvailabilityPostRequestBody;
export declare function deserializeIntoGetStaffAvailabilityPostRequestBody(getStaffAvailabilityPostRequestBody?: GetStaffAvailabilityPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface GetStaffAvailabilityPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The endDateTime property
     */
    endDateTime?: DateTimeTimeZone;
    /**
     * The staffIds property
     */
    staffIds?: string[];
    /**
     * The startDateTime property
     */
    startDateTime?: DateTimeTimeZone;
}
export declare function serializeGetStaffAvailabilityPostRequestBody(writer: SerializationWriter, getStaffAvailabilityPostRequestBody?: GetStaffAvailabilityPostRequestBody | undefined): void;
