import { type BaseCollectionPaginationCountResponse } from '../../../../models/baseCollectionPaginationCountResponse';
import { type StaffAvailabilityItem } from '../../../../models/staffAvailabilityItem';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createGetStaffAvailabilityPostResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoGetStaffAvailabilityPostResponse;
export declare function deserializeIntoGetStaffAvailabilityPostResponse(getStaffAvailabilityPostResponse?: GetStaffAvailabilityPostResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface GetStaffAvailabilityPostResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: StaffAvailabilityItem[];
}
export declare function serializeGetStaffAvailabilityPostResponse(writer: SerializationWriter, getStaffAvailabilityPostResponse?: GetStaffAvailabilityPostResponse | undefined): void;
