"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeResetPasswordPostRequestBody = exports.deserializeIntoResetPasswordPostRequestBody = exports.createResetPasswordPostRequestBodyFromDiscriminatorValue = void 0;
function createResetPasswordPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoResetPasswordPostRequestBody;
}
exports.createResetPasswordPostRequestBodyFromDiscriminatorValue = createResetPasswordPostRequestBodyFromDiscriminatorValue;
function deserializeIntoResetPasswordPostRequestBody(resetPasswordPostRequestBody = {}) {
    return {
        "newPassword": n => { resetPasswordPostRequestBody.newPassword = n.getStringValue(); },
    };
}
exports.deserializeIntoResetPasswordPostRequestBody = deserializeIntoResetPasswordPostRequestBody;
function serializeResetPasswordPostRequestBody(writer, resetPasswordPostRequestBody = {}) {
    writer.writeStringValue("newPassword", resetPasswordPostRequestBody.newPassword);
    writer.writeAdditionalData(resetPasswordPostRequestBody.additionalData);
}
exports.serializeResetPasswordPostRequestBody = serializeResetPasswordPostRequestBody;
// tslint:enable
// eslint-enable
