import { type BaseCollectionPaginationCountResponse } from '../../../../../../../models/baseCollectionPaginationCountResponse';
import { CalendarRoleType } from '../../../../../../../models/calendarRoleType';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AllowedCalendarSharingRolesWithUserGetResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: CalendarRoleType[];
}
export declare function createAllowedCalendarSharingRolesWithUserGetResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAllowedCalendarSharingRolesWithUserGetResponse;
export declare function deserializeIntoAllowedCalendarSharingRolesWithUserGetResponse(allowedCalendarSharingRolesWithUserGetResponse?: AllowedCalendarSharingRolesWithUserGetResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAllowedCalendarSharingRolesWithUserGetResponse(writer: SerializationWriter, allowedCalendarSharingRolesWithUserGetResponse?: AllowedCalendarSharingRolesWithUserGetResponse | undefined): void;
