"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeChangePasswordPostRequestBody = exports.deserializeIntoChangePasswordPostRequestBody = exports.createChangePasswordPostRequestBodyFromDiscriminatorValue = void 0;
function createChangePasswordPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoChangePasswordPostRequestBody;
}
exports.createChangePasswordPostRequestBodyFromDiscriminatorValue = createChangePasswordPostRequestBodyFromDiscriminatorValue;
function deserializeIntoChangePasswordPostRequestBody(changePasswordPostRequestBody = {}) {
    return {
        "currentPassword": n => { changePasswordPostRequestBody.currentPassword = n.getStringValue(); },
        "newPassword": n => { changePasswordPostRequestBody.newPassword = n.getStringValue(); },
    };
}
exports.deserializeIntoChangePasswordPostRequestBody = deserializeIntoChangePasswordPostRequestBody;
function serializeChangePasswordPostRequestBody(writer, changePasswordPostRequestBody = {}) {
    writer.writeStringValue("currentPassword", changePasswordPostRequestBody.currentPassword);
    writer.writeStringValue("newPassword", changePasswordPostRequestBody.newPassword);
    writer.writeAdditionalData(changePasswordPostRequestBody.additionalData);
}
exports.serializeChangePasswordPostRequestBody = serializeChangePasswordPostRequestBody;
// tslint:enable
// eslint-enable
