import { type BaseCollectionPaginationCountResponse } from '../../../models/baseCollectionPaginationCountResponse';
import { type ManagedAppDiagnosticStatus } from '../../../models/managedAppDiagnosticStatus';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createGetManagedAppDiagnosticStatusesGetResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoGetManagedAppDiagnosticStatusesGetResponse;
export declare function deserializeIntoGetManagedAppDiagnosticStatusesGetResponse(getManagedAppDiagnosticStatusesGetResponse?: GetManagedAppDiagnosticStatusesGetResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface GetManagedAppDiagnosticStatusesGetResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: ManagedAppDiagnosticStatus[];
}
export declare function serializeGetManagedAppDiagnosticStatusesGetResponse(writer: SerializationWriter, getManagedAppDiagnosticStatusesGetResponse?: GetManagedAppDiagnosticStatusesGetResponse | undefined): void;
