import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface ArchivePostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The shouldSetSpoSiteReadOnlyForMembers property
     */
    shouldSetSpoSiteReadOnlyForMembers?: boolean;
}
export declare function createArchivePostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoArchivePostRequestBody;
export declare function deserializeIntoArchivePostRequestBody(archivePostRequestBody?: ArchivePostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeArchivePostRequestBody(writer: SerializationWriter, archivePostRequestBody?: ArchivePostRequestBody | undefined): void;
