import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createSharePostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoSharePostRequestBody;
export declare function deserializeIntoSharePostRequestBody(sharePostRequestBody?: SharePostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeSharePostRequestBody(writer: SerializationWriter, sharePostRequestBody?: SharePostRequestBody | undefined): void;
export interface SharePostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The endDateTime property
     */
    endDateTime?: Date;
    /**
     * The notifyTeam property
     */
    notifyTeam?: boolean;
    /**
     * The startDateTime property
     */
    startDateTime?: Date;
}
