"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeCopyPostRequestBody = exports.deserializeIntoCopyPostRequestBody = exports.createCopyPostRequestBodyFromDiscriminatorValue = void 0;
function createCopyPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoCopyPostRequestBody;
}
exports.createCopyPostRequestBodyFromDiscriminatorValue = createCopyPostRequestBodyFromDiscriminatorValue;
function deserializeIntoCopyPostRequestBody(copyPostRequestBody = {}) {
    return {
        "destinationId": n => { copyPostRequestBody.destinationId = n.getStringValue(); },
    };
}
exports.deserializeIntoCopyPostRequestBody = deserializeIntoCopyPostRequestBody;
function serializeCopyPostRequestBody(writer, copyPostRequestBody = {}) {
    writer.writeStringValue("DestinationId", copyPostRequestBody.destinationId);
    writer.writeAdditionalData(copyPostRequestBody.additionalData);
}
exports.serializeCopyPostRequestBody = serializeCopyPostRequestBody;
// tslint:enable
// eslint-enable
