import { type Message } from '../../../../../models/message';
import { type Recipient } from '../../../../../models/recipient';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createCreateForwardPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoCreateForwardPostRequestBody;
export interface CreateForwardPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The Comment property
     */
    comment?: string;
    /**
     * The Message property
     */
    message?: Message;
    /**
     * The ToRecipients property
     */
    toRecipients?: Recipient[];
}
export declare function deserializeIntoCreateForwardPostRequestBody(createForwardPostRequestBody?: CreateForwardPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeCreateForwardPostRequestBody(writer: SerializationWriter, createForwardPostRequestBody?: CreateForwardPostRequestBody | undefined): void;
