import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createGetNotebookFromWebUrlPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoGetNotebookFromWebUrlPostRequestBody;
export declare function deserializeIntoGetNotebookFromWebUrlPostRequestBody(getNotebookFromWebUrlPostRequestBody?: GetNotebookFromWebUrlPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface GetNotebookFromWebUrlPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The webUrl property
     */
    webUrl?: string;
}
export declare function serializeGetNotebookFromWebUrlPostRequestBody(writer: SerializationWriter, getNotebookFromWebUrlPostRequestBody?: GetNotebookFromWebUrlPostRequestBody | undefined): void;
