import { type AdditionalDataHolder, type Duration, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createSetPresencePostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoSetPresencePostRequestBody;
export declare function deserializeIntoSetPresencePostRequestBody(setPresencePostRequestBody?: SetPresencePostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeSetPresencePostRequestBody(writer: SerializationWriter, setPresencePostRequestBody?: SetPresencePostRequestBody | undefined): void;
export interface SetPresencePostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * The activity property
     */
    activity?: string;
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The availability property
     */
    availability?: string;
    /**
     * The expirationDuration property
     */
    expirationDuration?: Duration;
    /**
     * The sessionId property
     */
    sessionId?: string;
}
